/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* AMDGPUPostLegalizerCombinerImpl Combiner Match Table                       *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GICOMBINER_DEPS
#include "llvm/ADT/SparseBitVector.h"
namespace llvm {
extern cl::OptionCategory GICombinerOptionCategory;
} // end namespace llvm
#endif // ifdef GET_GICOMBINER_DEPS

#ifdef GET_GICOMBINER_TYPES
struct AMDGPUPostLegalizerCombinerImplRuleConfig {
  SparseBitVector<> DisabledRules;

  bool isRuleEnabled(unsigned RuleID) const;
  bool parseCommandLineOption();
  bool setRuleEnabled(StringRef RuleIdentifier);
  bool setRuleDisabled(StringRef RuleIdentifier);
};

static std::optional<uint64_t> getRuleIdxForIdentifier(StringRef RuleIdentifier) {
  uint64_t I;
  // getAtInteger(...) returns false on success
  bool Parsed = !RuleIdentifier.getAsInteger(0, I);
  if (Parsed)
    return I;

#ifndef NDEBUG
  switch (RuleIdentifier.size()) {
  default: break;
  case 7:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "smulu64", 7) != 0)
      break;
    return 222;	 // "smulu64"
  case 9:	 // 5 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "opy_prop", 8) != 0)
        break;
      return 13;	 // "copy_prop"
    case 'm':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "tch_ors", 7) != 0)
          break;
        return 191;	 // "match_ors"
      case 'u':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "lo_by_", 6) != 0)
          break;
        switch (RuleIdentifier[8]) {
        default: break;
        case '0':	 // 1 string to match.
          return 142;	 // "mulo_by_0"
        case '2':	 // 1 string to match.
          return 141;	 // "mulo_by_2"
        }
        break;
      }
      break;
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "neg_zext", 8) != 0)
        break;
      return 196;	 // "nneg_zext"
    }
    break;
  case 10:	 // 7 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "2p_to_p2i", 9) != 0)
        break;
      return 88;	 // "i2p_to_p2i"
    case 'm':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "tch_ands", 8) != 0)
          break;
        return 190;	 // "match_ands"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "l_to_shl", 8) != 0)
          break;
        return 14;	 // "mul_to_shl"
      }
      break;
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "2i_to_i2p", 9) != 0)
        break;
      return 87;	 // "p2i_to_i2p"
    case 's':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "xt_trunc", 8) != 0)
          break;
        return 194;	 // "sext_trunc"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "b_to_add", 8) != 0)
          break;
        return 15;	 // "sub_to_add"
      }
      break;
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_trunc", 9) != 0)
        break;
      return 195;	 // "zext_trunc"
    }
    break;
  case 11:	 // 5 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "dd_sub_reg", 10) != 0)
        break;
      return 93;	 // "add_sub_reg"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_addos", 10) != 0)
        break;
      return 210;	 // "match_addos"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ub_add_reg", 10) != 0)
        break;
      return 185;	 // "sub_add_reg"
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runc_shift", 10) != 0)
        break;
      return 129;	 // "trunc_shift"
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nmerge_cst", 10) != 0)
        break;
      return 204;	 // "unmerge_cst"
    }
    break;
  case 12:	 // 11 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "PlusBMinusB", 11) != 0)
        break;
      return 2;	 // "APlusBMinusB"
    case 'B':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "MinusAPlusA", 11) != 0)
        break;
      return 3;	 // "BMinusAPlusA"
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "dde_to_addo", 11) != 0)
        break;
      return 143;	 // "adde_to_addo"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "sub_to_fneg", 11) != 0)
        break;
      return 187;	 // "fsub_to_fneg"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ulh_to_lshr", 11) != 0)
        break;
      return 173;	 // "mulh_to_lshr"
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ot_cmp_fold", 11) != 0)
        break;
      return 130;	 // "not_cmp_fold"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "edundant_or", 11) != 0)
        break;
      return 125;	 // "redundant_or"
    case 's':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "iv_by_pow2", 10) != 0)
          break;
        return 171;	 // "sdiv_by_pow2"
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "xt_of_sext", 10) != 0)
          break;
        return 48;	 // "sext_of_sext"
      }
      break;
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "div_by_pow2", 11) != 0)
        break;
      return 172;	 // "udiv_by_pow2"
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_of_zext", 11) != 0)
        break;
      return 46;	 // "zext_of_zext"
    }
    break;
  case 13:	 // 14 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "dd_of_vscale", 12) != 0)
        break;
      return 37;	 // "add_of_vscale"
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ommute_shift", 12) != 0)
        break;
      return 159;	 // "commute_shift"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "oldable_fneg", 12) != 0)
        break;
      return 218;	 // "foldable_fneg"
    case 'l':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "oad_and_mask", 12) != 0)
        break;
      return 68;	 // "load_and_mask"
    case 'm':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "tch_selects", 11) != 0)
          break;
        return 122;	 // "match_selects"
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "rge_unmerge", 11) != 0)
          break;
        return 203;	 // "merge_unmerge"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "l_of_vscale", 11) != 0)
          break;
        return 38;	 // "mul_of_vscale"
      }
      break;
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "edundant_and", 12) != 0)
        break;
      return 123;	 // "redundant_and"
    case 's':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "iv_by_const", 11) != 0)
          break;
        return 170;	 // "sdiv_by_const"
      case 'h':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "l_of_vscale", 11) != 0)
          break;
        return 39;	 // "shl_of_vscale"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "b_of_vscale", 11) != 0)
          break;
        return 40;	 // "sub_of_vscale"
      }
      break;
    case 'u':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "iv_by_const", 11) != 0)
          break;
        return 169;	 // "udiv_by_const"
      case 'n':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "merge_", 6) != 0)
          break;
        switch (RuleIdentifier[8]) {
        default: break;
        case 'm':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+9, "erge", 4) != 0)
            break;
          return 202;	 // "unmerge_merge"
        case 'u':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+9, "ndef", 4) != 0)
            break;
          return 205;	 // "unmerge_undef"
        }
        break;
      }
      break;
    }
    break;
  case 14:	 // 17 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'M':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "inusC1PlusC2", 12) != 0)
          break;
        return 12;	 // "AMinusC1PlusC2"
      case 'P':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "lusC1MinusC2", 12) != 0)
          break;
        return 8;	 // "APlusC1MinusC2"
      }
      break;
    case 'C':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "2MinusAPlusC1", 13) != 0)
        break;
      return 9;	 // "C2MinusAPlusC1"
    case 'a':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "nyext_of_", 9) != 0)
        break;
      switch (RuleIdentifier[10]) {
      default: break;
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+11, "ext", 3) != 0)
          break;
        return 52;	 // "anyext_of_sext"
      case 'z':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+11, "ext", 3) != 0)
          break;
        return 51;	 // "anyext_of_zext"
      }
      break;
    case 'b':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'i')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "op_same_val", 11) != 0)
          break;
        return 84;	 // "binop_same_val"
      case 't':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "reverse_shl", 11) != 0)
          break;
        return 157;	 // "bitreverse_shl"
      }
      break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "vt_f32_ubyteN", 13) != 0)
        break;
      return 216;	 // "cvt_f32_ubyteN"
    case 'f':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "bs_fneg_fold", 12) != 0)
          break;
        return 168;	 // "fabs_fneg_fold"
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "eg_fneg_fold", 12) != 0)
          break;
        return 90;	 // "fneg_fneg_fold"
      }
      break;
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ul_by_neg_one", 13) != 0)
        break;
      return 17;	 // "mul_by_neg_one"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "eassoc_ptradd", 13) != 0)
        break;
      return 105;	 // "reassoc_ptradd"
    case 's':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 2 strings to match.
        switch (RuleIdentifier[2]) {
        default: break;
        case 'l':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+3, "ect_of_zext", 11) != 0)
            break;
          return 53;	 // "select_of_zext"
        case 'x':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+3, "t_of_anyext", 11) != 0)
            break;
          return 49;	 // "sext_of_anyext"
        }
        break;
      case 'h':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ifts_too_big", 12) != 0)
          break;
        return 104;	 // "shifts_too_big"
      }
      break;
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "char_to_float", 13) != 0)
        break;
      return 215;	 // "uchar_to_float"
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_of_anyext", 13) != 0)
        break;
      return 47;	 // "zext_of_anyext"
    }
    break;
  case 15:	 // 13 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'M':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "inusC1MinusC2", 13) != 0)
          break;
        return 10;	 // "AMinusC1MinusC2"
      case 'P':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "lusZeroMinusB", 13) != 0)
          break;
        return 1;	 // "APlusZeroMinusB"
      }
      break;
    case 'C':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "1Minus2MinusC2", 14) != 0)
        break;
      return 11;	 // "C1Minus2MinusC2"
    case 'Z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "eroMinusAPlusB", 14) != 0)
        break;
      return 0;	 // "ZeroMinusAPlusB"
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itreverse_lshr", 14) != 0)
        break;
      return 158;	 // "bitreverse_lshr"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtending_loads", 14) != 0)
        break;
      return 67;	 // "extending_loads"
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "dempotent_prop", 14) != 0)
        break;
      return 18;	 // "idempotent_prop"
    case 'l':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "oad_or_combine", 14) != 0)
        break;
      return 150;	 // "load_or_combine"
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "arrow_binop_or", 14) != 0)
        break;
      return 61;	 // "narrow_binop_or"
    case 'o':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "verlapping_and", 14) != 0)
        break;
      return 140;	 // "overlapping_and"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "cp_sqrt_to_rsq", 14) != 0)
        break;
      return 219;	 // "rcp_sqrt_to_rsq"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "elect_same_val", 14) != 0)
        break;
      return 82;	 // "select_same_val"
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_trunc_fold", 14) != 0)
        break;
      return 127;	 // "zext_trunc_fold"
    }
    break;
  case 16:	 // 12 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nyext_of_anyext", 15) != 0)
        break;
      return 50;	 // "anyext_of_anyext"
    case 'n':	 // 5 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "arrow_binop_", 12) != 0)
        break;
      switch (RuleIdentifier[13]) {
      default: break;
      case 'a':	 // 2 strings to match.
        switch (RuleIdentifier[14]) {
        default: break;
        case 'd':	 // 1 string to match.
          if (RuleIdentifier[15] != 'd')
            break;
          return 57;	 // "narrow_binop_add"
        case 'n':	 // 1 string to match.
          if (RuleIdentifier[15] != 'd')
            break;
          return 60;	 // "narrow_binop_and"
        }
        break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+14, "ul", 2) != 0)
          break;
        return 59;	 // "narrow_binop_mul"
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+14, "ub", 2) != 0)
          break;
        return 58;	 // "narrow_binop_sub"
      case 'x':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+14, "or", 2) != 0)
          break;
        return 62;	 // "narrow_binop_xor"
      }
      break;
    case 's':	 // 3 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "elect_", 6) != 0)
        break;
      switch (RuleIdentifier[7]) {
      default: break;
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+8, "f_anyext", 8) != 0)
          break;
        return 54;	 // "select_of_anyext"
      case 't':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+8, "o_minmax", 8) != 0)
          break;
        return 186;	 // "select_to_minmax"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+8, "ndef_cmp", 8) != 0)
          break;
        return 119;	 // "select_undef_cmp"
      }
      break;
    case 't':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "runcate_of_", 11) != 0)
        break;
      switch (RuleIdentifier[12]) {
      default: break;
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+13, "ext", 3) != 0)
          break;
        return 44;	 // "truncate_of_sext"
      case 'z':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+13, "ext", 3) != 0)
          break;
        return 43;	 // "truncate_of_zext"
      }
      break;
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ndef_to_fp_zero", 15) != 0)
        break;
      return 70;	 // "undef_to_fp_zero"
    }
    break;
  case 17:	 // 14 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "PlusBMinus", 10) != 0)
        break;
      switch (RuleIdentifier[11]) {
      default: break;
      case 'A':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "plusC", 5) != 0)
          break;
        return 6;	 // "APlusBMinusAplusC"
      case 'C':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "PlusA", 5) != 0)
          break;
        return 7;	 // "APlusBMinusCPlusA"
      }
      break;
    case 'a':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "d_p2i_to_ptradd", 15) != 0)
          break;
        return 16;	 // "add_p2i_to_ptradd"
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "yext_trunc_fold", 15) != 0)
          break;
        return 89;	 // "anyext_trunc_fold"
      }
      break;
    case 'c':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "nonicalize_", 11) != 0)
          break;
        switch (RuleIdentifier[13]) {
        default: break;
        case 'f':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "cmp", 3) != 0)
            break;
          return 109;	 // "canonicalize_fcmp"
        case 'i':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "cmp", 3) != 0)
            break;
          return 108;	 // "canonicalize_icmp"
        }
        break;
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "nstant_fold_fma", 15) != 0)
          break;
        return 166;	 // "constant_fold_fma"
      }
      break;
    case 'd':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "iv_rem_to_divrem", 16) != 0)
        break;
      return 151;	 // "div_rem_to_divrem"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "rase_undef_store", 16) != 0)
        break;
      return 80;	 // "erase_undef_store"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "tr_add_with_zero", 16) != 0)
        break;
      return 147;	 // "ptr_add_with_zero"
    case 's':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "lect_to_iminmax", 15) != 0)
          break;
        return 121;	 // "select_to_iminmax"
      case 'h':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ift_immed_chain", 15) != 0)
          break;
        return 148;	 // "shift_immed_chain"
      }
      break;
    case 'u':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "def_to_int_zero", 15) != 0)
          break;
        return 71;	 // "undef_to_int_zero"
      case 'r':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "em_pow2_to_mask", 15) != 0)
          break;
        return 126;	 // "urem_pow2_to_mask"
      }
      break;
    }
    break;
  case 18:	 // 11 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "MinusBPlus", 10) != 0)
        break;
      switch (RuleIdentifier[11]) {
      default: break;
      case 'B':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "MinusC", 6) != 0)
          break;
        return 5;	 // "AMinusBPlusBMinusC"
      case 'C':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "MinusA", 6) != 0)
          break;
        return 4;	 // "AMinusBPlusCMinusA"
      }
      break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_left_to_zero", 17) != 0)
        break;
      return 85;	 // "binop_left_to_zero"
    case 'c':	 // 3 strings to match.
      if (RuleIdentifier[1] != 'o')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "bine_minmax_nan", 15) != 0)
          break;
        return 144;	 // "combine_minmax_nan"
      case 'n':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+3, "stant_fold_f", 12) != 0)
          break;
        switch (RuleIdentifier[15]) {
        default: break;
        case 'a':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+16, "bs", 2) != 0)
            break;
          return 133;	 // "constant_fold_fabs"
        case 'n':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+16, "eg", 2) != 0)
            break;
          return 132;	 // "constant_fold_fneg"
        }
        break;
      }
      break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xpand_const_fpowi", 17) != 0)
        break;
      return 145;	 // "expand_const_fpowi"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ptrunc_fpext_fold", 17) != 0)
        break;
      return 98;	 // "fptrunc_fpext_fold"
    case 's':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'e')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'l':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "ect_of_truncate", 15) != 0)
          break;
        return 55;	 // "select_of_truncate"
      case 'x':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "t_inreg_of_load", 15) != 0)
          break;
        return 116;	 // "sext_inreg_of_load"
      }
      break;
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runcate_of_anyext", 17) != 0)
        break;
      return 45;	 // "truncate_of_anyext"
    }
    break;
  case 19:	 // 15 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_right_to_zero", 18) != 0)
        break;
      return 86;	 // "binop_right_to_zero"
    case 'c':	 // 4 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "onst", 4) != 0)
        break;
      switch (RuleIdentifier[5]) {
      default: break;
      case '_':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+6, "ptradd_to_i2p", 13) != 0)
          break;
        return 139;	 // "const_ptradd_to_i2p"
      case 'a':	 // 3 strings to match.
        if (memcmp(RuleIdentifier.data()+6, "nt_fold_", 8) != 0)
          break;
        switch (RuleIdentifier[14]) {
        default: break;
        case 'b':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+15, "inop", 4) != 0)
            break;
          return 164;	 // "constant_fold_binop"
        case 'f':	 // 2 strings to match.
          switch (RuleIdentifier[15]) {
          default: break;
          case 'l':	 // 1 string to match.
            if (memcmp(RuleIdentifier.data()+16, "og2", 3) != 0)
              break;
            return 135;	 // "constant_fold_flog2"
          case 's':	 // 1 string to match.
            if (memcmp(RuleIdentifier.data()+16, "qrt", 3) != 0)
              break;
            return 134;	 // "constant_fold_fsqrt"
          }
          break;
        }
        break;
      }
      break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtend_through_phis", 18) != 0)
        break;
      return 101;	 // "extend_through_phis"
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nteger_of_truncate", 18) != 0)
        break;
      return 63;	 // "integer_of_truncate"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "erge_of_x_and_zero", 18) != 0)
        break;
      return 209;	 // "merge_of_x_and_zero"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "tr_add_immed_chain", 18) != 0)
        break;
      return 107;	 // "ptr_add_immed_chain"
    case 'r':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "assoc_comm_binops", 17) != 0)
          break;
        return 106;	 // "reassoc_comm_binops"
      case 'i':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ght_identity_zero", 17) != 0)
          break;
        return 83;	 // "right_identity_zero"
      }
      break;
    case 's':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "lect_constant_cmp", 17) != 0)
          break;
        return 120;	 // "select_constant_cmp"
      case 'i':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "mplify_", 7) != 0)
          break;
        switch (RuleIdentifier[9]) {
        default: break;
        case 'a':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+10, "dd_to_sub", 9) != 0)
            break;
          return 102;	 // "simplify_add_to_sub"
        case 'n':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+10, "eg_minmax", 9) != 0)
            break;
          return 192;	 // "simplify_neg_minmax"
        }
        break;
      }
      break;
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nary_undef_to_zero", 18) != 0)
        break;
      return 75;	 // "unary_undef_to_zero"
    }
    break;
  case 20:	 // 8 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nd_or_disjoint_mask", 19) != 0)
        break;
      return 175;	 // "and_or_disjoint_mask"
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itcast_bitcast_fold", 19) != 0)
        break;
      return 97;	 // "bitcast_bitcast_fold"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "erge_of_x_and_undef", 19) != 0)
        break;
      return 208;	 // "merge_of_x_and_undef"
    case 'r':	 // 3 strings to match.
      if (RuleIdentifier[1] != 'e')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'd':	 // 2 strings to match.
        if (RuleIdentifier[3] != 'u')
          break;
        switch (RuleIdentifier[4]) {
        default: break;
        case 'c':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+5, "e_shl_of_extend", 15) != 0)
            break;
          return 117;	 // "reduce_shl_of_extend"
        case 'n':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+5, "dant_sext_inreg", 15) != 0)
            break;
          return 124;	 // "redundant_sext_inreg"
        }
        break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "ove_fcanonicalize", 17) != 0)
          break;
        return 217;	 // "remove_fcanonicalize"
      }
      break;
    case 'u':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'n')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "ry_undef_to_undef", 17) != 0)
          break;
        return 76;	 // "unary_undef_to_undef"
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "erge_zext_to_zext", 17) != 0)
          break;
        return 207;	 // "unmerge_zext_to_zext"
      }
      break;
    }
    break;
  case 21:	 // 9 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 3 strings to match.
      if (RuleIdentifier[1] != 'o')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "bine_concat_vector", 18) != 0)
          break;
        return 193;	 // "combine_concat_vector"
      case 'n':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+3, "stant_fold_", 11) != 0)
          break;
        switch (RuleIdentifier[14]) {
        default: break;
        case 'c':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+15, "ast_op", 6) != 0)
            break;
          return 167;	 // "constant_fold_cast_op"
        case 'f':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+15, "ptrunc", 6) != 0)
            break;
          return 136;	 // "constant_fold_fptrunc"
        }
        break;
      }
      break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xpand_promoted_fmed3", 20) != 0)
        break;
      return 213;	 // "expand_promoted_fmed3"
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nsert_vector_elt_oob", 20) != 0)
        break;
      return 24;	 // "insert_vector_elt_oob"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ight_identity_one_fp", 20) != 0)
        break;
      return 92;	 // "right_identity_one_fp"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ign_extension_in_reg", 20) != 0)
        break;
      return 221;	 // "sign_extension_in_reg"
    case 'u':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'n')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "ef_to_negative_one", 18) != 0)
          break;
        return 72;	 // "undef_to_negative_one"
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "erge_dead_to_trunc", 18) != 0)
          break;
        return 206;	 // "unmerge_dead_to_trunc"
      }
      break;
    }
    break;
  case 22:	 // 13 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'o')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "bine_shuffle_concat", 19) != 0)
          break;
        return 197;	 // "combine_shuffle_concat"
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "stant_fold_fp_binop", 19) != 0)
          break;
        return 165;	 // "constant_fold_fp_binop"
      }
      break;
    case 'f':	 // 4 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ld_binop_into_select", 20) != 0)
          break;
        return 184;	 // "fold_binop_into_select"
      case 'u':	 // 3 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "nnel_shift_", 11) != 0)
          break;
        switch (RuleIdentifier[13]) {
        default: break;
        case 'l':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "eft_zero", 8) != 0)
            break;
          return 155;	 // "funnel_shift_left_zero"
        case 'o':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "vershift", 8) != 0)
            break;
          return 156;	 // "funnel_shift_overshift"
        case 't':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "o_rotate", 8) != 0)
            break;
          return 153;	 // "funnel_shift_to_rotate"
        }
        break;
      }
      break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "cmp_to_lhs_known_bits", 21) != 0)
        break;
      return 111;	 // "icmp_to_lhs_known_bits"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_subo_no_overflow", 21) != 0)
        break;
      return 211;	 // "match_subo_no_overflow"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ropagate_undef_any_op", 21) != 0)
        break;
      return 77;	 // "propagate_undef_any_op"
    case 'r':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "dundant_neg_operands", 20) != 0)
          break;
        return 174;	 // "redundant_neg_operands"
      case 'i':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ght_identity_one_int", 20) != 0)
          break;
        return 91;	 // "right_identity_one_int"
      }
      break;
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "hl_ashr_to_sext_inreg", 21) != 0)
        break;
      return 115;	 // "shl_ashr_to_sext_inreg"
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runc_buildvector_fold", 21) != 0)
        break;
      return 95;	 // "trunc_buildvector_fold"
    }
    break;
  case 23:	 // 6 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "uildvector_of_truncate", 22) != 0)
        break;
      return 56;	 // "buildvector_of_truncate"
    case 'f':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "iv_by_sqrt_to_rsq_f16", 21) != 0)
          break;
        return 220;	 // "fdiv_by_sqrt_to_rsq_f16"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "nnel_shift_right_zero", 21) != 0)
          break;
        return 154;	 // "funnel_shift_right_zero"
      }
      break;
    case 'i':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "tof_const_zero_fold_", 20) != 0)
        break;
      switch (RuleIdentifier[21]) {
      default: break;
      case 's':	 // 1 string to match.
        if (RuleIdentifier[22] != 'i')
          break;
        return 137;	 // "itof_const_zero_fold_si"
      case 'u':	 // 1 string to match.
        if (RuleIdentifier[22] != 'i')
          break;
        return 138;	 // "itof_const_zero_fold_ui"
      }
      break;
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ropagate_undef_all_ops", 22) != 0)
        break;
      return 78;	 // "propagate_undef_all_ops"
    }
    break;
  case 24:	 // 5 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_left_undef_to_zero", 23) != 0)
        break;
      return 73;	 // "binop_left_undef_to_zero"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_extract_of_element", 23) != 0)
        break;
      return 23;	 // "match_extract_of_element"
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "arrow_binop_feeding_and", 23) != 0)
        break;
      return 118;	 // "narrow_binop_feeding_and"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_inreg_to_zext_inreg", 23) != 0)
        break;
      return 128;	 // "sext_inreg_to_zext_inreg"
    case 'x':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "or_of_and_with_same_reg", 23) != 0)
        break;
      return 146;	 // "xor_of_and_with_same_reg"
    }
    break;
  case 25:	 // 6 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'i':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "tfield_extract_from_", 20) != 0)
          break;
        switch (RuleIdentifier[22]) {
        default: break;
        case 'a':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+23, "nd", 2) != 0)
            break;
          return 161;	 // "bitfield_extract_from_and"
        case 's':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+23, "hr", 2) != 0)
            break;
          return 162;	 // "bitfield_extract_from_shr"
        }
        break;
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ildvector_identity_fold", 23) != 0)
          break;
        return 94;	 // "buildvector_identity_fold"
      }
      break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_shuffle_undef_rhs", 24) != 0)
        break;
      return 198;	 // "combine_shuffle_undef_rhs"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_vec_elt_build_vec", 24) != 0)
        break;
      return 65;	 // "extract_vec_elt_build_vec"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ight_identity_neg_one_fp", 24) != 0)
        break;
      return 100;	 // "right_identity_neg_one_fp"
    }
    break;
  case 26:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_right_undef_to_undef", 25) != 0)
        break;
      return 74;	 // "binop_right_undef_to_undef"
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ommute_fp_constant_to_rhs", 25) != 0)
        break;
      return 189;	 // "commute_fp_constant_to_rhs"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "unnel_shift_from_or_shift", 25) != 0)
        break;
      return 152;	 // "funnel_shift_from_or_shift"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ight_identity_neg_zero_fp", 25) != 0)
        break;
      return 99;	 // "right_identity_neg_zero_fp"
    }
    break;
  case 27:	 // 6 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "om", 2) != 0)
        break;
      switch (RuleIdentifier[3]) {
      default: break;
      case 'b':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+4, "ine_use_vector_truncate", 23) != 0)
          break;
        return 200;	 // "combine_use_vector_truncate"
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+4, "ute_int_constant_to_rhs", 23) != 0)
          break;
        return 188;	 // "commute_int_constant_to_rhs"
      }
      break;
    case 'd':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ouble_icmp_zero_or_combine", 26) != 0)
        break;
      return 113;	 // "double_icmp_zero_or_combine"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "edundant_binop_in_equality", 26) != 0)
        break;
      return 114;	 // "redundant_binop_in_equality"
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runc_lshr_buildvector_fold", 26) != 0)
        break;
      return 96;	 // "trunc_lshr_buildvector_fold"
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nmerge_anyext_build_vector", 26) != 0)
        break;
      return 201;	 // "unmerge_anyext_build_vector"
    }
    break;
  case 28:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'd':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ouble_icmp_zero_and_combine", 27) != 0)
        break;
      return 112;	 // "double_icmp_zero_and_combine"
    case 'o':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "pt_brcond_by_inverting_cond", 27) != 0)
        break;
      return 131;	 // "opt_brcond_by_inverting_cond"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ropagate_undef_shuffle_mask", 27) != 0)
        break;
      return 79;	 // "propagate_undef_shuffle_mask"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "hift_of_shifted_logic_chain", 27) != 0)
        break;
      return 149;	 // "shift_of_shifted_logic_chain"
    }
    break;
  case 29:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itfield_extract_from_shr_and", 28) != 0)
        break;
      return 163;	 // "bitfield_extract_from_shr_and"
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_", 7) != 0)
        break;
      switch (RuleIdentifier[8]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "xtracted_vector_load", 20) != 0)
          break;
        return 69;	 // "combine_extracted_vector_load"
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "huffle_disjoint_mask", 20) != 0)
          break;
        return 199;	 // "combine_shuffle_disjoint_mask"
      }
      break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "cmp_to_true_false_known_bits", 28) != 0)
        break;
      return 110;	 // "icmp_to_true_false_known_bits"
    }
    break;
  case 30:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "freeze_of_non_undef_non_poison", 30) != 0)
      break;
    return 41;	 // "freeze_of_non_undef_non_poison"
  case 31:	 // 3 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "cmp_select_to_fmin_fmax_legacy", 30) != 0)
        break;
      return 212;	 // "fcmp_select_to_fmin_fmax_legacy"
    case 'i':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "nsert_vector_element_", 21) != 0)
        break;
      switch (RuleIdentifier[22]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+23, "lt_undef", 8) != 0)
          break;
        return 22;	 // "insert_vector_element_elt_undef"
      case 'i':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+23, "dx_undef", 8) != 0)
          break;
        return 21;	 // "insert_vector_element_idx_undef"
      }
      break;
    }
    break;
  case 32:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itfield_extract_from_sext_inreg", 31) != 0)
        break;
      return 160;	 // "bitfield_extract_from_sext_inreg"
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_f", 8) != 0)
        break;
      switch (RuleIdentifier[9]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+10, "dd_fmul_to_fmad_or_fma", 22) != 0)
          break;
        return 176;	 // "combine_fadd_fmul_to_fmad_or_fma"
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+10, "ub_fmul_to_fmad_or_fma", 22) != 0)
          break;
        return 180;	 // "combine_fsub_fmul_to_fmad_or_fma"
      }
      break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_vector_element_not_const", 31) != 0)
        break;
      return 25;	 // "extract_vector_element_not_const"
    }
    break;
  case 34:	 // 2 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_fmul_with_select_to_fldexp", 33) != 0)
        break;
      return 214;	 // "combine_fmul_with_select_to_fldexp"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_all_elts_from_build_vector", 33) != 0)
        break;
      return 66;	 // "extract_all_elts_from_build_vector"
    }
    break;
  case 35:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "extract_vector_element_build_vector", 35) != 0)
      break;
    return 27;	 // "extract_vector_element_build_vector"
  case 36:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_", 7) != 0)
        break;
      switch (RuleIdentifier[8]) {
      default: break;
      case 'f':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "add_fma_fmul_to_fmad_or_fma", 27) != 0)
          break;
        return 178;	 // "combine_fadd_fma_fmul_to_fmad_or_fma"
      case 'i':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "nsert_vec_elts_build_vector", 27) != 0)
          break;
        return 64;	 // "combine_insert_vec_elts_build_vector"
      }
      break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nsert_extract_vec_elt_out_of_bounds", 35) != 0)
        break;
      return 81;	 // "insert_extract_vec_elt_out_of_bounds"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_extract_of_element_undef_index", 35) != 0)
        break;
      return 20;	 // "match_extract_of_element_undef_index"
    }
    break;
  case 37:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_fsub_fneg_fmul_to_fmad_or_fma", 36) != 0)
        break;
      return 181;	 // "combine_fsub_fneg_fmul_to_fmad_or_fma"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_vector_element_shuffle_vector", 36) != 0)
        break;
      return 35;	 // "extract_vector_element_shuffle_vector"
    case 'h':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "oist_logic_op_with_same_opcode_hands", 36) != 0)
        break;
      return 103;	 // "hoist_logic_op_with_same_opcode_hands"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_extract_of_element_undef_vector", 36) != 0)
        break;
      return 19;	 // "match_extract_of_element_undef_vector"
    }
    break;
  case 38:	 // 2 strings to match.
    if (memcmp(RuleIdentifier.data()+0, "combine_f", 9) != 0)
      break;
    switch (RuleIdentifier[9]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+10, "dd_fpext_fmul_to_fmad_or_fma", 28) != 0)
        break;
      return 177;	 // "combine_fadd_fpext_fmul_to_fmad_or_fma"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+10, "ub_fpext_fmul_to_fmad_or_fma", 28) != 0)
        break;
      return 182;	 // "combine_fsub_fpext_fmul_to_fmad_or_fma"
    }
    break;
  case 40:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "extract_vector_element_different_indices", 40) != 0)
      break;
    return 26;	 // "extract_vector_element_different_indices"
  case 42:	 // 8 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_fadd_fpext_fma_fmul_to_fmad_or_fma", 41) != 0)
        break;
      return 179;	 // "combine_fadd_fpext_fma_fmul_to_fmad_or_fma"
    case 'e':	 // 7 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_vector_element_build_vector_trunc", 40) != 0)
        break;
      switch (RuleIdentifier[41]) {
      default: break;
      case '2':	 // 1 string to match.
        return 28;	 // "extract_vector_element_build_vector_trunc2"
      case '3':	 // 1 string to match.
        return 29;	 // "extract_vector_element_build_vector_trunc3"
      case '4':	 // 1 string to match.
        return 30;	 // "extract_vector_element_build_vector_trunc4"
      case '5':	 // 1 string to match.
        return 31;	 // "extract_vector_element_build_vector_trunc5"
      case '6':	 // 1 string to match.
        return 32;	 // "extract_vector_element_build_vector_trunc6"
      case '7':	 // 1 string to match.
        return 33;	 // "extract_vector_element_build_vector_trunc7"
      case '8':	 // 1 string to match.
        return 34;	 // "extract_vector_element_build_vector_trunc8"
      }
      break;
    }
    break;
  case 43:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "combine_fsub_fpext_fneg_fmul_to_fmad_or_fma", 43) != 0)
      break;
    return 183;	 // "combine_fsub_fpext_fneg_fmul_to_fmad_or_fma"
  case 44:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "insert_vector_element_extract_vector_element", 44) != 0)
      break;
    return 36;	 // "insert_vector_element_extract_vector_element"
  case 46:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "push_freeze_to_prevent_poison_from_propagating", 46) != 0)
      break;
    return 42;	 // "push_freeze_to_prevent_poison_from_propagating"
  }
#endif // ifndef NDEBUG

  return std::nullopt;
}
static std::optional<std::pair<uint64_t, uint64_t>> getRuleRangeForIdentifier(StringRef RuleIdentifier) {
  std::pair<StringRef, StringRef> RangePair = RuleIdentifier.split('-');
  if (!RangePair.second.empty()) {
    const auto First = getRuleIdxForIdentifier(RangePair.first);
    const auto Last = getRuleIdxForIdentifier(RangePair.second);
    if (!First || !Last)
      return std::nullopt;
    if (First >= Last)
      report_fatal_error("Beginning of range should be before end of range");
    return {{*First, *Last + 1}};
  }
  if (RangePair.first == "*") {
    return {{0, 223}};
  }
  const auto I = getRuleIdxForIdentifier(RangePair.first);
  if (!I)
    return std::nullopt;
  return {{*I, *I + 1}};
}

bool AMDGPUPostLegalizerCombinerImplRuleConfig::setRuleEnabled(StringRef RuleIdentifier) {
  auto MaybeRange = getRuleRangeForIdentifier(RuleIdentifier);
  if (!MaybeRange)
    return false;
  for (auto I = MaybeRange->first; I < MaybeRange->second; ++I)
    DisabledRules.reset(I);
  return true;
}

bool AMDGPUPostLegalizerCombinerImplRuleConfig::setRuleDisabled(StringRef RuleIdentifier) {
  auto MaybeRange = getRuleRangeForIdentifier(RuleIdentifier);
  if (!MaybeRange)
    return false;
  for (auto I = MaybeRange->first; I < MaybeRange->second; ++I)
    DisabledRules.set(I);
  return true;
}

static std::vector<std::string> AMDGPUPostLegalizerCombinerOption;
static cl::list<std::string> AMDGPUPostLegalizerCombinerDisableOption(
    "amdgpupostlegalizercombiner-disable-rule",
    cl::desc("Disable one or more combiner rules temporarily in the AMDGPUPostLegalizerCombiner pass"),
    cl::CommaSeparated,
    cl::Hidden,
    cl::cat(GICombinerOptionCategory),
    cl::callback([](const std::string &Str) {
      AMDGPUPostLegalizerCombinerOption.push_back(Str);
    }));
static cl::list<std::string> AMDGPUPostLegalizerCombinerOnlyEnableOption(
    "amdgpupostlegalizercombiner-only-enable-rule",
    cl::desc("Disable all rules in the AMDGPUPostLegalizerCombiner pass then re-enable the specified ones"),
    cl::Hidden,
    cl::cat(GICombinerOptionCategory),
    cl::callback([](const std::string &CommaSeparatedArg) {
      StringRef Str = CommaSeparatedArg;
      AMDGPUPostLegalizerCombinerOption.push_back("*");
      do {
        auto X = Str.split(",");
        AMDGPUPostLegalizerCombinerOption.push_back(("!" + X.first).str());
        Str = X.second;
      } while (!Str.empty());
    }));


bool AMDGPUPostLegalizerCombinerImplRuleConfig::isRuleEnabled(unsigned RuleID) const {
    return  !DisabledRules.test(RuleID);
}
bool AMDGPUPostLegalizerCombinerImplRuleConfig::parseCommandLineOption() {
  for (StringRef Identifier : AMDGPUPostLegalizerCombinerOption) {
    bool Enabled = Identifier.consume_front("!");
    if (Enabled && !setRuleEnabled(Identifier))
      return false;
    if (!Enabled && !setRuleDisabled(Identifier))
      return false;
  }
  return true;
}

#endif // ifdef GET_GICOMBINER_TYPES

#ifdef GET_GICOMBINER_TYPES
const unsigned MAX_SUBTARGET_PREDICATES = 3;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GICOMBINER_TYPES

#ifdef GET_GICOMBINER_CLASS_MEMBERS
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const AMDGPUSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const AMDGPUSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GICOMBINER_CLASS_MEMBERS
#ifdef GET_GICOMBINER_CLASS_MEMBERS
  mutable MatcherState State;
  typedef ComplexRendererFns(AMDGPUPostLegalizerCombinerImpl::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(AMDGPUPostLegalizerCombinerImpl::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static AMDGPUPostLegalizerCombinerImpl::ComplexMatcherMemFn ComplexPredicateFns[];
  static AMDGPUPostLegalizerCombinerImpl::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GICOMBINER_CLASS_MEMBERS

#ifdef GET_GICOMBINER_IMPL
// LLT Objects.
enum {
  GILLT_s16,
  GILLT_s32,
};
const static size_t NumTypeObjects = 2;
const static LLT TypeObjects[] = {
  LLT::scalar(16),
  LLT::scalar(32),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_Has16BitInstsBit = 1,
  Feature_NotHasMed3_16Bit = 2,
  Feature_HasFminFmaxLegacyBit = 0,
};

PredicateBitset AMDGPUPostLegalizerCombinerImpl::
computeAvailableModuleFeatures(const AMDGPUSubtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->has16BitInsts())
    Features.set(Feature_Has16BitInstsBit);
  if (!Subtarget->hasMed3_16())
    Features.set(Feature_NotHasMed3_16Bit);
  if (Subtarget->hasFminFmaxLegacy())
    Features.set(Feature_HasFminFmaxLegacyBit);
  return Features;
}

void AMDGPUPostLegalizerCombinerImpl::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const AMDGPUSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset AMDGPUPostLegalizerCombinerImpl::
computeAvailableFunctionFeatures(const AMDGPUSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HasFminFmaxLegacy,
  GIFBS_Has16BitInsts_NotHasMed3_16,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HasFminFmaxLegacyBit, },
  {Feature_Has16BitInstsBit, Feature_NotHasMed3_16Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
};
// See constructor for table contents

AMDGPUPostLegalizerCombinerImpl::ComplexMatcherMemFn
AMDGPUPostLegalizerCombinerImpl::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
};

enum {
  GICXXPred_MI_Predicate_GICombiner0 = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_GICombiner1,
  GICXXPred_MI_Predicate_GICombiner2,
  GICXXPred_MI_Predicate_GICombiner3,
  GICXXPred_MI_Predicate_GICombiner4,
  GICXXPred_MI_Predicate_GICombiner5,
  GICXXPred_MI_Predicate_GICombiner6,
  GICXXPred_MI_Predicate_GICombiner7,
  GICXXPred_MI_Predicate_GICombiner8,
};
bool AMDGPUPostLegalizerCombinerImpl::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_GICombiner0: {
    return isGuaranteedNotToBePoison(State.MIs[0]->getOperand(1).getReg(), MRI);
  }
  case GICXXPred_MI_Predicate_GICombiner1: {
    return isGuaranteedNotToBeUndefOrPoison(State.MIs[0]->getOperand(1).getReg(), MRI);
  }
  case GICXXPred_MI_Predicate_GICombiner2: {
    return Helper.matchConstantFPOp(State.MIs[0]->getOperand(2), 1.0);
  }
  case GICXXPred_MI_Predicate_GICombiner3: {
    return Helper.matchConstantFPOp(State.MIs[0]->getOperand(2), -0.0);
  }
  case GICXXPred_MI_Predicate_GICombiner4: {
    return Helper.matchConstantFPOp(State.MIs[0]->getOperand(2), -1.0);
  }
  case GICXXPred_MI_Predicate_GICombiner5: {
    return State.MIs[1]->getOperand(1).getPredicate() == CmpInst::ICMP_EQ &&
                               !MRI.getType(State.MIs[1]->getOperand(2).getReg()).getScalarType().isPointer() &&
                               (MRI.getType(State.MIs[1]->getOperand(2).getReg()) ==
                                   MRI.getType(State.MIs[2]->getOperand(2).getReg()));
  }
  case GICXXPred_MI_Predicate_GICombiner6: {
    return State.MIs[1]->getOperand(1).getPredicate() == CmpInst::ICMP_NE &&
                               !MRI.getType(State.MIs[1]->getOperand(2).getReg()).getScalarType().isPointer() &&
                               (MRI.getType(State.MIs[1]->getOperand(2).getReg()) ==
                                   MRI.getType(State.MIs[2]->getOperand(2).getReg()));
  }
  case GICXXPred_MI_Predicate_GICombiner7: {
    return Helper.isLegalOrBeforeLegalizer({TargetOpcode::G_LSHR,
                                                           {MRI.getType(State.MIs[2]->getOperand(1).getReg()),
                                                            MRI.getType(State.MIs[1]->getOperand(2).getReg())}});
  }
  case GICXXPred_MI_Predicate_GICombiner8: {
    return Helper.isLegalOrBeforeLegalizer({TargetOpcode::G_SHL,
                                                           {MRI.getType(State.MIs[2]->getOperand(1).getReg()),
                                                            MRI.getType(State.MIs[1]->getOperand(2).getReg())}});
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AMDGPUPostLegalizerCombinerImpl::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AMDGPUPostLegalizerCombinerImpl::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AMDGPUPostLegalizerCombinerImpl::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
enum {
  GICXXPred_Simple_IsRule0Enabled = GICXXPred_Invalid + 1,
  GICXXPred_Simple_IsRule1Enabled,
  GICXXPred_Simple_IsRule2Enabled,
  GICXXPred_Simple_IsRule3Enabled,
  GICXXPred_Simple_IsRule4Enabled,
  GICXXPred_Simple_IsRule5Enabled,
  GICXXPred_Simple_IsRule6Enabled,
  GICXXPred_Simple_IsRule7Enabled,
  GICXXPred_Simple_IsRule8Enabled,
  GICXXPred_Simple_IsRule9Enabled,
  GICXXPred_Simple_IsRule10Enabled,
  GICXXPred_Simple_IsRule11Enabled,
  GICXXPred_Simple_IsRule12Enabled,
  GICXXPred_Simple_IsRule13Enabled,
  GICXXPred_Simple_IsRule14Enabled,
  GICXXPred_Simple_IsRule15Enabled,
  GICXXPred_Simple_IsRule16Enabled,
  GICXXPred_Simple_IsRule17Enabled,
  GICXXPred_Simple_IsRule18Enabled,
  GICXXPred_Simple_IsRule19Enabled,
  GICXXPred_Simple_IsRule20Enabled,
  GICXXPred_Simple_IsRule21Enabled,
  GICXXPred_Simple_IsRule22Enabled,
  GICXXPred_Simple_IsRule23Enabled,
  GICXXPred_Simple_IsRule24Enabled,
  GICXXPred_Simple_IsRule25Enabled,
  GICXXPred_Simple_IsRule26Enabled,
  GICXXPred_Simple_IsRule27Enabled,
  GICXXPred_Simple_IsRule28Enabled,
  GICXXPred_Simple_IsRule29Enabled,
  GICXXPred_Simple_IsRule30Enabled,
  GICXXPred_Simple_IsRule31Enabled,
  GICXXPred_Simple_IsRule32Enabled,
  GICXXPred_Simple_IsRule33Enabled,
  GICXXPred_Simple_IsRule34Enabled,
  GICXXPred_Simple_IsRule35Enabled,
  GICXXPred_Simple_IsRule36Enabled,
  GICXXPred_Simple_IsRule37Enabled,
  GICXXPred_Simple_IsRule38Enabled,
  GICXXPred_Simple_IsRule39Enabled,
  GICXXPred_Simple_IsRule40Enabled,
  GICXXPred_Simple_IsRule41Enabled,
  GICXXPred_Simple_IsRule42Enabled,
  GICXXPred_Simple_IsRule43Enabled,
  GICXXPred_Simple_IsRule44Enabled,
  GICXXPred_Simple_IsRule45Enabled,
  GICXXPred_Simple_IsRule46Enabled,
  GICXXPred_Simple_IsRule47Enabled,
  GICXXPred_Simple_IsRule48Enabled,
  GICXXPred_Simple_IsRule49Enabled,
  GICXXPred_Simple_IsRule50Enabled,
  GICXXPred_Simple_IsRule51Enabled,
  GICXXPred_Simple_IsRule52Enabled,
  GICXXPred_Simple_IsRule53Enabled,
  GICXXPred_Simple_IsRule54Enabled,
  GICXXPred_Simple_IsRule55Enabled,
  GICXXPred_Simple_IsRule56Enabled,
  GICXXPred_Simple_IsRule57Enabled,
  GICXXPred_Simple_IsRule58Enabled,
  GICXXPred_Simple_IsRule59Enabled,
  GICXXPred_Simple_IsRule60Enabled,
  GICXXPred_Simple_IsRule61Enabled,
  GICXXPred_Simple_IsRule62Enabled,
  GICXXPred_Simple_IsRule63Enabled,
  GICXXPred_Simple_IsRule64Enabled,
  GICXXPred_Simple_IsRule65Enabled,
  GICXXPred_Simple_IsRule66Enabled,
  GICXXPred_Simple_IsRule67Enabled,
  GICXXPred_Simple_IsRule68Enabled,
  GICXXPred_Simple_IsRule69Enabled,
  GICXXPred_Simple_IsRule70Enabled,
  GICXXPred_Simple_IsRule71Enabled,
  GICXXPred_Simple_IsRule72Enabled,
  GICXXPred_Simple_IsRule73Enabled,
  GICXXPred_Simple_IsRule74Enabled,
  GICXXPred_Simple_IsRule75Enabled,
  GICXXPred_Simple_IsRule76Enabled,
  GICXXPred_Simple_IsRule77Enabled,
  GICXXPred_Simple_IsRule78Enabled,
  GICXXPred_Simple_IsRule79Enabled,
  GICXXPred_Simple_IsRule80Enabled,
  GICXXPred_Simple_IsRule81Enabled,
  GICXXPred_Simple_IsRule82Enabled,
  GICXXPred_Simple_IsRule83Enabled,
  GICXXPred_Simple_IsRule84Enabled,
  GICXXPred_Simple_IsRule85Enabled,
  GICXXPred_Simple_IsRule86Enabled,
  GICXXPred_Simple_IsRule87Enabled,
  GICXXPred_Simple_IsRule88Enabled,
  GICXXPred_Simple_IsRule89Enabled,
  GICXXPred_Simple_IsRule90Enabled,
  GICXXPred_Simple_IsRule91Enabled,
  GICXXPred_Simple_IsRule92Enabled,
  GICXXPred_Simple_IsRule93Enabled,
  GICXXPred_Simple_IsRule94Enabled,
  GICXXPred_Simple_IsRule95Enabled,
  GICXXPred_Simple_IsRule96Enabled,
  GICXXPred_Simple_IsRule97Enabled,
  GICXXPred_Simple_IsRule98Enabled,
  GICXXPred_Simple_IsRule99Enabled,
  GICXXPred_Simple_IsRule100Enabled,
  GICXXPred_Simple_IsRule101Enabled,
  GICXXPred_Simple_IsRule102Enabled,
  GICXXPred_Simple_IsRule103Enabled,
  GICXXPred_Simple_IsRule104Enabled,
  GICXXPred_Simple_IsRule105Enabled,
  GICXXPred_Simple_IsRule106Enabled,
  GICXXPred_Simple_IsRule107Enabled,
  GICXXPred_Simple_IsRule108Enabled,
  GICXXPred_Simple_IsRule109Enabled,
  GICXXPred_Simple_IsRule110Enabled,
  GICXXPred_Simple_IsRule111Enabled,
  GICXXPred_Simple_IsRule112Enabled,
  GICXXPred_Simple_IsRule113Enabled,
  GICXXPred_Simple_IsRule114Enabled,
  GICXXPred_Simple_IsRule115Enabled,
  GICXXPred_Simple_IsRule116Enabled,
  GICXXPred_Simple_IsRule117Enabled,
  GICXXPred_Simple_IsRule118Enabled,
  GICXXPred_Simple_IsRule119Enabled,
  GICXXPred_Simple_IsRule120Enabled,
  GICXXPred_Simple_IsRule121Enabled,
  GICXXPred_Simple_IsRule122Enabled,
  GICXXPred_Simple_IsRule123Enabled,
  GICXXPred_Simple_IsRule124Enabled,
  GICXXPred_Simple_IsRule125Enabled,
  GICXXPred_Simple_IsRule126Enabled,
  GICXXPred_Simple_IsRule127Enabled,
  GICXXPred_Simple_IsRule128Enabled,
  GICXXPred_Simple_IsRule129Enabled,
  GICXXPred_Simple_IsRule130Enabled,
  GICXXPred_Simple_IsRule131Enabled,
  GICXXPred_Simple_IsRule132Enabled,
  GICXXPred_Simple_IsRule133Enabled,
  GICXXPred_Simple_IsRule134Enabled,
  GICXXPred_Simple_IsRule135Enabled,
  GICXXPred_Simple_IsRule136Enabled,
  GICXXPred_Simple_IsRule137Enabled,
  GICXXPred_Simple_IsRule138Enabled,
  GICXXPred_Simple_IsRule139Enabled,
  GICXXPred_Simple_IsRule140Enabled,
  GICXXPred_Simple_IsRule141Enabled,
  GICXXPred_Simple_IsRule142Enabled,
  GICXXPred_Simple_IsRule143Enabled,
  GICXXPred_Simple_IsRule144Enabled,
  GICXXPred_Simple_IsRule145Enabled,
  GICXXPred_Simple_IsRule146Enabled,
  GICXXPred_Simple_IsRule147Enabled,
  GICXXPred_Simple_IsRule148Enabled,
  GICXXPred_Simple_IsRule149Enabled,
  GICXXPred_Simple_IsRule150Enabled,
  GICXXPred_Simple_IsRule151Enabled,
  GICXXPred_Simple_IsRule152Enabled,
  GICXXPred_Simple_IsRule153Enabled,
  GICXXPred_Simple_IsRule154Enabled,
  GICXXPred_Simple_IsRule155Enabled,
  GICXXPred_Simple_IsRule156Enabled,
  GICXXPred_Simple_IsRule157Enabled,
  GICXXPred_Simple_IsRule158Enabled,
  GICXXPred_Simple_IsRule159Enabled,
  GICXXPred_Simple_IsRule160Enabled,
  GICXXPred_Simple_IsRule161Enabled,
  GICXXPred_Simple_IsRule162Enabled,
  GICXXPred_Simple_IsRule163Enabled,
  GICXXPred_Simple_IsRule164Enabled,
  GICXXPred_Simple_IsRule165Enabled,
  GICXXPred_Simple_IsRule166Enabled,
  GICXXPred_Simple_IsRule167Enabled,
  GICXXPred_Simple_IsRule168Enabled,
  GICXXPred_Simple_IsRule169Enabled,
  GICXXPred_Simple_IsRule170Enabled,
  GICXXPred_Simple_IsRule171Enabled,
  GICXXPred_Simple_IsRule172Enabled,
  GICXXPred_Simple_IsRule173Enabled,
  GICXXPred_Simple_IsRule174Enabled,
  GICXXPred_Simple_IsRule175Enabled,
  GICXXPred_Simple_IsRule176Enabled,
  GICXXPred_Simple_IsRule177Enabled,
  GICXXPred_Simple_IsRule178Enabled,
  GICXXPred_Simple_IsRule179Enabled,
  GICXXPred_Simple_IsRule180Enabled,
  GICXXPred_Simple_IsRule181Enabled,
  GICXXPred_Simple_IsRule182Enabled,
  GICXXPred_Simple_IsRule183Enabled,
  GICXXPred_Simple_IsRule184Enabled,
  GICXXPred_Simple_IsRule185Enabled,
  GICXXPred_Simple_IsRule186Enabled,
  GICXXPred_Simple_IsRule187Enabled,
  GICXXPred_Simple_IsRule188Enabled,
  GICXXPred_Simple_IsRule189Enabled,
  GICXXPred_Simple_IsRule190Enabled,
  GICXXPred_Simple_IsRule191Enabled,
  GICXXPred_Simple_IsRule192Enabled,
  GICXXPred_Simple_IsRule193Enabled,
  GICXXPred_Simple_IsRule194Enabled,
  GICXXPred_Simple_IsRule195Enabled,
  GICXXPred_Simple_IsRule196Enabled,
  GICXXPred_Simple_IsRule197Enabled,
  GICXXPred_Simple_IsRule198Enabled,
  GICXXPred_Simple_IsRule199Enabled,
  GICXXPred_Simple_IsRule200Enabled,
  GICXXPred_Simple_IsRule201Enabled,
  GICXXPred_Simple_IsRule202Enabled,
  GICXXPred_Simple_IsRule203Enabled,
  GICXXPred_Simple_IsRule204Enabled,
  GICXXPred_Simple_IsRule205Enabled,
  GICXXPred_Simple_IsRule206Enabled,
  GICXXPred_Simple_IsRule207Enabled,
  GICXXPred_Simple_IsRule208Enabled,
  GICXXPred_Simple_IsRule209Enabled,
  GICXXPred_Simple_IsRule210Enabled,
  GICXXPred_Simple_IsRule211Enabled,
  GICXXPred_Simple_IsRule212Enabled,
  GICXXPred_Simple_IsRule213Enabled,
  GICXXPred_Simple_IsRule214Enabled,
  GICXXPred_Simple_IsRule215Enabled,
  GICXXPred_Simple_IsRule216Enabled,
  GICXXPred_Simple_IsRule217Enabled,
  GICXXPred_Simple_IsRule218Enabled,
  GICXXPred_Simple_IsRule219Enabled,
  GICXXPred_Simple_IsRule220Enabled,
  GICXXPred_Simple_IsRule221Enabled,
  GICXXPred_Simple_IsRule222Enabled,
};

bool AMDGPUPostLegalizerCombinerImpl::testSimplePredicate(unsigned Predicate) const {
    return RuleConfig.isRuleEnabled(Predicate - GICXXPred_Invalid - 1);
}
// Custom renderers.
enum {
  GICR_Invalid,
};
AMDGPUPostLegalizerCombinerImpl::CustomRendererFn
AMDGPUPostLegalizerCombinerImpl::CustomRenderers[] = {
  nullptr, // GICR_Invalid
};

bool AMDGPUPostLegalizerCombinerImpl::tryCombineAllImpl(MachineInstr &I) const {
  const TargetSubtargetInfo &ST = MF.getSubtarget();
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  B.setInstrAndDebugLoc(I);
  State.MIs.clear();
  State.MIs.push_back(&I);
  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), *ST.getInstrInfo(), MRI, *MRI.getTargetRegisterInfo(), *ST.getRegBankInfo(), AvailableFeatures, /*CoverageInfo*/ nullptr)) {
    return true;
  }

  return false;
}

enum {
  GICXXCustomAction_GICombiner0 = GICXXCustomAction_Invalid + 1,
  GICXXCustomAction_GICombiner1,
  GICXXCustomAction_GICombiner2,
  GICXXCustomAction_GICombiner3,
  GICXXCustomAction_GICombiner4,
  GICXXCustomAction_GICombiner5,
  GICXXCustomAction_GICombiner6,
  GICXXCustomAction_GICombiner7,
  GICXXCustomAction_GICombiner8,
  GICXXCustomAction_GICombiner9,
  GICXXCustomAction_GICombiner10,
  GICXXCustomAction_GICombiner11,
  GICXXCustomAction_GICombiner12,
  GICXXCustomAction_GICombiner13,
  GICXXCustomAction_GICombiner14,
  GICXXCustomAction_GICombiner15,
  GICXXCustomAction_GICombiner16,
  GICXXCustomAction_GICombiner17,
  GICXXCustomAction_GICombiner18,
  GICXXCustomAction_GICombiner19,
  GICXXCustomAction_GICombiner20,
  GICXXCustomAction_GICombiner21,
  GICXXCustomAction_GICombiner22,
  GICXXCustomAction_GICombiner23,
  GICXXCustomAction_GICombiner24,
  GICXXCustomAction_GICombiner25,
  GICXXCustomAction_GICombiner26,
  GICXXCustomAction_GICombiner27,
  GICXXCustomAction_GICombiner28,
  GICXXCustomAction_GICombiner29,
  GICXXCustomAction_GICombiner30,
  GICXXCustomAction_GICombiner31,
  GICXXCustomAction_GICombiner32,
  GICXXCustomAction_GICombiner33,
  GICXXCustomAction_GICombiner34,
  GICXXCustomAction_GICombiner35,
  GICXXCustomAction_GICombiner36,
  GICXXCustomAction_GICombiner37,
  GICXXCustomAction_GICombiner38,
  GICXXCustomAction_GICombiner39,
  GICXXCustomAction_GICombiner40,
  GICXXCustomAction_GICombiner41,
  GICXXCustomAction_GICombiner42,
  GICXXCustomAction_GICombiner43,
  GICXXCustomAction_GICombiner44,
  GICXXCustomAction_GICombiner45,
  GICXXCustomAction_GICombiner46,
  GICXXCustomAction_GICombiner47,
  GICXXCustomAction_GICombiner48,
  GICXXCustomAction_GICombiner49,
  GICXXCustomAction_GICombiner50,
  GICXXCustomAction_GICombiner51,
  GICXXCustomAction_GICombiner52,
  GICXXCustomAction_GICombiner53,
  GICXXCustomAction_GICombiner54,
  GICXXCustomAction_GICombiner55,
  GICXXCustomAction_GICombiner56,
  GICXXCustomAction_GICombiner57,
  GICXXCustomAction_GICombiner58,
  GICXXCustomAction_GICombiner59,
  GICXXCustomAction_GICombiner60,
  GICXXCustomAction_GICombiner61,
  GICXXCustomAction_GICombiner62,
  GICXXCustomAction_GICombiner63,
  GICXXCustomAction_GICombiner64,
  GICXXCustomAction_GICombiner65,
  GICXXCustomAction_GICombiner66,
  GICXXCustomAction_GICombiner67,
  GICXXCustomAction_GICombiner68,
  GICXXCustomAction_GICombiner69,
  GICXXCustomAction_GICombiner70,
  GICXXCustomAction_GICombiner71,
  GICXXCustomAction_GICombiner72,
  GICXXCustomAction_GICombiner73,
  GICXXCustomAction_GICombiner74,
  GICXXCustomAction_GICombiner75,
  GICXXCustomAction_GICombiner76,
  GICXXCustomAction_GICombiner77,
  GICXXCustomAction_GICombiner78,
  GICXXCustomAction_GICombiner79,
  GICXXCustomAction_GICombiner80,
  GICXXCustomAction_GICombiner81,
  GICXXCustomAction_GICombiner82,
  GICXXCustomAction_GICombiner83,
  GICXXCustomAction_GICombiner84,
  GICXXCustomAction_GICombiner85,
  GICXXCustomAction_GICombiner86,
  GICXXCustomAction_GICombiner87,
  GICXXCustomAction_GICombiner88,
  GICXXCustomAction_GICombiner89,
  GICXXCustomAction_GICombiner90,
  GICXXCustomAction_GICombiner91,
  GICXXCustomAction_GICombiner92,
  GICXXCustomAction_GICombiner93,
  GICXXCustomAction_GICombiner94,
  GICXXCustomAction_GICombiner95,
  GICXXCustomAction_GICombiner96,
  GICXXCustomAction_GICombiner97,
  GICXXCustomAction_GICombiner98,
  GICXXCustomAction_GICombiner99,
  GICXXCustomAction_GICombiner100,
  GICXXCustomAction_GICombiner101,
  GICXXCustomAction_GICombiner102,
  GICXXCustomAction_GICombiner103,
  GICXXCustomAction_GICombiner104,
  GICXXCustomAction_GICombiner105,
  GICXXCustomAction_GICombiner106,
  GICXXCustomAction_GICombiner107,
  GICXXCustomAction_GICombiner108,
  GICXXCustomAction_GICombiner109,
  GICXXCustomAction_GICombiner110,
  GICXXCustomAction_GICombiner111,
  GICXXCustomAction_GICombiner112,
  GICXXCustomAction_GICombiner113,
  GICXXCustomAction_GICombiner114,
  GICXXCustomAction_GICombiner115,
  GICXXCustomAction_GICombiner116,
  GICXXCustomAction_GICombiner117,
  GICXXCustomAction_GICombiner118,
  GICXXCustomAction_GICombiner119,
  GICXXCustomAction_GICombiner120,
  GICXXCustomAction_GICombiner121,
  GICXXCustomAction_GICombiner122,
  GICXXCustomAction_GICombiner123,
  GICXXCustomAction_GICombiner124,
  GICXXCustomAction_GICombiner125,
  GICXXCustomAction_GICombiner126,
  GICXXCustomAction_GICombiner127,
  GICXXCustomAction_GICombiner128,
  GICXXCustomAction_GICombiner129,
  GICXXCustomAction_GICombiner130,
  GICXXCustomAction_GICombiner131,
  GICXXCustomAction_GICombiner132,
  GICXXCustomAction_GICombiner133,
  GICXXCustomAction_GICombiner134,
  GICXXCustomAction_GICombiner135,
  GICXXCustomAction_GICombiner136,
  GICXXCustomAction_GICombiner137,
  GICXXCustomAction_GICombiner138,
  GICXXCustomAction_GICombiner139,
  GICXXCustomAction_GICombiner140,
  GICXXCustomAction_GICombiner141,
  GICXXCustomAction_GICombiner142,
  GICXXCustomAction_GICombiner143,
  GICXXCustomAction_GICombiner144,
  GICXXCustomAction_GICombiner145,
  GICXXCustomAction_GICombiner146,
  GICXXCustomAction_GICombiner147,
  GICXXCustomAction_GICombiner148,
  GICXXCustomAction_GICombiner149,
  GICXXCustomAction_GICombiner150,
  GICXXCustomAction_GICombiner151,
  GICXXCustomAction_GICombiner152,
  GICXXCustomAction_GICombiner153,
  GICXXCustomAction_GICombiner154,
  GICXXCustomAction_GICombiner155,
  GICXXCustomAction_GICombiner156,
  GICXXCustomAction_GICombiner157,
  GICXXCustomAction_GICombiner158,
  GICXXCustomAction_GICombiner159,
  GICXXCustomAction_GICombiner160,
};
bool AMDGPUPostLegalizerCombinerImpl::runCustomAction(unsigned ApplyID, const MatcherState &State, NewMIVector &OutMIs) const {
  Helper.getBuilder().setInstrAndDebugLoc(*State.MIs[0]);
  switch(ApplyID) {
  case GICXXCustomAction_GICombiner0:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldAPlusC1MinusC2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner1:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldC2MinusAPlusC1(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner2:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldAMinusC1MinusC2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner3:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldC1Minus2MinusC2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner4:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldAMinusC1PlusC2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner5:{
    // Match Patterns
    if(![&](){return Helper.matchCombineCopy(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineCopy(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner6:{
    unsigned GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineMulToShl(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineMulToShl(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner7:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineSubToAdd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner8:{
    std::pair<Register, bool> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineAddP2IToPtrAdd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineAddP2IToPtrAdd(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner9:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElement(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner10:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchInsertVectorElementOOB(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner11:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElementWithDifferentIndices(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner12:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElementWithBuildVector(*State.MIs[0], *State.MIs[1],
              GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner13:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElementWithBuildVectorTrunc(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner14:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElementWithShuffleVector(*State.MIs[0], *State.MIs[1],
              GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner15:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchAddOfVScale(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner16:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMulOfVScale(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner17:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShlOfVScale(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner18:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSubOfVScale(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner19:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return !isGuaranteedNotToBePoison(State.MIs[0]->getOperand(1).getReg(), MRI) && Helper.matchFreezeOfSingleMaybePoisonOperand(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner20:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchTruncateOfExt(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner21:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtOfExt(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner22:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCastOfSelect(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner23:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCastOfBuildVector(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner24:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchNarrowBinop(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner25:{
    APInt GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCastOfInteger(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner26:{
    SmallVector<Register, 4> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineInsertVecElts(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineInsertVecElts(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner27:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVecEltBuildVec(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyExtractVecEltBuildVec(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner28:{
    SmallVector<std::pair<Register, MachineInstr*>> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractAllEltsFromBuildVector(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyExtractAllEltsFromBuildVector(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner29:{
    PreferredTuple GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineExtendingLoads(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineExtendingLoads(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner30:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineLoadWithAndMask(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner31:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineExtractedVectorLoad(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner32:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0], 0.0);
    return true;
  }
  case GICXXCustomAction_GICombiner33:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], 0);
    return true;
  }
  case GICXXCustomAction_GICombiner34:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], -1);
    return true;
  }
  case GICXXCustomAction_GICombiner35:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsUndef(*State.MIs[0], 1);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], 0);
    return true;
  }
  case GICXXCustomAction_GICombiner36:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsUndef(*State.MIs[0], 2);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner37:{
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]->getOperand(0).getParent());
    return true;
  }
  case GICXXCustomAction_GICombiner38:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner39:{
    // Match Patterns
    if(![&](){return Helper.matchAllExplicitUsesAreUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner40:{
    // Match Patterns
    if(![&](){return Helper.matchUndefShuffleVectorMask(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner41:{
    // Match Patterns
    if(![&](){return Helper.matchUndefStore(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.eraseInst(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner42:{
    // Match Patterns
    if(![&](){return Helper.matchInsertExtractVecEltOutOfBounds(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner43:{
    // Match Patterns
    if(![&](){return Helper.matchSelectSameVal(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], 2);
    return true;
  }
  case GICXXCustomAction_GICombiner44:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsZero(*State.MIs[0], 1);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], 1);
    return true;
  }
  case GICXXCustomAction_GICombiner45:{
    Register GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineI2PToP2I(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineI2PToP2I(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner46:{
    Register GIMatchData_info;
    // Match Patterns
    if(![&](){GIMatchData_info = State.MIs[1]->getOperand(1).getReg(); return true;}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineP2IToI2P(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner47:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineAnyExtTrunc(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner48:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchBuildVectorIdentityFold(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner49:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchTruncBuildVectorFold(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner50:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchTruncLshrBuildVectorFold(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner51:{
    // Match Patterns
    if(![&](){return MRI.getType(State.MIs[1]->getOperand(1).getReg()) == MRI.getType(State.MIs[0]->getOperand(0).getReg());}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], State.MIs[1]->getOperand(1).getReg());
    return true;
  }
  case GICXXCustomAction_GICombiner52:{
    MachineInstr* GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtendThroughPhis(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyExtendThroughPhis(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner53:{
    std::tuple<Register, Register> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchSimplifyAddToSub(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySimplifyAddToSub(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner54:{
    InstructionStepsMatchInfo GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchHoistLogicOpWithSameOpcodeHands(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildInstructionSteps(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner55:{
    std::optional<int64_t> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShiftsTooBig(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    if (GIMatchData_matchinfo) {
              Helper.replaceInstWithConstant(*State.MIs[0], *GIMatchData_matchinfo);
            } else {
              Helper.replaceInstWithUndef(*State.MIs[0]);
            }
    return true;
  }
  case GICXXCustomAction_GICombiner56:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchReassocPtrAdd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner57:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchReassocCommBinOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner58:{
    PtrAddChain GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchPtrAddImmedChain(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyPtrAddImmedChain(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner59:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCanonicalizeICmp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner60:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCanonicalizeFCmp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner61:{
    int64_t GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchICmpToTrueFalseKnownBits(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner62:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchICmpToLHSKnownBits(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner63:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchRedundantBinOpInEquality(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner64:{
    std::tuple<Register, int64_t> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchAshrShlToSextInreg(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyAshShlToSextInreg(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner65:{
    std::tuple<Register, unsigned> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSextInRegOfLoad(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySextInRegOfLoad(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner66:{
    RegisterImmPair GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineShlOfExtend(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineShlOfExtend(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner67:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchNarrowBinopFeedingAnd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner68:{
    unsigned GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantSelectCmp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner69:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchSelectIMinMax(State.MIs[0]->getOperand(0), GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner70:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSelect(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner71:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantAnd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner72:{
    // Match Patterns
    if(![&](){return Helper.matchRedundantSExtInReg(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], 1);
    return true;
  }
  case GICXXCustomAction_GICombiner73:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantOr(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner74:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsKnownToBeAPowerOfTwo(*State.MIs[0], 2);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySimplifyURemByPow2(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner75:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineZextTrunc(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner76:{
    // Match Patterns
    if(![&](){unsigned BitWidth = MRI.getType(State.MIs[0]->getOperand(1).getReg()).getScalarSizeInBits();
                return Helper.getKnownBits()->maskedValueIsZero(State.MIs[0]->getOperand(1).getReg(),
                         APInt::getOneBitSet(BitWidth, State.MIs[0]->getOperand(2).getImm() - 1));}()) {
      return false;
    }
    // Apply Patterns
    Helper.getBuilder().setInstrAndDebugLoc(*State.MIs[0]);
              Helper.getBuilder().buildZExtInReg(State.MIs[0]->getOperand(0), State.MIs[0]->getOperand(1), State.MIs[0]->getOperand(2).getImm());
              State.MIs[0]->eraseFromParent();
    return true;
  }
  case GICXXCustomAction_GICombiner77:{
    std::pair<MachineInstr*, LLT> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineTruncOfShift(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineTruncOfShift(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner78:{
    SmallVector<Register, 4> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchNotCmp(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyNotCmp(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner79:{
    MachineInstr * GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchOptBrCondByInvertingCond(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyOptBrCondByInvertingCond(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner80:{
    // Apply Patterns
    Helper.applyCombineConstantFoldFpUnary(*State.MIs[0], State.MIs[1]->getOperand(1).getFPImm());
    return true;
  }
  case GICXXCustomAction_GICombiner81:{
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0]->getOperand(0).getParent(), 0.0);
    return true;
  }
  case GICXXCustomAction_GICombiner82:{
    APInt GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineConstPtrAddToI2P(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineConstPtrAddToI2P(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner83:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchOverlappingAnd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner84:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMulOBy2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner85:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMulOBy0(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner86:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchAddEToAddO(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner87:{
    unsigned GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFMinMaxNaN(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner88:{
    // Match Patterns
    if(![&](){return Helper.matchFPowIExpansion(*State.MIs[0], State.MIs[1]->getOperand(1).getCImm()->getSExtValue());}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyExpandFPowI(*State.MIs[0], State.MIs[1]->getOperand(1).getCImm()->getSExtValue());
    return true;
  }
  case GICXXCustomAction_GICombiner89:{
    std::pair<Register, Register> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchXorOfAndWithSameReg(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyXorOfAndWithSameReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner90:{
    // Match Patterns
    if(![&](){return Helper.matchPtrAddZero(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyPtrAddZero(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner91:{
    RegisterImmPair GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShiftImmedChain(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyShiftImmedChain(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner92:{
    ShiftOfShiftedLogic GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShiftOfShiftedLogic(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyShiftOfShiftedLogic(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner93:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchLoadOrCombine(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner94:{
    MachineInstr * GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineDivRem(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineDivRem(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner95:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchOrShiftToFunnelShift(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner96:{
    // Match Patterns
    if(![&](){return Helper.matchFunnelShiftToRotate(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFunnelShiftToRotate(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner97:{
    // Match Patterns
    if(![&](){return Helper.matchConstantLargerBitWidth(*State.MIs[0], 3);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFunnelShiftConstantModulo(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner98:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCommuteShift(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner99:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromSExtInReg(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner100:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromAnd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner101:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromShr(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner102:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromShrAnd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner103:{
    APInt GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldBinOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner104:{
    ConstantFP* GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldFPBinOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner105:{
    ConstantFP* GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldFMA(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner106:{
    APInt GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldCastOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner107:{
    // Match Patterns
    if(![&](){return Helper.matchUDivByConst(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyUDivByConst(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner108:{
    // Match Patterns
    if(![&](){return Helper.matchSDivByConst(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySDivByConst(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner109:{
    // Match Patterns
    if(![&](){return Helper.matchDivByPow2(*State.MIs[0], /*IsSigned=*/true);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySDivByPow2(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner110:{
    // Match Patterns
    if(![&](){return Helper.matchDivByPow2(*State.MIs[0], /*IsSigned=*/false);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyUDivByPow2(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner111:{
    // Match Patterns
    if(![&](){return Helper.matchUMulHToLShr(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyUMulHToLShr(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner112:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantNegOperands(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner113:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchAndOrDisjointMask(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner114:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFAddFMulToFMadOrFMA(*State.MIs[0],
                                                                  GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner115:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFAddFpExtFMulToFMadOrFMA(*State.MIs[0],
                                                                       GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner116:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFAddFMAFMulToFMadOrFMA(*State.MIs[0],
                                                                     GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner117:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFAddFpExtFMulToFMadOrFMAAggressive(
                                                          *State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner118:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFSubFMulToFMadOrFMA(*State.MIs[0],
                                                                  GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner119:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFSubFNegFMulToFMadOrFMA(*State.MIs[0],
                                                                      GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner120:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFSubFpExtFMulToFMadOrFMA(*State.MIs[0],
                                                                       GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner121:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFSubFpExtFNegFMulToFMadOrFMA(
                                                    *State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner122:{
    unsigned GIMatchData_select_op_no;
    // Match Patterns
    if(![&](){return Helper.matchFoldBinOpIntoSelect(*State.MIs[0], GIMatchData_select_op_no);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFoldBinOpIntoSelect(*State.MIs[0], GIMatchData_select_op_no);
    return true;
  }
  case GICXXCustomAction_GICombiner123:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSubAddSameReg(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner124:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchSimplifySelectToMinMax(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner125:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFsubToFneg(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFsubToFneg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner126:{
    // Match Patterns
    if(![&](){return Helper.matchCommuteConstantToRHS(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCommuteBinOpOperands(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner127:{
    // Match Patterns
    if(![&](){return Helper.matchCommuteFPConstantToRHS(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCommuteBinOpOperands(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner128:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchAnd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner129:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchOr(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner130:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSimplifyNegMinMax(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner131:{
    SmallVector<Register> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineConcatVectors(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineConcatVectors(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner132:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSextOfTrunc(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner133:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchZextOfTrunc(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner134:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchNonNegZext(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner135:{
    SmallVector<Register> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineShuffleConcat(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineShuffleConcat(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner136:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShuffleUndefRHS(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner137:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShuffleDisjointMask(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner138:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchUseVectorTruncate(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyUseVectorTruncate(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner139:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchUnmergeValuesAnyExtBuildVector(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner140:{
    SmallVector<Register, 8> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeMergeToPlainValues(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeMergeToPlainValues(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner141:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineMergeUnmerge(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner142:{
    SmallVector<APInt, 8> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeConstant(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeConstant(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner143:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeUndef(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner144:{
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeWithDeadLanesToTrunc(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeWithDeadLanesToTrunc(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner145:{
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeZExtToZExt(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeZExtToZExt(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner146:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMergeXAndUndef(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner147:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMergeXAndZero(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner148:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchAddOverflow(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner149:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSuboCarryOut(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner150:{
    FMinFMaxLegacyInfo GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return matchFMinFMaxLegacy(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    applySelectFCmpToFMinFMaxLegacy(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner151:{
    // Match Patterns
    if(![&](){return Helper.matchExpandPromotedF16FMed3(*State.MIs[0], State.MIs[1]->getOperand(1).getReg(), State.MIs[1]->getOperand(2).getReg(), State.MIs[1]->getOperand(3).getReg());}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyExpandPromotedF16FMed3(*State.MIs[0], State.MIs[1]->getOperand(1).getReg(), State.MIs[1]->getOperand(2).getReg(), State.MIs[1]->getOperand(3).getReg());
    return true;
  }
  case GICXXCustomAction_GICombiner152:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineFmulWithSelectToFldexp(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner153:{
    // Match Patterns
    if(![&](){return matchUCharToFloat(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    applyUCharToFloat(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner154:{
    CvtF32UByteMatchInfo GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return matchCvtF32UByteN(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    applyCvtF32UByteN(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner155:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return matchRemoveFcanonicalize(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner156:{
    MachineInstr * GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldableFneg(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFoldableFneg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner157:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return matchRcpSqrtToRsq(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner158:{
    // Match Patterns
    if(![&](){return matchFDivSqrtToRsqF16(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    applyFDivSqrtToRsqF16(*State.MIs[0], State.MIs[1]->getOperand(1).getReg());
    return true;
  }
  case GICXXCustomAction_GICombiner159:{
    std::pair<MachineInstr *, unsigned> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return matchCombineSignExtendInReg(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    applyCombineSignExtendInReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner160:{
    unsigned GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return matchCombine_s_mul_u64(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceOpcodeWith(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  }
  llvm_unreachable("Unknown Apply Action");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *AMDGPUPostLegalizerCombinerImpl::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*     0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(20), GIMT_Encode2(3685), /*)*//*default:*//*Label 100*/ GIMT_Encode4(20893),
     /*    10 */ /*TargetOpcode::COPY*//*Label 0*/ GIMT_Encode4(14670), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   142 */ /*TargetOpcode::G_ADD*//*Label 1*/ GIMT_Encode4(14682),
     /*   146 */ /*TargetOpcode::G_SUB*//*Label 2*/ GIMT_Encode4(15239),
     /*   150 */ /*TargetOpcode::G_MUL*//*Label 3*/ GIMT_Encode4(15514),
     /*   154 */ /*TargetOpcode::G_SDIV*//*Label 4*/ GIMT_Encode4(15691),
     /*   158 */ /*TargetOpcode::G_UDIV*//*Label 5*/ GIMT_Encode4(15764),
     /*   162 */ /*TargetOpcode::G_SREM*//*Label 6*/ GIMT_Encode4(15848),
     /*   166 */ /*TargetOpcode::G_UREM*//*Label 7*/ GIMT_Encode4(15893), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   178 */ /*TargetOpcode::G_AND*//*Label 8*/ GIMT_Encode4(15960),
     /*   182 */ /*TargetOpcode::G_OR*//*Label 9*/ GIMT_Encode4(16241),
     /*   186 */ /*TargetOpcode::G_XOR*//*Label 10*/ GIMT_Encode4(16486), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   202 */ /*TargetOpcode::G_PHI*//*Label 11*/ GIMT_Encode4(16587), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   226 */ /*TargetOpcode::G_UNMERGE_VALUES*//*Label 12*/ GIMT_Encode4(16599), GIMT_Encode4(0),
     /*   234 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 13*/ GIMT_Encode4(16666),
     /*   238 */ /*TargetOpcode::G_BUILD_VECTOR*//*Label 14*/ GIMT_Encode4(16740),
     /*   242 */ /*TargetOpcode::G_BUILD_VECTOR_TRUNC*//*Label 15*/ GIMT_Encode4(16788),
     /*   246 */ /*TargetOpcode::G_CONCAT_VECTORS*//*Label 16*/ GIMT_Encode4(16800),
     /*   250 */ /*TargetOpcode::G_PTRTOINT*//*Label 17*/ GIMT_Encode4(16812),
     /*   254 */ /*TargetOpcode::G_INTTOPTR*//*Label 18*/ GIMT_Encode4(16855),
     /*   258 */ /*TargetOpcode::G_BITCAST*//*Label 19*/ GIMT_Encode4(16888),
     /*   262 */ /*TargetOpcode::G_FREEZE*//*Label 20*/ GIMT_Encode4(16931), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   302 */ /*TargetOpcode::G_LOAD*//*Label 21*/ GIMT_Encode4(16995),
     /*   306 */ /*TargetOpcode::G_SEXTLOAD*//*Label 22*/ GIMT_Encode4(17007),
     /*   310 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 23*/ GIMT_Encode4(17019), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   326 */ /*TargetOpcode::G_STORE*//*Label 24*/ GIMT_Encode4(17031), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   438 */ /*TargetOpcode::G_INTRINSIC*//*Label 25*/ GIMT_Encode4(17043), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   454 */ /*TargetOpcode::G_ANYEXT*//*Label 26*/ GIMT_Encode4(17055),
     /*   458 */ /*TargetOpcode::G_TRUNC*//*Label 27*/ GIMT_Encode4(17183), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   478 */ /*TargetOpcode::G_SEXT*//*Label 28*/ GIMT_Encode4(17541),
     /*   482 */ /*TargetOpcode::G_SEXT_INREG*//*Label 29*/ GIMT_Encode4(17622),
     /*   486 */ /*TargetOpcode::G_ZEXT*//*Label 30*/ GIMT_Encode4(17678),
     /*   490 */ /*TargetOpcode::G_SHL*//*Label 31*/ GIMT_Encode4(17808),
     /*   494 */ /*TargetOpcode::G_LSHR*//*Label 32*/ GIMT_Encode4(17977),
     /*   498 */ /*TargetOpcode::G_ASHR*//*Label 33*/ GIMT_Encode4(18100),
     /*   502 */ /*TargetOpcode::G_FSHL*//*Label 34*/ GIMT_Encode4(18234),
     /*   506 */ /*TargetOpcode::G_FSHR*//*Label 35*/ GIMT_Encode4(18277),
     /*   510 */ /*TargetOpcode::G_ROTR*//*Label 36*/ GIMT_Encode4(18320),
     /*   514 */ /*TargetOpcode::G_ROTL*//*Label 37*/ GIMT_Encode4(18344),
     /*   518 */ /*TargetOpcode::G_ICMP*//*Label 38*/ GIMT_Encode4(18368),
     /*   522 */ /*TargetOpcode::G_FCMP*//*Label 39*/ GIMT_Encode4(18413), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   534 */ /*TargetOpcode::G_SELECT*//*Label 40*/ GIMT_Encode4(18425),
     /*   538 */ /*TargetOpcode::G_UADDO*//*Label 41*/ GIMT_Encode4(18547),
     /*   542 */ /*TargetOpcode::G_UADDE*//*Label 42*/ GIMT_Encode4(18570),
     /*   546 */ /*TargetOpcode::G_USUBO*//*Label 43*/ GIMT_Encode4(18582),
     /*   550 */ /*TargetOpcode::G_USUBE*//*Label 44*/ GIMT_Encode4(18594),
     /*   554 */ /*TargetOpcode::G_SADDO*//*Label 45*/ GIMT_Encode4(18606),
     /*   558 */ /*TargetOpcode::G_SADDE*//*Label 46*/ GIMT_Encode4(18629),
     /*   562 */ /*TargetOpcode::G_SSUBO*//*Label 47*/ GIMT_Encode4(18641),
     /*   566 */ /*TargetOpcode::G_SSUBE*//*Label 48*/ GIMT_Encode4(18653),
     /*   570 */ /*TargetOpcode::G_UMULO*//*Label 49*/ GIMT_Encode4(18665),
     /*   574 */ /*TargetOpcode::G_SMULO*//*Label 50*/ GIMT_Encode4(18699),
     /*   578 */ /*TargetOpcode::G_UMULH*//*Label 51*/ GIMT_Encode4(18733),
     /*   582 */ /*TargetOpcode::G_SMULH*//*Label 52*/ GIMT_Encode4(18756),
     /*   586 */ /*TargetOpcode::G_UADDSAT*//*Label 53*/ GIMT_Encode4(18768),
     /*   590 */ /*TargetOpcode::G_SADDSAT*//*Label 54*/ GIMT_Encode4(18780), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   602 */ /*TargetOpcode::G_USHLSAT*//*Label 55*/ GIMT_Encode4(18792),
     /*   606 */ /*TargetOpcode::G_SSHLSAT*//*Label 56*/ GIMT_Encode4(18815),
     /*   610 */ /*TargetOpcode::G_SMULFIX*//*Label 57*/ GIMT_Encode4(18838),
     /*   614 */ /*TargetOpcode::G_UMULFIX*//*Label 58*/ GIMT_Encode4(18850),
     /*   618 */ /*TargetOpcode::G_SMULFIXSAT*//*Label 59*/ GIMT_Encode4(18862),
     /*   622 */ /*TargetOpcode::G_UMULFIXSAT*//*Label 60*/ GIMT_Encode4(18874), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   642 */ /*TargetOpcode::G_FADD*//*Label 61*/ GIMT_Encode4(18886),
     /*   646 */ /*TargetOpcode::G_FSUB*//*Label 62*/ GIMT_Encode4(18998),
     /*   650 */ /*TargetOpcode::G_FMUL*//*Label 63*/ GIMT_Encode4(19087),
     /*   654 */ /*TargetOpcode::G_FMA*//*Label 64*/ GIMT_Encode4(19196),
     /*   658 */ /*TargetOpcode::G_FMAD*//*Label 65*/ GIMT_Encode4(19219),
     /*   662 */ /*TargetOpcode::G_FDIV*//*Label 66*/ GIMT_Encode4(19242),
     /*   666 */ /*TargetOpcode::G_FREM*//*Label 67*/ GIMT_Encode4(19315), GIMT_Encode4(0),
     /*   674 */ /*TargetOpcode::G_FPOWI*//*Label 68*/ GIMT_Encode4(19327), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   694 */ /*TargetOpcode::G_FLOG2*//*Label 69*/ GIMT_Encode4(19349), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   710 */ /*TargetOpcode::G_FNEG*//*Label 70*/ GIMT_Encode4(19371), GIMT_Encode4(0),
     /*   718 */ /*TargetOpcode::G_FPTRUNC*//*Label 71*/ GIMT_Encode4(19433),
     /*   722 */ /*TargetOpcode::G_FPTOSI*//*Label 72*/ GIMT_Encode4(19500),
     /*   726 */ /*TargetOpcode::G_FPTOUI*//*Label 73*/ GIMT_Encode4(19522),
     /*   730 */ /*TargetOpcode::G_SITOFP*//*Label 74*/ GIMT_Encode4(19544),
     /*   734 */ /*TargetOpcode::G_UITOFP*//*Label 75*/ GIMT_Encode4(19582), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   746 */ /*TargetOpcode::G_FABS*//*Label 76*/ GIMT_Encode4(19620), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   758 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 77*/ GIMT_Encode4(19699),
     /*   762 */ /*TargetOpcode::G_FMINNUM*//*Label 78*/ GIMT_Encode4(19740),
     /*   766 */ /*TargetOpcode::G_FMAXNUM*//*Label 79*/ GIMT_Encode4(19774),
     /*   770 */ /*TargetOpcode::G_FMINNUM_IEEE*//*Label 80*/ GIMT_Encode4(19808),
     /*   774 */ /*TargetOpcode::G_FMAXNUM_IEEE*//*Label 81*/ GIMT_Encode4(19820),
     /*   778 */ /*TargetOpcode::G_FMINIMUM*//*Label 82*/ GIMT_Encode4(19832),
     /*   782 */ /*TargetOpcode::G_FMAXIMUM*//*Label 83*/ GIMT_Encode4(19866), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   810 */ /*TargetOpcode::G_PTR_ADD*//*Label 84*/ GIMT_Encode4(19900), GIMT_Encode4(0),
     /*   818 */ /*TargetOpcode::G_SMIN*//*Label 85*/ GIMT_Encode4(19990),
     /*   822 */ /*TargetOpcode::G_SMAX*//*Label 86*/ GIMT_Encode4(20024),
     /*   826 */ /*TargetOpcode::G_UMIN*//*Label 87*/ GIMT_Encode4(20058),
     /*   830 */ /*TargetOpcode::G_UMAX*//*Label 88*/ GIMT_Encode4(20092),
     /*   834 */ /*TargetOpcode::G_ABS*//*Label 89*/ GIMT_Encode4(20126), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   846 */ /*TargetOpcode::G_BR*//*Label 90*/ GIMT_Encode4(20138), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   866 */ /*TargetOpcode::G_INSERT_VECTOR_ELT*//*Label 91*/ GIMT_Encode4(20150),
     /*   870 */ /*TargetOpcode::G_EXTRACT_VECTOR_ELT*//*Label 92*/ GIMT_Encode4(20280),
     /*   874 */ /*TargetOpcode::G_SHUFFLE_VECTOR*//*Label 93*/ GIMT_Encode4(20657), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   914 */ /*TargetOpcode::G_BITREVERSE*//*Label 94*/ GIMT_Encode4(20723), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   966 */ /*TargetOpcode::G_FSQRT*//*Label 95*/ GIMT_Encode4(20812), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 14654 */ /*AMDGPU::G_AMDGPU_CVT_F32_UBYTE0*//*Label 96*/ GIMT_Encode4(20845),
     /* 14658 */ /*AMDGPU::G_AMDGPU_CVT_F32_UBYTE1*//*Label 97*/ GIMT_Encode4(20857),
     /* 14662 */ /*AMDGPU::G_AMDGPU_CVT_F32_UBYTE2*//*Label 98*/ GIMT_Encode4(20869),
     /* 14666 */ /*AMDGPU::G_AMDGPU_CVT_F32_UBYTE3*//*Label 99*/ GIMT_Encode4(20881),
     /* 14670 */ // Label 0: @14670
     /* 14670 */ GIM_Try, /*On fail goto*//*Label 101*/ GIMT_Encode4(14681), // Rule ID 13 //
     /* 14675 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule13Enabled),
     /* 14678 */   // MIs[0] d
     /* 14678 */   // No operand predicates
     /* 14678 */   // MIs[0] s
     /* 14678 */   // No operand predicates
     /* 14678 */   // Combiner Rule #13: copy_prop
     /* 14678 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner5),
     /* 14681 */ // Label 101: @14681
     /* 14681 */ GIM_Reject,
     /* 14682 */ // Label 1: @14682
     /* 14682 */ GIM_Try, /*On fail goto*//*Label 102*/ GIMT_Encode4(14693), // Rule ID 16 //
     /* 14687 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule16Enabled),
     /* 14690 */   // Combiner Rule #16: add_p2i_to_ptradd; wip_match_opcode 'G_ADD'
     /* 14690 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner8),
     /* 14693 */ // Label 102: @14693
     /* 14693 */ GIM_Try, /*On fail goto*//*Label 103*/ GIMT_Encode4(14704), // Rule ID 93 //
     /* 14698 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 14701 */   // Combiner Rule #77: propagate_undef_any_op; wip_match_opcode 'G_ADD'
     /* 14701 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 14704 */ // Label 103: @14704
     /* 14704 */ GIM_Try, /*On fail goto*//*Label 104*/ GIMT_Encode4(14715), // Rule ID 140 //
     /* 14709 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule102Enabled),
     /* 14712 */   // Combiner Rule #102: simplify_add_to_sub; wip_match_opcode 'G_ADD'
     /* 14712 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner53),
     /* 14715 */ // Label 104: @14715
     /* 14715 */ GIM_Try, /*On fail goto*//*Label 105*/ GIMT_Encode4(14726), // Rule ID 229 //
     /* 14720 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 14723 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_ADD'
     /* 14723 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 14726 */ // Label 105: @14726
     /* 14726 */ GIM_Try, /*On fail goto*//*Label 106*/ GIMT_Encode4(14737), // Rule ID 277 //
     /* 14731 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 14734 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_ADD'
     /* 14734 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 14737 */ // Label 106: @14737
     /* 14737 */ GIM_Try, /*On fail goto*//*Label 107*/ GIMT_Encode4(14748), // Rule ID 306 //
     /* 14742 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 14745 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_ADD'
     /* 14745 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 14748 */ // Label 107: @14748
     /* 14748 */ GIM_Try, /*On fail goto*//*Label 108*/ GIMT_Encode4(14782), // Rule ID 0 //
     /* 14753 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule0Enabled),
     /* 14756 */   // MIs[0] root
     /* 14756 */   // No operand predicates
     /* 14756 */   // MIs[0] sub
     /* 14756 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 14760 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 14764 */   // MIs[1] Operand 1
     /* 14764 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /* 14768 */   // MIs[1] A
     /* 14768 */   // No operand predicates
     /* 14768 */   // MIs[0] B
     /* 14768 */   // No operand predicates
     /* 14768 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 14770 */   // Combiner Rule #0: ZeroMinusAPlusB
     /* 14770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 14773 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 14775 */   GIR_RootToRootCopy, /*OpIdx*/2, // B
     /* 14777 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // A
     /* 14781 */   GIR_EraseRootFromParent_Done,
     /* 14782 */ // Label 108: @14782
     /* 14782 */ GIM_Try, /*On fail goto*//*Label 109*/ GIMT_Encode4(14819), // Rule ID 12 //
     /* 14787 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule12Enabled),
     /* 14790 */   // MIs[0] root
     /* 14790 */   // No operand predicates
     /* 14790 */   // MIs[0] sub
     /* 14790 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 14794 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 14798 */   // MIs[1] A
     /* 14798 */   // No operand predicates
     /* 14798 */   // MIs[1] c1
     /* 14798 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 14802 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 14806 */   // MIs[2] imm1
     /* 14806 */   // No operand predicates
     /* 14806 */   // MIs[0] c2
     /* 14806 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 14810 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 14814 */   // MIs[3] imm2
     /* 14814 */   // No operand predicates
     /* 14814 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 14816 */   // Combiner Rule #12: AMinusC1PlusC2
     /* 14816 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner4),
     /* 14819 */ // Label 109: @14819
     /* 14819 */ GIM_Try, /*On fail goto*//*Label 110*/ GIMT_Encode4(14853), // Rule ID 3 //
     /* 14824 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule3Enabled),
     /* 14827 */   // MIs[0] root
     /* 14827 */   // No operand predicates
     /* 14827 */   // MIs[0] sub
     /* 14827 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 14831 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 14835 */   // MIs[1] B
     /* 14835 */   // No operand predicates
     /* 14835 */   // MIs[1] A
     /* 14835 */   // No operand predicates
     /* 14835 */   // MIs[0] A
     /* 14835 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 14840 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 14845 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 14847 */   // Combiner Rule #3: BMinusAPlusA
     /* 14847 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 14852 */   GIR_EraseRootFromParent_Done,
     /* 14853 */ // Label 110: @14853
     /* 14853 */ GIM_Try, /*On fail goto*//*Label 111*/ GIMT_Encode4(14887), // Rule ID 130 //
     /* 14858 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule93Enabled),
     /* 14861 */   // MIs[0] dst
     /* 14861 */   // No operand predicates
     /* 14861 */   // MIs[0] __add_sub_reg_match_0.tmp
     /* 14861 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 14865 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 14869 */   // MIs[1] src
     /* 14869 */   // No operand predicates
     /* 14869 */   // MIs[1] __add_sub_reg_match_0.x
     /* 14869 */   // No operand predicates
     /* 14869 */   // MIs[0] __add_sub_reg_match_0.x
     /* 14869 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 14874 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 14879 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 14881 */   // Combiner Rule #93: add_sub_reg @ [__add_sub_reg_match_0[1]]
     /* 14881 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 14886 */   GIR_EraseRootFromParent_Done,
     /* 14887 */ // Label 111: @14887
     /* 14887 */ GIM_Try, /*On fail goto*//*Label 112*/ GIMT_Encode4(14932), // Rule ID 5 //
     /* 14892 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule5Enabled),
     /* 14895 */   // MIs[0] root
     /* 14895 */   // No operand predicates
     /* 14895 */   // MIs[0] sub1
     /* 14895 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 14899 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 14903 */   // MIs[1] A
     /* 14903 */   // No operand predicates
     /* 14903 */   // MIs[1] B
     /* 14903 */   // No operand predicates
     /* 14903 */   // MIs[0] sub2
     /* 14903 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 14907 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 14911 */   // MIs[2] B
     /* 14911 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 14916 */   // MIs[2] C
     /* 14916 */   // No operand predicates
     /* 14916 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 14918 */   // Combiner Rule #5: AMinusBPlusBMinusC
     /* 14918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 14921 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 14923 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // A
     /* 14927 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // C
     /* 14931 */   GIR_EraseRootFromParent_Done,
     /* 14932 */ // Label 112: @14932
     /* 14932 */ GIM_Try, /*On fail goto*//*Label 113*/ GIMT_Encode4(14977), // Rule ID 4 //
     /* 14937 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule4Enabled),
     /* 14940 */   // MIs[0] root
     /* 14940 */   // No operand predicates
     /* 14940 */   // MIs[0] sub1
     /* 14940 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 14944 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 14948 */   // MIs[1] A
     /* 14948 */   // No operand predicates
     /* 14948 */   // MIs[1] B
     /* 14948 */   // No operand predicates
     /* 14948 */   // MIs[0] sub2
     /* 14948 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 14952 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 14956 */   // MIs[2] C
     /* 14956 */   // No operand predicates
     /* 14956 */   // MIs[2] A
     /* 14956 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 14961 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 14963 */   // Combiner Rule #4: AMinusBPlusCMinusA
     /* 14963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 14966 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 14968 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // C
     /* 14972 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // B
     /* 14976 */   GIR_EraseRootFromParent_Done,
     /* 14977 */ // Label 113: @14977
     /* 14977 */ GIM_Try, /*On fail goto*//*Label 114*/ GIMT_Encode4(15012), // Rule ID 39 //
     /* 14982 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule37Enabled),
     /* 14985 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NoSWrap),
     /* 14991 */   // MIs[0] root
     /* 14991 */   // No operand predicates
     /* 14991 */   // MIs[0] left
     /* 14991 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 14995 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 14999 */   // MIs[1] imm1
     /* 14999 */   // No operand predicates
     /* 14999 */   // MIs[0] right
     /* 14999 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 15003 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 15007 */   // MIs[2] imm2
     /* 15007 */   // No operand predicates
     /* 15007 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 15009 */   // Combiner Rule #37: add_of_vscale
     /* 15009 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner15),
     /* 15012 */ // Label 114: @15012
     /* 15012 */ GIM_Try, /*On fail goto*//*Label 115*/ GIMT_Encode4(15046), // Rule ID 1 //
     /* 15017 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule1Enabled),
     /* 15020 */   // MIs[0] root
     /* 15020 */   // No operand predicates
     /* 15020 */   // MIs[0] A
     /* 15020 */   // No operand predicates
     /* 15020 */   // MIs[0] sub
     /* 15020 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 15024 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 15028 */   // MIs[1] Operand 1
     /* 15028 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /* 15032 */   // MIs[1] B
     /* 15032 */   // No operand predicates
     /* 15032 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15034 */   // Combiner Rule #1: APlusZeroMinusB
     /* 15034 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 15037 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 15039 */   GIR_RootToRootCopy, /*OpIdx*/1, // A
     /* 15041 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // B
     /* 15045 */   GIR_EraseRootFromParent_Done,
     /* 15046 */ // Label 115: @15046
     /* 15046 */ GIM_Try, /*On fail goto*//*Label 116*/ GIMT_Encode4(15080), // Rule ID 2 //
     /* 15051 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule2Enabled),
     /* 15054 */   // MIs[0] root
     /* 15054 */   // No operand predicates
     /* 15054 */   // MIs[0] A
     /* 15054 */   // No operand predicates
     /* 15054 */   // MIs[0] sub
     /* 15054 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 15058 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 15062 */   // MIs[1] B
     /* 15062 */   // No operand predicates
     /* 15062 */   // MIs[1] A
     /* 15062 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/1, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 15067 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 15072 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15074 */   // Combiner Rule #2: APlusBMinusB
     /* 15074 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 15079 */   GIR_EraseRootFromParent_Done,
     /* 15080 */ // Label 116: @15080
     /* 15080 */ GIM_Try, /*On fail goto*//*Label 117*/ GIMT_Encode4(15114), // Rule ID 129 //
     /* 15085 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule93Enabled),
     /* 15088 */   // MIs[0] dst
     /* 15088 */   // No operand predicates
     /* 15088 */   // MIs[0] __add_sub_reg_match_0.x
     /* 15088 */   // No operand predicates
     /* 15088 */   // MIs[0] __add_sub_reg_match_0.tmp
     /* 15088 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 15092 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 15096 */   // MIs[1] src
     /* 15096 */   // No operand predicates
     /* 15096 */   // MIs[1] __add_sub_reg_match_0.x
     /* 15096 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/1, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 15101 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 15106 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15108 */   // Combiner Rule #93: add_sub_reg @ [__add_sub_reg_match_0[0]]
     /* 15108 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 15113 */   GIR_EraseRootFromParent_Done,
     /* 15114 */ // Label 117: @15114
     /* 15114 */ GIM_Try, /*On fail goto*//*Label 118*/ GIMT_Encode4(15159), // Rule ID 6 //
     /* 15119 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule6Enabled),
     /* 15122 */   // MIs[0] root
     /* 15122 */   // No operand predicates
     /* 15122 */   // MIs[0] A
     /* 15122 */   // No operand predicates
     /* 15122 */   // MIs[0] sub1
     /* 15122 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 15126 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 15130 */   // MIs[1] B
     /* 15130 */   // No operand predicates
     /* 15130 */   // MIs[1] add1
     /* 15130 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 15134 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 15138 */   // MIs[2] A
     /* 15138 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 15143 */   // MIs[2] C
     /* 15143 */   // No operand predicates
     /* 15143 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 15145 */   // Combiner Rule #6: APlusBMinusAplusC
     /* 15145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 15148 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 15150 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // B
     /* 15154 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // C
     /* 15158 */   GIR_EraseRootFromParent_Done,
     /* 15159 */ // Label 118: @15159
     /* 15159 */ GIM_Try, /*On fail goto*//*Label 119*/ GIMT_Encode4(15204), // Rule ID 7 //
     /* 15164 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule7Enabled),
     /* 15167 */   // MIs[0] root
     /* 15167 */   // No operand predicates
     /* 15167 */   // MIs[0] A
     /* 15167 */   // No operand predicates
     /* 15167 */   // MIs[0] sub1
     /* 15167 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 15171 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 15175 */   // MIs[1] B
     /* 15175 */   // No operand predicates
     /* 15175 */   // MIs[1] add1
     /* 15175 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 15179 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 15183 */   // MIs[2] C
     /* 15183 */   // No operand predicates
     /* 15183 */   // MIs[2] A
     /* 15183 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 15188 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 15190 */   // Combiner Rule #7: APlusBMinusCPlusA
     /* 15190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 15193 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 15195 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // B
     /* 15199 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // C
     /* 15203 */   GIR_EraseRootFromParent_Done,
     /* 15204 */ // Label 119: @15204
     /* 15204 */ GIM_Try, /*On fail goto*//*Label 120*/ GIMT_Encode4(15227), // Rule ID 104 //
     /* 15209 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule83Enabled),
     /* 15212 */   // MIs[0] dst
     /* 15212 */   // No operand predicates
     /* 15212 */   // MIs[0] lhs
     /* 15212 */   // No operand predicates
     /* 15212 */   // MIs[0] Operand 2
     /* 15212 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 15216 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 15221 */   // Combiner Rule #83: right_identity_zero @ [__right_identity_zero_match_0[1]]
     /* 15221 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 15226 */   GIR_EraseRootFromParent_Done,
     /* 15227 */ // Label 120: @15227
     /* 15227 */ GIM_Try, /*On fail goto*//*Label 121*/ GIMT_Encode4(15238), // Rule ID 148 //
     /* 15232 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule106Enabled),
     /* 15235 */   // MIs[0] root
     /* 15235 */   // No operand predicates
     /* 15235 */   // MIs[0] src1
     /* 15235 */   // No operand predicates
     /* 15235 */   // MIs[0] src2
     /* 15235 */   // No operand predicates
     /* 15235 */   // Combiner Rule #106: reassoc_comm_binops
     /* 15235 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner57),
     /* 15238 */ // Label 121: @15238
     /* 15238 */ GIM_Reject,
     /* 15239 */ // Label 2: @15239
     /* 15239 */ GIM_Try, /*On fail goto*//*Label 122*/ GIMT_Encode4(15250), // Rule ID 94 //
     /* 15244 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 15247 */   // Combiner Rule #77: propagate_undef_any_op; wip_match_opcode 'G_SUB'
     /* 15247 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 15250 */ // Label 122: @15250
     /* 15250 */ GIM_Try, /*On fail goto*//*Label 123*/ GIMT_Encode4(15261), // Rule ID 237 //
     /* 15255 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 15258 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_SUB'
     /* 15258 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 15261 */ // Label 123: @15261
     /* 15261 */ GIM_Try, /*On fail goto*//*Label 124*/ GIMT_Encode4(15272), // Rule ID 278 //
     /* 15266 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 15269 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_SUB'
     /* 15269 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 15272 */ // Label 124: @15272
     /* 15272 */ GIM_Try, /*On fail goto*//*Label 125*/ GIMT_Encode4(15283), // Rule ID 303 //
     /* 15277 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule185Enabled),
     /* 15280 */   // Combiner Rule #185: sub_add_reg; wip_match_opcode 'G_SUB'
     /* 15280 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 15283 */ // Label 125: @15283
     /* 15283 */ GIM_Try, /*On fail goto*//*Label 126*/ GIMT_Encode4(15294), // Rule ID 337 //
     /* 15288 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule192Enabled),
     /* 15291 */   // Combiner Rule #192: simplify_neg_minmax; wip_match_opcode 'G_SUB'
     /* 15291 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner130),
     /* 15294 */ // Label 126: @15294
     /* 15294 */ GIM_Try, /*On fail goto*//*Label 127*/ GIMT_Encode4(15331), // Rule ID 8 //
     /* 15299 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule8Enabled),
     /* 15302 */   // MIs[0] root
     /* 15302 */   // No operand predicates
     /* 15302 */   // MIs[0] add
     /* 15302 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 15306 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 15310 */   // MIs[1] A
     /* 15310 */   // No operand predicates
     /* 15310 */   // MIs[1] c1
     /* 15310 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 15314 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 15318 */   // MIs[2] imm1
     /* 15318 */   // No operand predicates
     /* 15318 */   // MIs[0] c2
     /* 15318 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 15322 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 15326 */   // MIs[3] imm2
     /* 15326 */   // No operand predicates
     /* 15326 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 15328 */   // Combiner Rule #8: APlusC1MinusC2
     /* 15328 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner0),
     /* 15331 */ // Label 127: @15331
     /* 15331 */ GIM_Try, /*On fail goto*//*Label 128*/ GIMT_Encode4(15368), // Rule ID 11 //
     /* 15336 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule11Enabled),
     /* 15339 */   // MIs[0] root
     /* 15339 */   // No operand predicates
     /* 15339 */   // MIs[0] sub1
     /* 15339 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 15343 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 15347 */   // MIs[1] c1
     /* 15347 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 15351 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 15355 */   // MIs[2] imm1
     /* 15355 */   // No operand predicates
     /* 15355 */   // MIs[1] A
     /* 15355 */   // No operand predicates
     /* 15355 */   // MIs[0] c2
     /* 15355 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 15359 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 15363 */   // MIs[3] imm2
     /* 15363 */   // No operand predicates
     /* 15363 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 15365 */   // Combiner Rule #11: C1Minus2MinusC2
     /* 15365 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner3),
     /* 15368 */ // Label 128: @15368
     /* 15368 */ GIM_Try, /*On fail goto*//*Label 129*/ GIMT_Encode4(15405), // Rule ID 10 //
     /* 15373 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule10Enabled),
     /* 15376 */   // MIs[0] root
     /* 15376 */   // No operand predicates
     /* 15376 */   // MIs[0] sub1
     /* 15376 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 15380 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 15384 */   // MIs[1] A
     /* 15384 */   // No operand predicates
     /* 15384 */   // MIs[1] c1
     /* 15384 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 15388 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 15392 */   // MIs[2] imm1
     /* 15392 */   // No operand predicates
     /* 15392 */   // MIs[0] c2
     /* 15392 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 15396 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 15400 */   // MIs[3] imm2
     /* 15400 */   // No operand predicates
     /* 15400 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 15402 */   // Combiner Rule #10: AMinusC1MinusC2
     /* 15402 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner2),
     /* 15405 */ // Label 129: @15405
     /* 15405 */ GIM_Try, /*On fail goto*//*Label 130*/ GIMT_Encode4(15442), // Rule ID 9 //
     /* 15410 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule9Enabled),
     /* 15413 */   // MIs[0] root
     /* 15413 */   // No operand predicates
     /* 15413 */   // MIs[0] c2
     /* 15413 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 15417 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 15421 */   // MIs[1] imm2
     /* 15421 */   // No operand predicates
     /* 15421 */   // MIs[0] add
     /* 15421 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 15425 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 15429 */   // MIs[2] A
     /* 15429 */   // No operand predicates
     /* 15429 */   // MIs[2] c1
     /* 15429 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 15433 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 15437 */   // MIs[3] imm1
     /* 15437 */   // No operand predicates
     /* 15437 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 15439 */   // Combiner Rule #9: C2MinusAPlusC1
     /* 15439 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner1),
     /* 15442 */ // Label 130: @15442
     /* 15442 */ GIM_Try, /*On fail goto*//*Label 131*/ GIMT_Encode4(15469), // Rule ID 42 //
     /* 15447 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule40Enabled),
     /* 15450 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NoSWrap),
     /* 15456 */   // MIs[0] root
     /* 15456 */   // No operand predicates
     /* 15456 */   // MIs[0] x
     /* 15456 */   // No operand predicates
     /* 15456 */   // MIs[0] right
     /* 15456 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 15460 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 15464 */   // MIs[1] imm
     /* 15464 */   // No operand predicates
     /* 15464 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15466 */   // Combiner Rule #40: sub_of_vscale
     /* 15466 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner18),
     /* 15469 */ // Label 131: @15469
     /* 15469 */ GIM_Try, /*On fail goto*//*Label 132*/ GIMT_Encode4(15492), // Rule ID 103 //
     /* 15474 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule83Enabled),
     /* 15477 */   // MIs[0] dst
     /* 15477 */   // No operand predicates
     /* 15477 */   // MIs[0] lhs
     /* 15477 */   // No operand predicates
     /* 15477 */   // MIs[0] Operand 2
     /* 15477 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 15481 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 15486 */   // Combiner Rule #83: right_identity_zero @ [__right_identity_zero_match_0[0]]
     /* 15486 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 15491 */   GIR_EraseRootFromParent_Done,
     /* 15492 */ // Label 132: @15492
     /* 15492 */ GIM_Try, /*On fail goto*//*Label 133*/ GIMT_Encode4(15513), // Rule ID 15 //
     /* 15497 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule15Enabled),
     /* 15500 */   // MIs[0] d
     /* 15500 */   // No operand predicates
     /* 15500 */   // MIs[0] op1
     /* 15500 */   // No operand predicates
     /* 15500 */   // MIs[0] c
     /* 15500 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 15504 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 15508 */   // MIs[1] imm
     /* 15508 */   // No operand predicates
     /* 15508 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 15510 */   // Combiner Rule #15: sub_to_add
     /* 15510 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner7),
     /* 15513 */ // Label 133: @15513
     /* 15513 */ GIM_Reject,
     /* 15514 */ // Label 3: @15514
     /* 15514 */ GIM_Try, /*On fail goto*//*Label 134*/ GIMT_Encode4(15525), // Rule ID 77 //
     /* 15519 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule71Enabled),
     /* 15522 */   // Combiner Rule #71: undef_to_int_zero; wip_match_opcode 'G_MUL'
     /* 15522 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner33),
     /* 15525 */ // Label 134: @15525
     /* 15525 */ GIM_Try, /*On fail goto*//*Label 135*/ GIMT_Encode4(15536), // Rule ID 234 //
     /* 15530 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 15533 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_MUL'
     /* 15533 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 15536 */ // Label 135: @15536
     /* 15536 */ GIM_Try, /*On fail goto*//*Label 136*/ GIMT_Encode4(15547), // Rule ID 307 //
     /* 15541 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 15544 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_MUL'
     /* 15544 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 15547 */ // Label 136: @15547
     /* 15547 */ GIM_Try, /*On fail goto*//*Label 137*/ GIMT_Encode4(15558), // Rule ID 374 //
     /* 15552 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule222Enabled),
     /* 15555 */   // Combiner Rule #222: smulu64; wip_match_opcode 'G_MUL'
     /* 15555 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner160),
     /* 15558 */ // Label 137: @15558
     /* 15558 */ GIM_Try, /*On fail goto*//*Label 138*/ GIMT_Encode4(15598), // Rule ID 17 //
     /* 15563 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule17Enabled),
     /* 15566 */   // MIs[0] dst
     /* 15566 */   GIM_RecordRegType, /*MI*/0, /*Op*/0, /*TempTypeIdx*/uint8_t(-1),
     /* 15570 */   // MIs[0] x
     /* 15570 */   // No operand predicates
     /* 15570 */   // MIs[0] Operand 2
     /* 15570 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /* 15574 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/uint8_t(-1),
     /* 15577 */   GIR_BuildConstant, /*TempRegID*/0, /*Val*/GIMT_Encode8(0),
     /* 15587 */   // Combiner Rule #17: mul_by_neg_one
     /* 15587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 15590 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 15592 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 15595 */   GIR_RootToRootCopy, /*OpIdx*/1, // x
     /* 15597 */   GIR_EraseRootFromParent_Done,
     /* 15598 */ // Label 138: @15598
     /* 15598 */ GIM_Try, /*On fail goto*//*Label 139*/ GIMT_Encode4(15633), // Rule ID 40 //
     /* 15603 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule38Enabled),
     /* 15606 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NoSWrap),
     /* 15612 */   // MIs[0] root
     /* 15612 */   // No operand predicates
     /* 15612 */   // MIs[0] left
     /* 15612 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 15616 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 15620 */   // MIs[1] scale
     /* 15620 */   // No operand predicates
     /* 15620 */   // MIs[0] x
     /* 15620 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 15624 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 15628 */   // MIs[2] imm1
     /* 15628 */   // No operand predicates
     /* 15628 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 15630 */   // Combiner Rule #38: mul_of_vscale
     /* 15630 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner16),
     /* 15633 */ // Label 139: @15633
     /* 15633 */ GIM_Try, /*On fail goto*//*Label 140*/ GIMT_Encode4(15656), // Rule ID 122 //
     /* 15638 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 15641 */   // MIs[0] dst
     /* 15641 */   // No operand predicates
     /* 15641 */   // MIs[0] lhs
     /* 15641 */   // No operand predicates
     /* 15641 */   // MIs[0] zero
     /* 15641 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 15645 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/2,
     /* 15650 */   // Combiner Rule #86: binop_right_to_zero
     /* 15650 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/2,
     /* 15655 */   GIR_EraseRootFromParent_Done,
     /* 15656 */ // Label 140: @15656
     /* 15656 */ GIM_Try, /*On fail goto*//*Label 141*/ GIMT_Encode4(15679), // Rule ID 127 //
     /* 15661 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule91Enabled),
     /* 15664 */   // MIs[0] dst
     /* 15664 */   // No operand predicates
     /* 15664 */   // MIs[0] x
     /* 15664 */   // No operand predicates
     /* 15664 */   // MIs[0] Operand 2
     /* 15664 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 15668 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 15673 */   // Combiner Rule #91: right_identity_one_int
     /* 15673 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 15678 */   GIR_EraseRootFromParent_Done,
     /* 15679 */ // Label 141: @15679
     /* 15679 */ GIM_Try, /*On fail goto*//*Label 142*/ GIMT_Encode4(15690), // Rule ID 14 //
     /* 15684 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule14Enabled),
     /* 15687 */   // MIs[0] d
     /* 15687 */   // No operand predicates
     /* 15687 */   // MIs[0] op1
     /* 15687 */   // No operand predicates
     /* 15687 */   // MIs[0] op2
     /* 15687 */   // No operand predicates
     /* 15687 */   // Combiner Rule #14: mul_to_shl
     /* 15687 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner6),
     /* 15690 */ // Label 142: @15690
     /* 15690 */ GIM_Reject,
     /* 15691 */ // Label 4: @15691
     /* 15691 */ GIM_Try, /*On fail goto*//*Label 143*/ GIMT_Encode4(15702), // Rule ID 118 //
     /* 15696 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule85Enabled),
     /* 15699 */   // Combiner Rule #85: binop_left_to_zero; wip_match_opcode 'G_SDIV'
     /* 15699 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner44),
     /* 15702 */ // Label 143: @15702
     /* 15702 */ GIM_Try, /*On fail goto*//*Label 144*/ GIMT_Encode4(15713), // Rule ID 209 //
     /* 15707 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 15710 */   // Combiner Rule #151: div_rem_to_divrem; wip_match_opcode 'G_SDIV'
     /* 15710 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner94),
     /* 15713 */ // Label 144: @15713
     /* 15713 */ GIM_Try, /*On fail goto*//*Label 145*/ GIMT_Encode4(15724), // Rule ID 240 //
     /* 15718 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 15721 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_SDIV'
     /* 15721 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 15724 */ // Label 145: @15724
     /* 15724 */ GIM_Try, /*On fail goto*//*Label 146*/ GIMT_Encode4(15735), // Rule ID 258 //
     /* 15729 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule170Enabled),
     /* 15732 */   // Combiner Rule #170: sdiv_by_const; wip_match_opcode 'G_SDIV'
     /* 15732 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner108),
     /* 15735 */ // Label 146: @15735
     /* 15735 */ GIM_Try, /*On fail goto*//*Label 147*/ GIMT_Encode4(15746), // Rule ID 283 //
     /* 15740 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 15743 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_SDIV'
     /* 15743 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 15746 */ // Label 147: @15746
     /* 15746 */ GIM_Try, /*On fail goto*//*Label 148*/ GIMT_Encode4(15763), // Rule ID 259 //
     /* 15751 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule171Enabled),
     /* 15754 */   GIM_MIFlagsNot, /*MI*/0, GIMT_Encode4(MachineInstr::IsExact),
     /* 15760 */   // MIs[0] dst
     /* 15760 */   // No operand predicates
     /* 15760 */   // MIs[0] x
     /* 15760 */   // No operand predicates
     /* 15760 */   // MIs[0] y
     /* 15760 */   // No operand predicates
     /* 15760 */   // Combiner Rule #171: sdiv_by_pow2
     /* 15760 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner109),
     /* 15763 */ // Label 148: @15763
     /* 15763 */ GIM_Reject,
     /* 15764 */ // Label 5: @15764
     /* 15764 */ GIM_Try, /*On fail goto*//*Label 149*/ GIMT_Encode4(15775), // Rule ID 80 //
     /* 15769 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule73Enabled),
     /* 15772 */   // Combiner Rule #73: binop_left_undef_to_zero; wip_match_opcode 'G_UDIV'
     /* 15772 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner35),
     /* 15775 */ // Label 149: @15775
     /* 15775 */ GIM_Try, /*On fail goto*//*Label 150*/ GIMT_Encode4(15786), // Rule ID 119 //
     /* 15780 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule85Enabled),
     /* 15783 */   // Combiner Rule #85: binop_left_to_zero; wip_match_opcode 'G_UDIV'
     /* 15783 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner44),
     /* 15786 */ // Label 150: @15786
     /* 15786 */ GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(15797), // Rule ID 210 //
     /* 15791 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 15794 */   // Combiner Rule #151: div_rem_to_divrem; wip_match_opcode 'G_UDIV'
     /* 15794 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner94),
     /* 15797 */ // Label 151: @15797
     /* 15797 */ GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(15808), // Rule ID 239 //
     /* 15802 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 15805 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_UDIV'
     /* 15805 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 15808 */ // Label 152: @15808
     /* 15808 */ GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(15819), // Rule ID 257 //
     /* 15813 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule169Enabled),
     /* 15816 */   // Combiner Rule #169: udiv_by_const; wip_match_opcode 'G_UDIV'
     /* 15816 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner107),
     /* 15819 */ // Label 153: @15819
     /* 15819 */ GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(15830), // Rule ID 285 //
     /* 15824 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 15827 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_UDIV'
     /* 15827 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 15830 */ // Label 154: @15830
     /* 15830 */ GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(15847), // Rule ID 260 //
     /* 15835 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule172Enabled),
     /* 15838 */   GIM_MIFlagsNot, /*MI*/0, GIMT_Encode4(MachineInstr::IsExact),
     /* 15844 */   // MIs[0] dst
     /* 15844 */   // No operand predicates
     /* 15844 */   // MIs[0] x
     /* 15844 */   // No operand predicates
     /* 15844 */   // MIs[0] y
     /* 15844 */   // No operand predicates
     /* 15844 */   // Combiner Rule #172: udiv_by_pow2
     /* 15844 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner110),
     /* 15847 */ // Label 155: @15847
     /* 15847 */ GIM_Reject,
     /* 15848 */ // Label 6: @15848
     /* 15848 */ GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(15859), // Rule ID 120 //
     /* 15853 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule85Enabled),
     /* 15856 */   // Combiner Rule #85: binop_left_to_zero; wip_match_opcode 'G_SREM'
     /* 15856 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner44),
     /* 15859 */ // Label 156: @15859
     /* 15859 */ GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(15870), // Rule ID 211 //
     /* 15864 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 15867 */   // Combiner Rule #151: div_rem_to_divrem; wip_match_opcode 'G_SREM'
     /* 15867 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner94),
     /* 15870 */ // Label 157: @15870
     /* 15870 */ GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(15881), // Rule ID 242 //
     /* 15875 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 15878 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_SREM'
     /* 15878 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 15881 */ // Label 158: @15881
     /* 15881 */ GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(15892), // Rule ID 284 //
     /* 15886 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 15889 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_SREM'
     /* 15889 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 15892 */ // Label 159: @15892
     /* 15892 */ GIM_Reject,
     /* 15893 */ // Label 7: @15893
     /* 15893 */ GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(15904), // Rule ID 81 //
     /* 15898 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule73Enabled),
     /* 15901 */   // Combiner Rule #73: binop_left_undef_to_zero; wip_match_opcode 'G_UREM'
     /* 15901 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner35),
     /* 15904 */ // Label 160: @15904
     /* 15904 */ GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(15915), // Rule ID 121 //
     /* 15909 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule85Enabled),
     /* 15912 */   // Combiner Rule #85: binop_left_to_zero; wip_match_opcode 'G_UREM'
     /* 15912 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner44),
     /* 15915 */ // Label 161: @15915
     /* 15915 */ GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(15926), // Rule ID 168 //
     /* 15920 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule126Enabled),
     /* 15923 */   // Combiner Rule #126: urem_pow2_to_mask; wip_match_opcode 'G_UREM'
     /* 15923 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner74),
     /* 15926 */ // Label 162: @15926
     /* 15926 */ GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(15937), // Rule ID 212 //
     /* 15931 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 15934 */   // Combiner Rule #151: div_rem_to_divrem; wip_match_opcode 'G_UREM'
     /* 15934 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner94),
     /* 15937 */ // Label 163: @15937
     /* 15937 */ GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(15948), // Rule ID 241 //
     /* 15942 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 15945 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_UREM'
     /* 15945 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 15948 */ // Label 164: @15948
     /* 15948 */ GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(15959), // Rule ID 286 //
     /* 15953 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 15956 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_UREM'
     /* 15956 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 15959 */ // Label 165: @15959
     /* 15959 */ GIM_Reject,
     /* 15960 */ // Label 8: @15960
     /* 15960 */ GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(15971), // Rule ID 72 //
     /* 15965 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule68Enabled),
     /* 15968 */   // Combiner Rule #68: load_and_mask; wip_match_opcode 'G_AND'
     /* 15968 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner30),
     /* 15971 */ // Label 166: @15971
     /* 15971 */ GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(15982), // Rule ID 76 //
     /* 15976 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule71Enabled),
     /* 15979 */   // Combiner Rule #71: undef_to_int_zero; wip_match_opcode 'G_AND'
     /* 15979 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner33),
     /* 15982 */ // Label 167: @15982
     /* 15982 */ GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(15993), // Rule ID 141 //
     /* 15987 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule103Enabled),
     /* 15990 */   // Combiner Rule #103: hoist_logic_op_with_same_opcode_hands; wip_match_opcode 'G_AND'
     /* 15990 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner54),
     /* 15993 */ // Label 168: @15993
     /* 15993 */ GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(16004), // Rule ID 160 //
     /* 15998 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule118Enabled),
     /* 16001 */   // Combiner Rule #118: narrow_binop_feeding_and; wip_match_opcode 'G_AND'
     /* 16001 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 16004 */ // Label 169: @16004
     /* 16004 */ GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(16015), // Rule ID 165 //
     /* 16009 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule123Enabled),
     /* 16012 */   // Combiner Rule #123: redundant_and; wip_match_opcode 'G_AND'
     /* 16012 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner71),
     /* 16015 */ // Label 170: @16015
     /* 16015 */ GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(16026), // Rule ID 182 //
     /* 16020 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule140Enabled),
     /* 16023 */   // Combiner Rule #140: overlapping_and; wip_match_opcode 'G_AND'
     /* 16023 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner83),
     /* 16026 */ // Label 171: @16026
     /* 16026 */ GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(16037), // Rule ID 231 //
     /* 16031 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 16034 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_AND'
     /* 16034 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 16037 */ // Label 172: @16037
     /* 16037 */ GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(16048), // Rule ID 268 //
     /* 16042 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule175Enabled),
     /* 16045 */   // Combiner Rule #175: and_or_disjoint_mask; wip_match_opcode 'G_AND'
     /* 16045 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 16048 */ // Label 173: @16048
     /* 16048 */ GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(16059), // Rule ID 280 //
     /* 16053 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 16056 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_AND'
     /* 16056 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 16059 */ // Label 174: @16059
     /* 16059 */ GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(16070), // Rule ID 308 //
     /* 16064 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 16067 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_AND'
     /* 16067 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 16070 */ // Label 175: @16070
     /* 16070 */ GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(16081), // Rule ID 335 //
     /* 16075 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 16078 */   // Combiner Rule #190: match_ands; wip_match_opcode 'G_AND'
     /* 16078 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 16081 */ // Label 176: @16081
     /* 16081 */ GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(16179), // Rule ID 154 //
     /* 16086 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule112Enabled),
     /* 16089 */   // MIs[0] root
     /* 16089 */   // No operand predicates
     /* 16089 */   // MIs[0] d1
     /* 16089 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 16093 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16097 */   // MIs[1] p
     /* 16097 */   // No operand predicates
     /* 16097 */   // MIs[1] s1
     /* 16097 */   GIM_RecordRegType, /*MI*/1, /*Op*/2, /*TempTypeIdx*/uint8_t(-1),
     /* 16101 */   // MIs[1] Operand 3
     /* 16101 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 16105 */   // MIs[0] d2
     /* 16105 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 16109 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16113 */   // MIs[2] p
     /* 16113 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 16118 */   // MIs[2] s2
     /* 16118 */   // No operand predicates
     /* 16118 */   // MIs[2] Operand 3
     /* 16118 */   GIM_CheckConstantInt8, /*MI*/2, /*Op*/3, 0,
     /* 16122 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner5),
     /* 16126 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 16128 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/uint8_t(-1),
     /* 16131 */   GIR_BuildConstant, /*TempRegID*/1, /*Val*/GIMT_Encode8(0),
     /* 16141 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/uint8_t(-1),
     /* 16144 */   // Combiner Rule #112: double_icmp_zero_and_combine
     /* 16144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_OR),
     /* 16147 */   GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 16152 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // s1
     /* 16156 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // s2
     /* 16160 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16164 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, // root
     /* 16168 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // p
     /* 16172 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/0,
     /* 16175 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 16178 */   GIR_EraseRootFromParent_Done,
     /* 16179 */ // Label 177: @16179
     /* 16179 */ GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(16216), // Rule ID 224 //
     /* 16184 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule161Enabled),
     /* 16187 */   // MIs[0] root
     /* 16187 */   // No operand predicates
     /* 16187 */   // MIs[0] shift
     /* 16187 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 16191 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 16195 */   // MIs[1] x
     /* 16195 */   // No operand predicates
     /* 16195 */   // MIs[1] lsb
     /* 16195 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 16199 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 16203 */   // MIs[2] imm1
     /* 16203 */   // No operand predicates
     /* 16203 */   // MIs[0] mask
     /* 16203 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 16207 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 16211 */   // MIs[3] imm2
     /* 16211 */   // No operand predicates
     /* 16211 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 16213 */   // Combiner Rule #161: bitfield_extract_from_and
     /* 16213 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner100),
     /* 16216 */ // Label 178: @16216
     /* 16216 */ GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(16240), // Rule ID 113 //
     /* 16221 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 16224 */   // MIs[0] dst
     /* 16224 */   // No operand predicates
     /* 16224 */   // MIs[0] src
     /* 16224 */   // No operand predicates
     /* 16224 */   // MIs[0] src
     /* 16224 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 16229 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 16234 */   // Combiner Rule #84: binop_same_val @ [__binop_same_val_match_0[0]]
     /* 16234 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 16239 */   GIR_EraseRootFromParent_Done,
     /* 16240 */ // Label 179: @16240
     /* 16240 */ GIM_Reject,
     /* 16241 */ // Label 9: @16241
     /* 16241 */ GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(16252), // Rule ID 78 //
     /* 16246 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule72Enabled),
     /* 16249 */   // Combiner Rule #72: undef_to_negative_one; wip_match_opcode 'G_OR'
     /* 16249 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner34),
     /* 16252 */ // Label 180: @16252
     /* 16252 */ GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(16263), // Rule ID 142 //
     /* 16257 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule103Enabled),
     /* 16260 */   // Combiner Rule #103: hoist_logic_op_with_same_opcode_hands; wip_match_opcode 'G_OR'
     /* 16260 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner54),
     /* 16263 */ // Label 181: @16263
     /* 16263 */ GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(16274), // Rule ID 167 //
     /* 16268 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule125Enabled),
     /* 16271 */   // Combiner Rule #125: redundant_or; wip_match_opcode 'G_OR'
     /* 16271 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner73),
     /* 16274 */ // Label 182: @16274
     /* 16274 */ GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(16285), // Rule ID 208 //
     /* 16279 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule150Enabled),
     /* 16282 */   // Combiner Rule #150: load_or_combine; wip_match_opcode 'G_OR'
     /* 16282 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner93),
     /* 16285 */ // Label 183: @16285
     /* 16285 */ GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(16296), // Rule ID 213 //
     /* 16290 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule152Enabled),
     /* 16293 */   // Combiner Rule #152: funnel_shift_from_or_shift; wip_match_opcode 'G_OR'
     /* 16293 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner95),
     /* 16296 */ // Label 184: @16296
     /* 16296 */ GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(16307), // Rule ID 235 //
     /* 16301 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 16304 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_OR'
     /* 16304 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 16307 */ // Label 185: @16307
     /* 16307 */ GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(16318), // Rule ID 281 //
     /* 16312 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 16315 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_OR'
     /* 16315 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 16318 */ // Label 186: @16318
     /* 16318 */ GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(16329), // Rule ID 309 //
     /* 16323 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 16326 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_OR'
     /* 16326 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 16329 */ // Label 187: @16329
     /* 16329 */ GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(16340), // Rule ID 336 //
     /* 16334 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 16337 */   // Combiner Rule #191: match_ors; wip_match_opcode 'G_OR'
     /* 16337 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner129),
     /* 16340 */ // Label 188: @16340
     /* 16340 */ GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(16438), // Rule ID 155 //
     /* 16345 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule113Enabled),
     /* 16348 */   // MIs[0] root
     /* 16348 */   // No operand predicates
     /* 16348 */   // MIs[0] d1
     /* 16348 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 16352 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16356 */   // MIs[1] p
     /* 16356 */   // No operand predicates
     /* 16356 */   // MIs[1] s1
     /* 16356 */   GIM_RecordRegType, /*MI*/1, /*Op*/2, /*TempTypeIdx*/uint8_t(-1),
     /* 16360 */   // MIs[1] Operand 3
     /* 16360 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 16364 */   // MIs[0] d2
     /* 16364 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 16368 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16372 */   // MIs[2] p
     /* 16372 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 16377 */   // MIs[2] s2
     /* 16377 */   // No operand predicates
     /* 16377 */   // MIs[2] Operand 3
     /* 16377 */   GIM_CheckConstantInt8, /*MI*/2, /*Op*/3, 0,
     /* 16381 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner6),
     /* 16385 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 16387 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/uint8_t(-1),
     /* 16390 */   GIR_BuildConstant, /*TempRegID*/1, /*Val*/GIMT_Encode8(0),
     /* 16400 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/uint8_t(-1),
     /* 16403 */   // Combiner Rule #113: double_icmp_zero_or_combine
     /* 16403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_OR),
     /* 16406 */   GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 16411 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // s1
     /* 16415 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // s2
     /* 16419 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 16423 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, // root
     /* 16427 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // p
     /* 16431 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/0,
     /* 16434 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 16437 */   GIR_EraseRootFromParent_Done,
     /* 16438 */ // Label 189: @16438
     /* 16438 */ GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(16462), // Rule ID 114 //
     /* 16443 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 16446 */   // MIs[0] dst
     /* 16446 */   // No operand predicates
     /* 16446 */   // MIs[0] src
     /* 16446 */   // No operand predicates
     /* 16446 */   // MIs[0] src
     /* 16446 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 16451 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 16456 */   // Combiner Rule #84: binop_same_val @ [__binop_same_val_match_0[1]]
     /* 16456 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 16461 */   GIR_EraseRootFromParent_Done,
     /* 16462 */ // Label 190: @16462
     /* 16462 */ GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(16485), // Rule ID 105 //
     /* 16467 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule83Enabled),
     /* 16470 */   // MIs[0] dst
     /* 16470 */   // No operand predicates
     /* 16470 */   // MIs[0] lhs
     /* 16470 */   // No operand predicates
     /* 16470 */   // MIs[0] Operand 2
     /* 16470 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 16474 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 16479 */   // Combiner Rule #83: right_identity_zero @ [__right_identity_zero_match_0[2]]
     /* 16479 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 16484 */   GIR_EraseRootFromParent_Done,
     /* 16485 */ // Label 191: @16485
     /* 16485 */ GIM_Reject,
     /* 16486 */ // Label 10: @16486
     /* 16486 */ GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(16497), // Rule ID 95 //
     /* 16491 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 16494 */   // Combiner Rule #77: propagate_undef_any_op; wip_match_opcode 'G_XOR'
     /* 16494 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 16497 */ // Label 192: @16497
     /* 16497 */ GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(16508), // Rule ID 143 //
     /* 16502 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule103Enabled),
     /* 16505 */   // Combiner Rule #103: hoist_logic_op_with_same_opcode_hands; wip_match_opcode 'G_XOR'
     /* 16505 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner54),
     /* 16508 */ // Label 193: @16508
     /* 16508 */ GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(16519), // Rule ID 172 //
     /* 16513 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule130Enabled),
     /* 16516 */   // Combiner Rule #130: not_cmp_fold; wip_match_opcode 'G_XOR'
     /* 16516 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner78),
     /* 16519 */ // Label 194: @16519
     /* 16519 */ GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(16530), // Rule ID 196 //
     /* 16524 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule146Enabled),
     /* 16527 */   // Combiner Rule #146: xor_of_and_with_same_reg; wip_match_opcode 'G_XOR'
     /* 16527 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner89),
     /* 16530 */ // Label 195: @16530
     /* 16530 */ GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(16541), // Rule ID 238 //
     /* 16535 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 16538 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_XOR'
     /* 16538 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 16541 */ // Label 196: @16541
     /* 16541 */ GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(16552), // Rule ID 282 //
     /* 16546 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 16549 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_XOR'
     /* 16549 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 16552 */ // Label 197: @16552
     /* 16552 */ GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(16563), // Rule ID 310 //
     /* 16557 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 16560 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_XOR'
     /* 16560 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 16563 */ // Label 198: @16563
     /* 16563 */ GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(16586), // Rule ID 106 //
     /* 16568 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule83Enabled),
     /* 16571 */   // MIs[0] dst
     /* 16571 */   // No operand predicates
     /* 16571 */   // MIs[0] lhs
     /* 16571 */   // No operand predicates
     /* 16571 */   // MIs[0] Operand 2
     /* 16571 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 16575 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 16580 */   // Combiner Rule #83: right_identity_zero @ [__right_identity_zero_match_0[3]]
     /* 16580 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 16585 */   GIR_EraseRootFromParent_Done,
     /* 16586 */ // Label 199: @16586
     /* 16586 */ GIM_Reject,
     /* 16587 */ // Label 11: @16587
     /* 16587 */ GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(16598), // Rule ID 139 //
     /* 16592 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule101Enabled),
     /* 16595 */   // Combiner Rule #101: extend_through_phis; wip_match_opcode 'G_PHI'
     /* 16595 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner52),
     /* 16598 */ // Label 200: @16598
     /* 16598 */ GIM_Reject,
     /* 16599 */ // Label 12: @16599
     /* 16599 */ GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(16610), // Rule ID 346 //
     /* 16604 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule201Enabled),
     /* 16607 */   // Combiner Rule #201: unmerge_anyext_build_vector; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 16607 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner139),
     /* 16610 */ // Label 201: @16610
     /* 16610 */ GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(16621), // Rule ID 347 //
     /* 16615 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule202Enabled),
     /* 16618 */   // Combiner Rule #202: unmerge_merge; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 16618 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner140),
     /* 16621 */ // Label 202: @16621
     /* 16621 */ GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(16632), // Rule ID 349 //
     /* 16626 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule204Enabled),
     /* 16629 */   // Combiner Rule #204: unmerge_cst; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 16629 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner142),
     /* 16632 */ // Label 203: @16632
     /* 16632 */ GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(16643), // Rule ID 350 //
     /* 16637 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule205Enabled),
     /* 16640 */   // Combiner Rule #205: unmerge_undef; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 16640 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner143),
     /* 16643 */ // Label 204: @16643
     /* 16643 */ GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(16654), // Rule ID 351 //
     /* 16648 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule206Enabled),
     /* 16651 */   // Combiner Rule #206: unmerge_dead_to_trunc; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 16651 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner144),
     /* 16654 */ // Label 205: @16654
     /* 16654 */ GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(16665), // Rule ID 352 //
     /* 16659 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule207Enabled),
     /* 16662 */   // Combiner Rule #207: unmerge_zext_to_zext; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 16662 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner145),
     /* 16665 */ // Label 206: @16665
     /* 16665 */ GIM_Reject,
     /* 16666 */ // Label 13: @16666
     /* 16666 */ GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(16677), // Rule ID 348 //
     /* 16671 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule203Enabled),
     /* 16674 */   // Combiner Rule #203: merge_unmerge; wip_match_opcode 'G_MERGE_VALUES'
     /* 16674 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner141),
     /* 16677 */ // Label 207: @16677
     /* 16677 */ GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(16739),
     /* 16682 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 16685 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(16706), // Rule ID 353 //
     /* 16690 */     GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule208Enabled),
     /* 16693 */     // MIs[0] root
     /* 16693 */     // No operand predicates
     /* 16693 */     // MIs[0] x
     /* 16693 */     // No operand predicates
     /* 16693 */     // MIs[0] undef
     /* 16693 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 16697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 16701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16703 */     // Combiner Rule #208: merge_of_x_and_undef
     /* 16703 */     GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner146),
     /* 16706 */   // Label 209: @16706
     /* 16706 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(16738), // Rule ID 354 //
     /* 16711 */     GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule209Enabled),
     /* 16714 */     // MIs[0] root
     /* 16714 */     // No operand predicates
     /* 16714 */     // MIs[0] x
     /* 16714 */     // No operand predicates
     /* 16714 */     // MIs[0] zero
     /* 16714 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 16718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 16722 */     // MIs[1] Operand 1
     /* 16722 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/1, GIMT_Encode8(0),
     /* 16733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16735 */     // Combiner Rule #209: merge_of_x_and_zero
     /* 16735 */     GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner147),
     /* 16738 */   // Label 210: @16738
     /* 16738 */   GIM_Reject,
     /* 16739 */ // Label 208: @16739
     /* 16739 */ GIM_Reject,
     /* 16740 */ // Label 14: @16740
     /* 16740 */ GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(16751), // Rule ID 68 //
     /* 16745 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule66Enabled),
     /* 16748 */   // Combiner Rule #66: extract_all_elts_from_build_vector; wip_match_opcode 'G_BUILD_VECTOR'
     /* 16748 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner28),
     /* 16751 */ // Label 211: @16751
     /* 16751 */ GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(16762), // Rule ID 97 //
     /* 16756 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 16759 */   // Combiner Rule #78: propagate_undef_all_ops; wip_match_opcode 'G_BUILD_VECTOR'
     /* 16759 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 16762 */ // Label 212: @16762
     /* 16762 */ GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(16773), // Rule ID 132 //
     /* 16767 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule94Enabled),
     /* 16770 */   // Combiner Rule #94: buildvector_identity_fold; wip_match_opcode 'G_BUILD_VECTOR'
     /* 16770 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner48),
     /* 16773 */ // Label 213: @16773
     /* 16773 */ GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(16787), // Rule ID 345 //
     /* 16778 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule200Enabled),
     /* 16781 */   GIM_CheckNumOperandsGE, /*MI*/0, /*Expected*/2,
     /* 16784 */   // MIs[0] dst
     /* 16784 */   // No operand predicates
     /* 16784 */   // MIs[0] unused
     /* 16784 */   // No operand predicates
     /* 16784 */   // Combiner Rule #200: combine_use_vector_truncate
     /* 16784 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner138),
     /* 16787 */ // Label 214: @16787
     /* 16787 */ GIM_Reject,
     /* 16788 */ // Label 15: @16788
     /* 16788 */ GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(16799), // Rule ID 131 //
     /* 16793 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule94Enabled),
     /* 16796 */   // Combiner Rule #94: buildvector_identity_fold; wip_match_opcode 'G_BUILD_VECTOR_TRUNC'
     /* 16796 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner48),
     /* 16799 */ // Label 215: @16799
     /* 16799 */ GIM_Reject,
     /* 16800 */ // Label 16: @16800
     /* 16800 */ GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(16811), // Rule ID 338 //
     /* 16805 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule193Enabled),
     /* 16808 */   // Combiner Rule #193: combine_concat_vector; wip_match_opcode 'G_CONCAT_VECTORS'
     /* 16808 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner131),
     /* 16811 */ // Label 216: @16811
     /* 16811 */ GIM_Reject,
     /* 16812 */ // Label 17: @16812
     /* 16812 */ GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(16833), // Rule ID 124 //
     /* 16817 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule88Enabled),
     /* 16820 */   // MIs[0] dst
     /* 16820 */   // No operand predicates
     /* 16820 */   // MIs[0] t
     /* 16820 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 16824 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTTOPTR),
     /* 16828 */   // MIs[1] ptr
     /* 16828 */   // No operand predicates
     /* 16828 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16830 */   // Combiner Rule #88: i2p_to_p2i
     /* 16830 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner46),
     /* 16833 */ // Label 217: @16833
     /* 16833 */ GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(16854), // Rule ID 89 //
     /* 16838 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule76Enabled),
     /* 16841 */   // MIs[0] dst
     /* 16841 */   // No operand predicates
     /* 16841 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 16841 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 16845 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 16849 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16851 */   // Combiner Rule #76: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[3]]
     /* 16851 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner37),
     /* 16854 */ // Label 218: @16854
     /* 16854 */ GIM_Reject,
     /* 16855 */ // Label 18: @16855
     /* 16855 */ GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(16866), // Rule ID 123 //
     /* 16860 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 16863 */   // Combiner Rule #87: p2i_to_i2p; wip_match_opcode 'G_INTTOPTR'
     /* 16863 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 16866 */ // Label 219: @16866
     /* 16866 */ GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(16887), // Rule ID 90 //
     /* 16871 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule76Enabled),
     /* 16874 */   // MIs[0] dst
     /* 16874 */   // No operand predicates
     /* 16874 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 16874 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 16878 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 16882 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16884 */   // Combiner Rule #76: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[4]]
     /* 16884 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner37),
     /* 16887 */ // Label 220: @16887
     /* 16887 */ GIM_Reject,
     /* 16888 */ // Label 19: @16888
     /* 16888 */ GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(16909), // Rule ID 135 //
     /* 16893 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule97Enabled),
     /* 16896 */   // MIs[0] dst
     /* 16896 */   // No operand predicates
     /* 16896 */   // MIs[0] src1
     /* 16896 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 16900 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 16904 */   // MIs[1] src0
     /* 16904 */   // No operand predicates
     /* 16904 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16906 */   // Combiner Rule #97: bitcast_bitcast_fold
     /* 16906 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner51),
     /* 16909 */ // Label 221: @16909
     /* 16909 */ GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(16930), // Rule ID 87 //
     /* 16914 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule76Enabled),
     /* 16917 */   // MIs[0] dst
     /* 16917 */   // No operand predicates
     /* 16917 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 16917 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 16921 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 16925 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16927 */   // Combiner Rule #76: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[1]]
     /* 16927 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner37),
     /* 16930 */ // Label 222: @16930
     /* 16930 */ GIM_Reject,
     /* 16931 */ // Label 20: @16931
     /* 16931 */ GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(16960), // Rule ID 18 //
     /* 16936 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule18Enabled),
     /* 16939 */   // MIs[0] dst
     /* 16939 */   // No operand predicates
     /* 16939 */   // MIs[0] src
     /* 16939 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 16943 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FREEZE),
     /* 16947 */   // MIs[1] __idempotent_prop_match_0.x
     /* 16947 */   // No operand predicates
     /* 16947 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 16952 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 16954 */   // Combiner Rule #18: idempotent_prop @ [__idempotent_prop_match_0[0]]
     /* 16954 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 16959 */   GIR_EraseRootFromParent_Done,
     /* 16960 */ // Label 223: @16960
     /* 16960 */ GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(16983), // Rule ID 43 //
     /* 16965 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule41Enabled),
     /* 16968 */   // MIs[0] root
     /* 16968 */   // No operand predicates
     /* 16968 */   // MIs[0] src
     /* 16968 */   // No operand predicates
     /* 16968 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner1),
     /* 16972 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 16977 */   // Combiner Rule #41: freeze_of_non_undef_non_poison
     /* 16977 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 16982 */   GIR_EraseRootFromParent_Done,
     /* 16983 */ // Label 224: @16983
     /* 16983 */ GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(16994), // Rule ID 44 //
     /* 16988 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule42Enabled),
     /* 16991 */   // MIs[0] dst
     /* 16991 */   // No operand predicates
     /* 16991 */   // MIs[0] src
     /* 16991 */   // No operand predicates
     /* 16991 */   // Combiner Rule #42: push_freeze_to_prevent_poison_from_propagating
     /* 16991 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner19),
     /* 16994 */ // Label 225: @16994
     /* 16994 */ GIM_Reject,
     /* 16995 */ // Label 21: @16995
     /* 16995 */ GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(17006), // Rule ID 69 //
     /* 17000 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule67Enabled),
     /* 17003 */   // Combiner Rule #67: extending_loads; wip_match_opcode 'G_LOAD'
     /* 17003 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner29),
     /* 17006 */ // Label 226: @17006
     /* 17006 */ GIM_Reject,
     /* 17007 */ // Label 22: @17007
     /* 17007 */ GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(17018), // Rule ID 70 //
     /* 17012 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule67Enabled),
     /* 17015 */   // Combiner Rule #67: extending_loads; wip_match_opcode 'G_SEXTLOAD'
     /* 17015 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner29),
     /* 17018 */ // Label 227: @17018
     /* 17018 */ GIM_Reject,
     /* 17019 */ // Label 23: @17019
     /* 17019 */ GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(17030), // Rule ID 71 //
     /* 17024 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule67Enabled),
     /* 17027 */   // Combiner Rule #67: extending_loads; wip_match_opcode 'G_ZEXTLOAD'
     /* 17027 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner29),
     /* 17030 */ // Label 228: @17030
     /* 17030 */ GIM_Reject,
     /* 17031 */ // Label 24: @17031
     /* 17031 */ GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(17042), // Rule ID 99 //
     /* 17036 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule80Enabled),
     /* 17039 */   // Combiner Rule #80: erase_undef_store; wip_match_opcode 'G_STORE'
     /* 17039 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner41),
     /* 17042 */ // Label 229: @17042
     /* 17042 */ GIM_Reject,
     /* 17043 */ // Label 25: @17043
     /* 17043 */ GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(17054), // Rule ID 370 //
     /* 17048 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule219Enabled),
     /* 17051 */   // Combiner Rule #219: rcp_sqrt_to_rsq; wip_match_opcode 'G_INTRINSIC'
     /* 17051 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner157),
     /* 17054 */ // Label 230: @17054
     /* 17054 */ GIM_Reject,
     /* 17055 */ // Label 26: @17055
     /* 17055 */ GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(17066), // Rule ID 125 //
     /* 17060 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule89Enabled),
     /* 17063 */   // Combiner Rule #89: anyext_trunc_fold; wip_match_opcode 'G_ANYEXT'
     /* 17063 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner47),
     /* 17066 */ // Label 231: @17066
     /* 17066 */ GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(17077), // Rule ID 255 //
     /* 17071 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule167Enabled),
     /* 17074 */   // Combiner Rule #167: constant_fold_cast_op; wip_match_opcode 'G_ANYEXT'
     /* 17074 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner106),
     /* 17077 */ // Label 232: @17077
     /* 17077 */ GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(17098), // Rule ID 56 //
     /* 17082 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule54Enabled),
     /* 17085 */   // MIs[0] root
     /* 17085 */   // No operand predicates
     /* 17085 */   // MIs[0] select
     /* 17085 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17089 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SELECT),
     /* 17093 */   // MIs[1] cond
     /* 17093 */   // No operand predicates
     /* 17093 */   // MIs[1] true
     /* 17093 */   // No operand predicates
     /* 17093 */   // MIs[1] false
     /* 17093 */   // No operand predicates
     /* 17093 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17095 */   // Combiner Rule #54: select_of_anyext
     /* 17095 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner22),
     /* 17098 */ // Label 233: @17098
     /* 17098 */ GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(17119), // Rule ID 52 //
     /* 17103 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule50Enabled),
     /* 17106 */   // MIs[0] root
     /* 17106 */   // No operand predicates
     /* 17106 */   // MIs[0] second
     /* 17106 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17110 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 17114 */   // MIs[1] src
     /* 17114 */   // No operand predicates
     /* 17114 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17116 */   // Combiner Rule #50: anyext_of_anyext
     /* 17116 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 17119 */ // Label 234: @17119
     /* 17119 */ GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(17140), // Rule ID 54 //
     /* 17124 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule52Enabled),
     /* 17127 */   // MIs[0] root
     /* 17127 */   // No operand predicates
     /* 17127 */   // MIs[0] second
     /* 17127 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17131 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 17135 */   // MIs[1] src
     /* 17135 */   // No operand predicates
     /* 17135 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17137 */   // Combiner Rule #52: anyext_of_sext
     /* 17137 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 17140 */ // Label 235: @17140
     /* 17140 */ GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(17161), // Rule ID 53 //
     /* 17145 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule51Enabled),
     /* 17148 */   // MIs[0] root
     /* 17148 */   // No operand predicates
     /* 17148 */   // MIs[0] second
     /* 17148 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17152 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 17156 */   // MIs[1] src
     /* 17156 */   // No operand predicates
     /* 17156 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17158 */   // Combiner Rule #51: anyext_of_zext
     /* 17158 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 17161 */ // Label 236: @17161
     /* 17161 */ GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(17182), // Rule ID 88 //
     /* 17166 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule76Enabled),
     /* 17169 */   // MIs[0] dst
     /* 17169 */   // No operand predicates
     /* 17169 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 17169 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17173 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 17177 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17179 */   // Combiner Rule #76: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[2]]
     /* 17179 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner37),
     /* 17182 */ // Label 237: @17182
     /* 17182 */ GIM_Reject,
     /* 17183 */ // Label 27: @17183
     /* 17183 */ GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(17194), // Rule ID 133 //
     /* 17188 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule95Enabled),
     /* 17191 */   // Combiner Rule #95: trunc_buildvector_fold; wip_match_opcode 'G_TRUNC'
     /* 17191 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner49),
     /* 17194 */ // Label 238: @17194
     /* 17194 */ GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(17205), // Rule ID 134 //
     /* 17199 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule96Enabled),
     /* 17202 */   // Combiner Rule #96: trunc_lshr_buildvector_fold; wip_match_opcode 'G_TRUNC'
     /* 17202 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner50),
     /* 17205 */ // Label 239: @17205
     /* 17205 */ GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(17216), // Rule ID 171 //
     /* 17210 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule129Enabled),
     /* 17213 */   // Combiner Rule #129: trunc_shift; wip_match_opcode 'G_TRUNC'
     /* 17213 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner77),
     /* 17216 */ // Label 240: @17216
     /* 17216 */ GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(17237), // Rule ID 57 //
     /* 17221 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule55Enabled),
     /* 17224 */   // MIs[0] root
     /* 17224 */   // No operand predicates
     /* 17224 */   // MIs[0] select
     /* 17224 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17228 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SELECT),
     /* 17232 */   // MIs[1] cond
     /* 17232 */   // No operand predicates
     /* 17232 */   // MIs[1] true
     /* 17232 */   // No operand predicates
     /* 17232 */   // MIs[1] false
     /* 17232 */   // No operand predicates
     /* 17232 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17234 */   // Combiner Rule #55: select_of_truncate
     /* 17234 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner22),
     /* 17237 */ // Label 241: @17237
     /* 17237 */ GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(17266), // Rule ID 59 //
     /* 17242 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule57Enabled),
     /* 17245 */   // MIs[0] root
     /* 17245 */   // No operand predicates
     /* 17245 */   // MIs[0] binop
     /* 17245 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17249 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 17253 */   // MIs[1] x
     /* 17253 */   // No operand predicates
     /* 17253 */   // MIs[1] const
     /* 17253 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 17257 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 17261 */   // MIs[2] imm
     /* 17261 */   // No operand predicates
     /* 17261 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 17263 */   // Combiner Rule #57: narrow_binop_add
     /* 17263 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner24),
     /* 17266 */ // Label 242: @17266
     /* 17266 */ GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(17295), // Rule ID 62 //
     /* 17271 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule60Enabled),
     /* 17274 */   // MIs[0] root
     /* 17274 */   // No operand predicates
     /* 17274 */   // MIs[0] binop
     /* 17274 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17278 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 17282 */   // MIs[1] x
     /* 17282 */   // No operand predicates
     /* 17282 */   // MIs[1] const
     /* 17282 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 17286 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 17290 */   // MIs[2] imm
     /* 17290 */   // No operand predicates
     /* 17290 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 17292 */   // Combiner Rule #60: narrow_binop_and
     /* 17292 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner24),
     /* 17295 */ // Label 243: @17295
     /* 17295 */ GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(17324), // Rule ID 61 //
     /* 17300 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule59Enabled),
     /* 17303 */   // MIs[0] root
     /* 17303 */   // No operand predicates
     /* 17303 */   // MIs[0] binop
     /* 17303 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17307 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 17311 */   // MIs[1] x
     /* 17311 */   // No operand predicates
     /* 17311 */   // MIs[1] const
     /* 17311 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 17315 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 17319 */   // MIs[2] imm
     /* 17319 */   // No operand predicates
     /* 17319 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 17321 */   // Combiner Rule #59: narrow_binop_mul
     /* 17321 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner24),
     /* 17324 */ // Label 244: @17324
     /* 17324 */ GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(17353), // Rule ID 63 //
     /* 17329 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule61Enabled),
     /* 17332 */   // MIs[0] root
     /* 17332 */   // No operand predicates
     /* 17332 */   // MIs[0] binop
     /* 17332 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17336 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 17340 */   // MIs[1] x
     /* 17340 */   // No operand predicates
     /* 17340 */   // MIs[1] const
     /* 17340 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 17344 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 17348 */   // MIs[2] imm
     /* 17348 */   // No operand predicates
     /* 17348 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 17350 */   // Combiner Rule #61: narrow_binop_or
     /* 17350 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner24),
     /* 17353 */ // Label 245: @17353
     /* 17353 */ GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(17382), // Rule ID 60 //
     /* 17358 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule58Enabled),
     /* 17361 */   // MIs[0] root
     /* 17361 */   // No operand predicates
     /* 17361 */   // MIs[0] binop
     /* 17361 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17365 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 17369 */   // MIs[1] x
     /* 17369 */   // No operand predicates
     /* 17369 */   // MIs[1] const
     /* 17369 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 17373 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 17377 */   // MIs[2] imm
     /* 17377 */   // No operand predicates
     /* 17377 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 17379 */   // Combiner Rule #58: narrow_binop_sub
     /* 17379 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner24),
     /* 17382 */ // Label 246: @17382
     /* 17382 */ GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(17411), // Rule ID 64 //
     /* 17387 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule62Enabled),
     /* 17390 */   // MIs[0] root
     /* 17390 */   // No operand predicates
     /* 17390 */   // MIs[0] binop
     /* 17390 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17394 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 17398 */   // MIs[1] x
     /* 17398 */   // No operand predicates
     /* 17398 */   // MIs[1] const
     /* 17398 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 17402 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 17406 */   // MIs[2] imm
     /* 17406 */   // No operand predicates
     /* 17406 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 17408 */   // Combiner Rule #62: narrow_binop_xor
     /* 17408 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner24),
     /* 17411 */ // Label 247: @17411
     /* 17411 */ GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(17432), // Rule ID 47 //
     /* 17416 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule45Enabled),
     /* 17419 */   // MIs[0] root
     /* 17419 */   // No operand predicates
     /* 17419 */   // MIs[0] ext
     /* 17419 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17423 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 17427 */   // MIs[1] src
     /* 17427 */   // No operand predicates
     /* 17427 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17429 */   // Combiner Rule #45: truncate_of_anyext
     /* 17429 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner20),
     /* 17432 */ // Label 248: @17432
     /* 17432 */ GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(17456), // Rule ID 58 //
     /* 17437 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule56Enabled),
     /* 17440 */   // MIs[0] root
     /* 17440 */   // No operand predicates
     /* 17440 */   // MIs[0] bv
     /* 17440 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17444 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 17448 */   GIM_CheckNumOperandsGE, /*MI*/1, /*Expected*/2,
     /* 17451 */   // MIs[1] unused
     /* 17451 */   // No operand predicates
     /* 17451 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17453 */   // Combiner Rule #56: buildvector_of_truncate
     /* 17453 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner23),
     /* 17456 */ // Label 249: @17456
     /* 17456 */ GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(17477), // Rule ID 46 //
     /* 17461 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule44Enabled),
     /* 17464 */   // MIs[0] root
     /* 17464 */   // No operand predicates
     /* 17464 */   // MIs[0] ext
     /* 17464 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17468 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 17472 */   // MIs[1] src
     /* 17472 */   // No operand predicates
     /* 17472 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17474 */   // Combiner Rule #44: truncate_of_sext
     /* 17474 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner20),
     /* 17477 */ // Label 250: @17477
     /* 17477 */ GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(17498), // Rule ID 45 //
     /* 17482 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule43Enabled),
     /* 17485 */   // MIs[0] root
     /* 17485 */   // No operand predicates
     /* 17485 */   // MIs[0] ext
     /* 17485 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17489 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 17493 */   // MIs[1] src
     /* 17493 */   // No operand predicates
     /* 17493 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17495 */   // Combiner Rule #43: truncate_of_zext
     /* 17495 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner20),
     /* 17498 */ // Label 251: @17498
     /* 17498 */ GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(17519), // Rule ID 86 //
     /* 17503 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule76Enabled),
     /* 17506 */   // MIs[0] dst
     /* 17506 */   // No operand predicates
     /* 17506 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 17506 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17510 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 17514 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17516 */   // Combiner Rule #76: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[0]]
     /* 17516 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner37),
     /* 17519 */ // Label 252: @17519
     /* 17519 */ GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(17540), // Rule ID 65 //
     /* 17524 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule63Enabled),
     /* 17527 */   // MIs[0] root
     /* 17527 */   // No operand predicates
     /* 17527 */   // MIs[0] int
     /* 17527 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17531 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 17535 */   // MIs[1] imm
     /* 17535 */   // No operand predicates
     /* 17535 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17537 */   // Combiner Rule #63: integer_of_truncate
     /* 17537 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 17540 */ // Label 253: @17540
     /* 17540 */ GIM_Reject,
     /* 17541 */ // Label 28: @17541
     /* 17541 */ GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(17552), // Rule ID 254 //
     /* 17546 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule167Enabled),
     /* 17549 */   // Combiner Rule #167: constant_fold_cast_op; wip_match_opcode 'G_SEXT'
     /* 17549 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner106),
     /* 17552 */ // Label 254: @17552
     /* 17552 */ GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(17573), // Rule ID 51 //
     /* 17557 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule49Enabled),
     /* 17560 */   // MIs[0] root
     /* 17560 */   // No operand predicates
     /* 17560 */   // MIs[0] second
     /* 17560 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17564 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 17568 */   // MIs[1] src
     /* 17568 */   // No operand predicates
     /* 17568 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17570 */   // Combiner Rule #49: sext_of_anyext
     /* 17570 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 17573 */ // Label 255: @17573
     /* 17573 */ GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(17594), // Rule ID 50 //
     /* 17578 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 17581 */   // MIs[0] root
     /* 17581 */   // No operand predicates
     /* 17581 */   // MIs[0] second
     /* 17581 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17585 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 17589 */   // MIs[1] src
     /* 17589 */   // No operand predicates
     /* 17589 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17591 */   // Combiner Rule #48: sext_of_sext
     /* 17591 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 17594 */ // Label 256: @17594
     /* 17594 */ GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(17621), // Rule ID 339 //
     /* 17599 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule194Enabled),
     /* 17602 */   // MIs[0] root
     /* 17602 */   // No operand predicates
     /* 17602 */   // MIs[0] src
     /* 17602 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17606 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 17610 */   GIM_MIFlags, /*MI*/1, GIMT_Encode4(MachineInstr::NoSWrap),
     /* 17616 */   // MIs[1] x
     /* 17616 */   // No operand predicates
     /* 17616 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17618 */   // Combiner Rule #194: sext_trunc
     /* 17618 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner132),
     /* 17621 */ // Label 257: @17621
     /* 17621 */ GIM_Reject,
     /* 17622 */ // Label 29: @17622
     /* 17622 */ GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(17633), // Rule ID 158 //
     /* 17627 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule116Enabled),
     /* 17630 */   // Combiner Rule #116: sext_inreg_of_load; wip_match_opcode 'G_SEXT_INREG'
     /* 17630 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner65),
     /* 17633 */ // Label 258: @17633
     /* 17633 */ GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(17644), // Rule ID 166 //
     /* 17638 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule124Enabled),
     /* 17641 */   // Combiner Rule #124: redundant_sext_inreg; wip_match_opcode 'G_SEXT_INREG'
     /* 17641 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner72),
     /* 17644 */ // Label 259: @17644
     /* 17644 */ GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(17655), // Rule ID 223 //
     /* 17649 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule160Enabled),
     /* 17652 */   // Combiner Rule #160: bitfield_extract_from_sext_inreg; wip_match_opcode 'G_SEXT_INREG'
     /* 17652 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner99),
     /* 17655 */ // Label 260: @17655
     /* 17655 */ GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(17666), // Rule ID 373 //
     /* 17660 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule221Enabled),
     /* 17663 */   // Combiner Rule #221: sign_extension_in_reg; wip_match_opcode 'G_SEXT_INREG'
     /* 17663 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner159),
     /* 17666 */ // Label 261: @17666
     /* 17666 */ GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(17677), // Rule ID 170 //
     /* 17671 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule128Enabled),
     /* 17674 */   // MIs[0] dst
     /* 17674 */   // No operand predicates
     /* 17674 */   // MIs[0] src
     /* 17674 */   // No operand predicates
     /* 17674 */   // MIs[0] imm
     /* 17674 */   // No operand predicates
     /* 17674 */   // Combiner Rule #128: sext_inreg_to_zext_inreg
     /* 17674 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner76),
     /* 17677 */ // Label 262: @17677
     /* 17677 */ GIM_Reject,
     /* 17678 */ // Label 30: @17678
     /* 17678 */ GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(17689), // Rule ID 169 //
     /* 17683 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule127Enabled),
     /* 17686 */   // Combiner Rule #127: zext_trunc_fold; wip_match_opcode 'G_ZEXT'
     /* 17686 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner75),
     /* 17689 */ // Label 263: @17689
     /* 17689 */ GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(17700), // Rule ID 253 //
     /* 17694 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule167Enabled),
     /* 17697 */   // Combiner Rule #167: constant_fold_cast_op; wip_match_opcode 'G_ZEXT'
     /* 17697 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner106),
     /* 17700 */ // Label 264: @17700
     /* 17700 */ GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(17721), // Rule ID 55 //
     /* 17705 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule53Enabled),
     /* 17708 */   // MIs[0] root
     /* 17708 */   // No operand predicates
     /* 17708 */   // MIs[0] select
     /* 17708 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17712 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SELECT),
     /* 17716 */   // MIs[1] cond
     /* 17716 */   // No operand predicates
     /* 17716 */   // MIs[1] true
     /* 17716 */   // No operand predicates
     /* 17716 */   // MIs[1] false
     /* 17716 */   // No operand predicates
     /* 17716 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17718 */   // Combiner Rule #53: select_of_zext
     /* 17718 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner22),
     /* 17721 */ // Label 265: @17721
     /* 17721 */ GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(17742), // Rule ID 49 //
     /* 17726 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule47Enabled),
     /* 17729 */   // MIs[0] root
     /* 17729 */   // No operand predicates
     /* 17729 */   // MIs[0] second
     /* 17729 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17733 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 17737 */   // MIs[1] src
     /* 17737 */   // No operand predicates
     /* 17737 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17739 */   // Combiner Rule #47: zext_of_anyext
     /* 17739 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 17742 */ // Label 266: @17742
     /* 17742 */ GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(17769), // Rule ID 340 //
     /* 17747 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule195Enabled),
     /* 17750 */   // MIs[0] root
     /* 17750 */   // No operand predicates
     /* 17750 */   // MIs[0] src
     /* 17750 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17754 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 17758 */   GIM_MIFlags, /*MI*/1, GIMT_Encode4(MachineInstr::NoUWrap),
     /* 17764 */   // MIs[1] x
     /* 17764 */   // No operand predicates
     /* 17764 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17766 */   // Combiner Rule #195: zext_trunc
     /* 17766 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner133),
     /* 17769 */ // Label 267: @17769
     /* 17769 */ GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(17790), // Rule ID 48 //
     /* 17774 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule46Enabled),
     /* 17777 */   // MIs[0] root
     /* 17777 */   // No operand predicates
     /* 17777 */   // MIs[0] second
     /* 17777 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17781 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 17785 */   // MIs[1] src
     /* 17785 */   // No operand predicates
     /* 17785 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 17787 */   // Combiner Rule #46: zext_of_zext
     /* 17787 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 17790 */ // Label 268: @17790
     /* 17790 */ GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(17807), // Rule ID 341 //
     /* 17795 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule196Enabled),
     /* 17798 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NonNeg),
     /* 17804 */   // MIs[0] root
     /* 17804 */   // No operand predicates
     /* 17804 */   // MIs[0] x
     /* 17804 */   // No operand predicates
     /* 17804 */   // Combiner Rule #196: nneg_zext
     /* 17804 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner134),
     /* 17807 */ // Label 269: @17807
     /* 17807 */ GIM_Reject,
     /* 17808 */ // Label 31: @17808
     /* 17808 */ GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(17819), // Rule ID 79 //
     /* 17813 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule73Enabled),
     /* 17816 */   // Combiner Rule #73: binop_left_undef_to_zero; wip_match_opcode 'G_SHL'
     /* 17816 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner35),
     /* 17819 */ // Label 270: @17819
     /* 17819 */ GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(17830), // Rule ID 82 //
     /* 17824 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule74Enabled),
     /* 17827 */   // Combiner Rule #74: binop_right_undef_to_undef; wip_match_opcode 'G_SHL'
     /* 17827 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner36),
     /* 17830 */ // Label 271: @17830
     /* 17830 */ GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(17841), // Rule ID 115 //
     /* 17835 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule85Enabled),
     /* 17838 */   // Combiner Rule #85: binop_left_to_zero; wip_match_opcode 'G_SHL'
     /* 17838 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner44),
     /* 17841 */ // Label 272: @17841
     /* 17841 */ GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(17852), // Rule ID 198 //
     /* 17846 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule148Enabled),
     /* 17849 */   // Combiner Rule #148: shift_immed_chain; wip_match_opcode 'G_SHL'
     /* 17849 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner91),
     /* 17852 */ // Label 273: @17852
     /* 17852 */ GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(17863), // Rule ID 203 //
     /* 17857 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule149Enabled),
     /* 17860 */   // Combiner Rule #149: shift_of_shifted_logic_chain; wip_match_opcode 'G_SHL'
     /* 17860 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 17863 */ // Label 274: @17863
     /* 17863 */ GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(17874), // Rule ID 222 //
     /* 17868 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule159Enabled),
     /* 17871 */   // Combiner Rule #159: commute_shift; wip_match_opcode 'G_SHL'
     /* 17871 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner98),
     /* 17874 */ // Label 275: @17874
     /* 17874 */ GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(17885), // Rule ID 236 //
     /* 17879 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 17882 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_SHL'
     /* 17882 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 17885 */ // Label 276: @17885
     /* 17885 */ GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(17896), // Rule ID 289 //
     /* 17890 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 17893 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_SHL'
     /* 17893 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 17896 */ // Label 277: @17896
     /* 17896 */ GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(17931), // Rule ID 41 //
     /* 17901 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule39Enabled),
     /* 17904 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NoSWrap),
     /* 17910 */   // MIs[0] root
     /* 17910 */   // No operand predicates
     /* 17910 */   // MIs[0] left
     /* 17910 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 17914 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 17918 */   // MIs[1] imm
     /* 17918 */   // No operand predicates
     /* 17918 */   // MIs[0] x
     /* 17918 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 17922 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 17926 */   // MIs[2] imm1
     /* 17926 */   // No operand predicates
     /* 17926 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 17928 */   // Combiner Rule #39: shl_of_vscale
     /* 17928 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner17),
     /* 17931 */ // Label 278: @17931
     /* 17931 */ GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(17954), // Rule ID 107 //
     /* 17936 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule83Enabled),
     /* 17939 */   // MIs[0] dst
     /* 17939 */   // No operand predicates
     /* 17939 */   // MIs[0] lhs
     /* 17939 */   // No operand predicates
     /* 17939 */   // MIs[0] Operand 2
     /* 17939 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 17943 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 17948 */   // Combiner Rule #83: right_identity_zero @ [__right_identity_zero_match_0[4]]
     /* 17948 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 17953 */   GIR_EraseRootFromParent_Done,
     /* 17954 */ // Label 279: @17954
     /* 17954 */ GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(17965), // Rule ID 144 //
     /* 17959 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule104Enabled),
     /* 17962 */   // MIs[0] root
     /* 17962 */   // No operand predicates
     /* 17962 */   // MIs[0] mi.shifted
     /* 17962 */   // No operand predicates
     /* 17962 */   // MIs[0] mi.amt
     /* 17962 */   // No operand predicates
     /* 17962 */   // Combiner Rule #104: shifts_too_big @ [mi[0]]
     /* 17962 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner55),
     /* 17965 */ // Label 280: @17965
     /* 17965 */ GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(17976), // Rule ID 159 //
     /* 17970 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule117Enabled),
     /* 17973 */   // MIs[0] dst
     /* 17973 */   // No operand predicates
     /* 17973 */   // MIs[0] src0
     /* 17973 */   // No operand predicates
     /* 17973 */   // MIs[0] src1
     /* 17973 */   // No operand predicates
     /* 17973 */   // Combiner Rule #117: reduce_shl_of_extend
     /* 17973 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner66),
     /* 17976 */ // Label 281: @17976
     /* 17976 */ GIM_Reject,
     /* 17977 */ // Label 32: @17977
     /* 17977 */ GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(17988), // Rule ID 84 //
     /* 17982 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule74Enabled),
     /* 17985 */   // Combiner Rule #74: binop_right_undef_to_undef; wip_match_opcode 'G_LSHR'
     /* 17985 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner36),
     /* 17988 */ // Label 282: @17988
     /* 17988 */ GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(17999), // Rule ID 116 //
     /* 17993 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule85Enabled),
     /* 17996 */   // Combiner Rule #85: binop_left_to_zero; wip_match_opcode 'G_LSHR'
     /* 17996 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner44),
     /* 17999 */ // Label 283: @17999
     /* 17999 */ GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(18010), // Rule ID 200 //
     /* 18004 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule148Enabled),
     /* 18007 */   // Combiner Rule #148: shift_immed_chain; wip_match_opcode 'G_LSHR'
     /* 18007 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner91),
     /* 18010 */ // Label 284: @18010
     /* 18010 */ GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(18021), // Rule ID 205 //
     /* 18015 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule149Enabled),
     /* 18018 */   // Combiner Rule #149: shift_of_shifted_logic_chain; wip_match_opcode 'G_LSHR'
     /* 18018 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 18021 */ // Label 285: @18021
     /* 18021 */ GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(18032), // Rule ID 226 //
     /* 18026 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule162Enabled),
     /* 18029 */   // Combiner Rule #162: bitfield_extract_from_shr; wip_match_opcode 'G_LSHR'
     /* 18029 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner101),
     /* 18032 */ // Label 286: @18032
     /* 18032 */ GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(18043), // Rule ID 228 //
     /* 18037 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule163Enabled),
     /* 18040 */   // Combiner Rule #163: bitfield_extract_from_shr_and; wip_match_opcode 'G_LSHR'
     /* 18040 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner102),
     /* 18043 */ // Label 287: @18043
     /* 18043 */ GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(18054), // Rule ID 233 //
     /* 18048 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 18051 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_LSHR'
     /* 18051 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 18054 */ // Label 288: @18054
     /* 18054 */ GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(18065), // Rule ID 287 //
     /* 18059 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 18062 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_LSHR'
     /* 18062 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 18065 */ // Label 289: @18065
     /* 18065 */ GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(18088), // Rule ID 109 //
     /* 18070 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule83Enabled),
     /* 18073 */   // MIs[0] dst
     /* 18073 */   // No operand predicates
     /* 18073 */   // MIs[0] lhs
     /* 18073 */   // No operand predicates
     /* 18073 */   // MIs[0] Operand 2
     /* 18073 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 18077 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 18082 */   // Combiner Rule #83: right_identity_zero @ [__right_identity_zero_match_0[6]]
     /* 18082 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 18087 */   GIR_EraseRootFromParent_Done,
     /* 18088 */ // Label 290: @18088
     /* 18088 */ GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(18099), // Rule ID 146 //
     /* 18093 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule104Enabled),
     /* 18096 */   // MIs[0] root
     /* 18096 */   // No operand predicates
     /* 18096 */   // MIs[0] mi.shifted
     /* 18096 */   // No operand predicates
     /* 18096 */   // MIs[0] mi.amt
     /* 18096 */   // No operand predicates
     /* 18096 */   // Combiner Rule #104: shifts_too_big @ [mi[2]]
     /* 18096 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner55),
     /* 18099 */ // Label 291: @18099
     /* 18099 */ GIM_Reject,
     /* 18100 */ // Label 33: @18100
     /* 18100 */ GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(18111), // Rule ID 83 //
     /* 18105 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule74Enabled),
     /* 18108 */   // Combiner Rule #74: binop_right_undef_to_undef; wip_match_opcode 'G_ASHR'
     /* 18108 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner36),
     /* 18111 */ // Label 292: @18111
     /* 18111 */ GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(18122), // Rule ID 117 //
     /* 18116 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule85Enabled),
     /* 18119 */   // Combiner Rule #85: binop_left_to_zero; wip_match_opcode 'G_ASHR'
     /* 18119 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner44),
     /* 18122 */ // Label 293: @18122
     /* 18122 */ GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(18133), // Rule ID 157 //
     /* 18127 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule115Enabled),
     /* 18130 */   // Combiner Rule #115: shl_ashr_to_sext_inreg; wip_match_opcode 'G_ASHR'
     /* 18130 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner64),
     /* 18133 */ // Label 294: @18133
     /* 18133 */ GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(18144), // Rule ID 199 //
     /* 18138 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule148Enabled),
     /* 18141 */   // Combiner Rule #148: shift_immed_chain; wip_match_opcode 'G_ASHR'
     /* 18141 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner91),
     /* 18144 */ // Label 295: @18144
     /* 18144 */ GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(18155), // Rule ID 204 //
     /* 18149 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule149Enabled),
     /* 18152 */   // Combiner Rule #149: shift_of_shifted_logic_chain; wip_match_opcode 'G_ASHR'
     /* 18152 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 18155 */ // Label 296: @18155
     /* 18155 */ GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(18166), // Rule ID 225 //
     /* 18160 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule162Enabled),
     /* 18163 */   // Combiner Rule #162: bitfield_extract_from_shr; wip_match_opcode 'G_ASHR'
     /* 18163 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner101),
     /* 18166 */ // Label 297: @18166
     /* 18166 */ GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(18177), // Rule ID 227 //
     /* 18171 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule163Enabled),
     /* 18174 */   // Combiner Rule #163: bitfield_extract_from_shr_and; wip_match_opcode 'G_ASHR'
     /* 18174 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner102),
     /* 18177 */ // Label 298: @18177
     /* 18177 */ GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(18188), // Rule ID 232 //
     /* 18182 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 18185 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_ASHR'
     /* 18185 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 18188 */ // Label 299: @18188
     /* 18188 */ GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(18199), // Rule ID 288 //
     /* 18193 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 18196 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_ASHR'
     /* 18196 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 18199 */ // Label 300: @18199
     /* 18199 */ GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(18222), // Rule ID 108 //
     /* 18204 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule83Enabled),
     /* 18207 */   // MIs[0] dst
     /* 18207 */   // No operand predicates
     /* 18207 */   // MIs[0] lhs
     /* 18207 */   // No operand predicates
     /* 18207 */   // MIs[0] Operand 2
     /* 18207 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 18211 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 18216 */   // Combiner Rule #83: right_identity_zero @ [__right_identity_zero_match_0[5]]
     /* 18216 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 18221 */   GIR_EraseRootFromParent_Done,
     /* 18222 */ // Label 301: @18222
     /* 18222 */ GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(18233), // Rule ID 145 //
     /* 18227 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule104Enabled),
     /* 18230 */   // MIs[0] root
     /* 18230 */   // No operand predicates
     /* 18230 */   // MIs[0] mi.shifted
     /* 18230 */   // No operand predicates
     /* 18230 */   // MIs[0] mi.amt
     /* 18230 */   // No operand predicates
     /* 18230 */   // Combiner Rule #104: shifts_too_big @ [mi[1]]
     /* 18230 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner55),
     /* 18233 */ // Label 302: @18233
     /* 18233 */ GIM_Reject,
     /* 18234 */ // Label 34: @18234
     /* 18234 */ GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(18245), // Rule ID 214 //
     /* 18239 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule153Enabled),
     /* 18242 */   // Combiner Rule #153: funnel_shift_to_rotate; wip_match_opcode 'G_FSHL'
     /* 18242 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner96),
     /* 18245 */ // Label 303: @18245
     /* 18245 */ GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(18256), // Rule ID 218 //
     /* 18250 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule156Enabled),
     /* 18253 */   // Combiner Rule #156: funnel_shift_overshift; wip_match_opcode 'G_FSHL'
     /* 18253 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner97),
     /* 18256 */ // Label 304: @18256
     /* 18256 */ GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(18276), // Rule ID 217 //
     /* 18261 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule155Enabled),
     /* 18264 */   // MIs[0] x
     /* 18264 */   // No operand predicates
     /* 18264 */   // MIs[0] y
     /* 18264 */   // No operand predicates
     /* 18264 */   // MIs[0] z
     /* 18264 */   // No operand predicates
     /* 18264 */   // MIs[0] Operand 3
     /* 18264 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 18268 */   // Combiner Rule #155: funnel_shift_left_zero
     /* 18268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 18271 */   GIR_RootToRootCopy, /*OpIdx*/0, // x
     /* 18273 */   GIR_RootToRootCopy, /*OpIdx*/1, // y
     /* 18275 */   GIR_EraseRootFromParent_Done,
     /* 18276 */ // Label 305: @18276
     /* 18276 */ GIM_Reject,
     /* 18277 */ // Label 35: @18277
     /* 18277 */ GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(18288), // Rule ID 215 //
     /* 18282 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule153Enabled),
     /* 18285 */   // Combiner Rule #153: funnel_shift_to_rotate; wip_match_opcode 'G_FSHR'
     /* 18285 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner96),
     /* 18288 */ // Label 306: @18288
     /* 18288 */ GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(18299), // Rule ID 219 //
     /* 18293 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule156Enabled),
     /* 18296 */   // Combiner Rule #156: funnel_shift_overshift; wip_match_opcode 'G_FSHR'
     /* 18296 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner97),
     /* 18299 */ // Label 307: @18299
     /* 18299 */ GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(18319), // Rule ID 216 //
     /* 18304 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule154Enabled),
     /* 18307 */   // MIs[0] x
     /* 18307 */   // No operand predicates
     /* 18307 */   // MIs[0] y
     /* 18307 */   // No operand predicates
     /* 18307 */   // MIs[0] z
     /* 18307 */   // No operand predicates
     /* 18307 */   // MIs[0] Operand 3
     /* 18307 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 18311 */   // Combiner Rule #154: funnel_shift_right_zero
     /* 18311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 18314 */   GIR_RootToRootCopy, /*OpIdx*/0, // x
     /* 18316 */   GIR_RootToRootCopy, /*OpIdx*/2, // z
     /* 18318 */   GIR_EraseRootFromParent_Done,
     /* 18319 */ // Label 308: @18319
     /* 18319 */ GIM_Reject,
     /* 18320 */ // Label 36: @18320
     /* 18320 */ GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(18343), // Rule ID 112 //
     /* 18325 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule83Enabled),
     /* 18328 */   // MIs[0] dst
     /* 18328 */   // No operand predicates
     /* 18328 */   // MIs[0] lhs
     /* 18328 */   // No operand predicates
     /* 18328 */   // MIs[0] Operand 2
     /* 18328 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 18332 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 18337 */   // Combiner Rule #83: right_identity_zero @ [__right_identity_zero_match_0[9]]
     /* 18337 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 18342 */   GIR_EraseRootFromParent_Done,
     /* 18343 */ // Label 309: @18343
     /* 18343 */ GIM_Reject,
     /* 18344 */ // Label 37: @18344
     /* 18344 */ GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(18367), // Rule ID 111 //
     /* 18349 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule83Enabled),
     /* 18352 */   // MIs[0] dst
     /* 18352 */   // No operand predicates
     /* 18352 */   // MIs[0] lhs
     /* 18352 */   // No operand predicates
     /* 18352 */   // MIs[0] Operand 2
     /* 18352 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 18356 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 18361 */   // Combiner Rule #83: right_identity_zero @ [__right_identity_zero_match_0[8]]
     /* 18361 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 18366 */   GIR_EraseRootFromParent_Done,
     /* 18367 */ // Label 310: @18367
     /* 18367 */ GIM_Reject,
     /* 18368 */ // Label 38: @18368
     /* 18368 */ GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(18379), // Rule ID 152 //
     /* 18373 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule110Enabled),
     /* 18376 */   // Combiner Rule #110: icmp_to_true_false_known_bits; wip_match_opcode 'G_ICMP'
     /* 18376 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner61),
     /* 18379 */ // Label 311: @18379
     /* 18379 */ GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(18390), // Rule ID 153 //
     /* 18384 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule111Enabled),
     /* 18387 */   // Combiner Rule #111: icmp_to_lhs_known_bits; wip_match_opcode 'G_ICMP'
     /* 18387 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner62),
     /* 18390 */ // Label 312: @18390
     /* 18390 */ GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(18401), // Rule ID 156 //
     /* 18395 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule114Enabled),
     /* 18398 */   // Combiner Rule #114: redundant_binop_in_equality; wip_match_opcode 'G_ICMP'
     /* 18398 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner63),
     /* 18401 */ // Label 313: @18401
     /* 18401 */ GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(18412), // Rule ID 150 //
     /* 18406 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule108Enabled),
     /* 18409 */   // MIs[0] root
     /* 18409 */   // No operand predicates
     /* 18409 */   // MIs[0] pred
     /* 18409 */   // No operand predicates
     /* 18409 */   // MIs[0] lhs
     /* 18409 */   // No operand predicates
     /* 18409 */   // MIs[0] rhs
     /* 18409 */   // No operand predicates
     /* 18409 */   // Combiner Rule #108: canonicalize_icmp
     /* 18409 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner59),
     /* 18412 */ // Label 314: @18412
     /* 18412 */ GIM_Reject,
     /* 18413 */ // Label 39: @18413
     /* 18413 */ GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(18424), // Rule ID 151 //
     /* 18418 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule109Enabled),
     /* 18421 */   // MIs[0] root
     /* 18421 */   // No operand predicates
     /* 18421 */   // MIs[0] pred
     /* 18421 */   // No operand predicates
     /* 18421 */   // MIs[0] lhs
     /* 18421 */   // No operand predicates
     /* 18421 */   // MIs[0] rhs
     /* 18421 */   // No operand predicates
     /* 18421 */   // Combiner Rule #109: canonicalize_fcmp
     /* 18421 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner60),
     /* 18424 */ // Label 315: @18424
     /* 18424 */ GIM_Reject,
     /* 18425 */ // Label 40: @18425
     /* 18425 */ GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(18436), // Rule ID 102 //
     /* 18430 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule82Enabled),
     /* 18433 */   // Combiner Rule #82: select_same_val; wip_match_opcode 'G_SELECT'
     /* 18433 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner43),
     /* 18436 */ // Label 316: @18436
     /* 18436 */ GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(18447), // Rule ID 162 //
     /* 18441 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule120Enabled),
     /* 18444 */   // Combiner Rule #120: select_constant_cmp; wip_match_opcode 'G_SELECT'
     /* 18444 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner68),
     /* 18447 */ // Label 317: @18447
     /* 18447 */ GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(18458), // Rule ID 164 //
     /* 18452 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule122Enabled),
     /* 18455 */   // Combiner Rule #122: match_selects; wip_match_opcode 'G_SELECT'
     /* 18455 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner70),
     /* 18458 */ // Label 318: @18458
     /* 18458 */ GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(18469), // Rule ID 304 //
     /* 18463 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 18466 */   // Combiner Rule #186: select_to_minmax; wip_match_opcode 'G_SELECT'
     /* 18466 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner124),
     /* 18469 */ // Label 319: @18469
     /* 18469 */ GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(18496), // Rule ID 359 //
     /* 18474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFminFmaxLegacy),
     /* 18477 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule212Enabled),
     /* 18480 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 18483 */   // MIs[0] cond
     /* 18483 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 18487 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCMP),
     /* 18491 */   // MIs[1] pred
     /* 18491 */   // No operand predicates
     /* 18491 */   // MIs[1] lhs
     /* 18491 */   // No operand predicates
     /* 18491 */   // MIs[1] rhs
     /* 18491 */   // No operand predicates
     /* 18491 */   // MIs[0] true
     /* 18491 */   // No operand predicates
     /* 18491 */   // MIs[0] false
     /* 18491 */   // No operand predicates
     /* 18491 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 18493 */   // Combiner Rule #212: fcmp_select_to_fmin_fmax_legacy
     /* 18493 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner150),
     /* 18496 */ // Label 320: @18496
     /* 18496 */ GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(18517), // Rule ID 163 //
     /* 18501 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule121Enabled),
     /* 18504 */   // MIs[0] root
     /* 18504 */   // No operand predicates
     /* 18504 */   // MIs[0] tst
     /* 18504 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 18508 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 18512 */   // MIs[1] tst1
     /* 18512 */   // No operand predicates
     /* 18512 */   // MIs[1] a
     /* 18512 */   // No operand predicates
     /* 18512 */   // MIs[1] b
     /* 18512 */   // No operand predicates
     /* 18512 */   // MIs[0] x
     /* 18512 */   // No operand predicates
     /* 18512 */   // MIs[0] y
     /* 18512 */   // No operand predicates
     /* 18512 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 18514 */   // Combiner Rule #121: select_to_iminmax
     /* 18514 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner69),
     /* 18517 */ // Label 321: @18517
     /* 18517 */ GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(18546), // Rule ID 161 //
     /* 18522 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule119Enabled),
     /* 18525 */   // MIs[0] dst
     /* 18525 */   // No operand predicates
     /* 18525 */   // MIs[0] undef
     /* 18525 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 18529 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 18533 */   // MIs[0] x
     /* 18533 */   // No operand predicates
     /* 18533 */   // MIs[0] y
     /* 18533 */   // No operand predicates
     /* 18533 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/3,
     /* 18538 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 18540 */   // Combiner Rule #119: select_undef_cmp
     /* 18540 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/3,
     /* 18545 */   GIR_EraseRootFromParent_Done,
     /* 18546 */ // Label 322: @18546
     /* 18546 */ GIM_Reject,
     /* 18547 */ // Label 41: @18547
     /* 18547 */ GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(18558), // Rule ID 315 //
     /* 18552 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 18555 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_UADDO'
     /* 18555 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 18558 */ // Label 323: @18558
     /* 18558 */ GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(18569), // Rule ID 356 //
     /* 18563 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule210Enabled),
     /* 18566 */   // Combiner Rule #210: match_addos; wip_match_opcode 'G_UADDO'
     /* 18566 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner148),
     /* 18569 */ // Label 324: @18569
     /* 18569 */ GIM_Reject,
     /* 18570 */ // Label 42: @18570
     /* 18570 */ GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(18581), // Rule ID 187 //
     /* 18575 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule143Enabled),
     /* 18578 */   // Combiner Rule #143: adde_to_addo; wip_match_opcode 'G_UADDE'
     /* 18578 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner86),
     /* 18581 */ // Label 325: @18581
     /* 18581 */ GIM_Reject,
     /* 18582 */ // Label 43: @18582
     /* 18582 */ GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(18593), // Rule ID 358 //
     /* 18587 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule211Enabled),
     /* 18590 */   // Combiner Rule #211: match_subo_no_overflow; wip_match_opcode 'G_USUBO'
     /* 18590 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner149),
     /* 18593 */ // Label 326: @18593
     /* 18593 */ GIM_Reject,
     /* 18594 */ // Label 44: @18594
     /* 18594 */ GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(18605), // Rule ID 189 //
     /* 18599 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule143Enabled),
     /* 18602 */   // Combiner Rule #143: adde_to_addo; wip_match_opcode 'G_USUBE'
     /* 18602 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner86),
     /* 18605 */ // Label 327: @18605
     /* 18605 */ GIM_Reject,
     /* 18606 */ // Label 45: @18606
     /* 18606 */ GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(18617), // Rule ID 316 //
     /* 18611 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 18614 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_SADDO'
     /* 18614 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 18617 */ // Label 328: @18617
     /* 18617 */ GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(18628), // Rule ID 355 //
     /* 18622 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule210Enabled),
     /* 18625 */   // Combiner Rule #210: match_addos; wip_match_opcode 'G_SADDO'
     /* 18625 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner148),
     /* 18628 */ // Label 329: @18628
     /* 18628 */ GIM_Reject,
     /* 18629 */ // Label 46: @18629
     /* 18629 */ GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(18640), // Rule ID 188 //
     /* 18634 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule143Enabled),
     /* 18637 */   // Combiner Rule #143: adde_to_addo; wip_match_opcode 'G_SADDE'
     /* 18637 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner86),
     /* 18640 */ // Label 330: @18640
     /* 18640 */ GIM_Reject,
     /* 18641 */ // Label 47: @18641
     /* 18641 */ GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(18652), // Rule ID 357 //
     /* 18646 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule211Enabled),
     /* 18649 */   // Combiner Rule #211: match_subo_no_overflow; wip_match_opcode 'G_SSUBO'
     /* 18649 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner149),
     /* 18652 */ // Label 331: @18652
     /* 18652 */ GIM_Reject,
     /* 18653 */ // Label 48: @18653
     /* 18653 */ GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(18664), // Rule ID 190 //
     /* 18658 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule143Enabled),
     /* 18661 */   // Combiner Rule #143: adde_to_addo; wip_match_opcode 'G_SSUBE'
     /* 18661 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner86),
     /* 18664 */ // Label 332: @18664
     /* 18664 */ GIM_Reject,
     /* 18665 */ // Label 49: @18665
     /* 18665 */ GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(18676), // Rule ID 183 //
     /* 18670 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule141Enabled),
     /* 18673 */   // Combiner Rule #141: mulo_by_2; wip_match_opcode 'G_UMULO'
     /* 18673 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner84),
     /* 18676 */ // Label 333: @18676
     /* 18676 */ GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(18687), // Rule ID 185 //
     /* 18681 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule142Enabled),
     /* 18684 */   // Combiner Rule #142: mulo_by_0; wip_match_opcode 'G_UMULO'
     /* 18684 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner85),
     /* 18687 */ // Label 334: @18687
     /* 18687 */ GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(18698), // Rule ID 317 //
     /* 18692 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 18695 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULO'
     /* 18695 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 18698 */ // Label 335: @18698
     /* 18698 */ GIM_Reject,
     /* 18699 */ // Label 50: @18699
     /* 18699 */ GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(18710), // Rule ID 184 //
     /* 18704 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule141Enabled),
     /* 18707 */   // Combiner Rule #141: mulo_by_2; wip_match_opcode 'G_SMULO'
     /* 18707 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner84),
     /* 18710 */ // Label 336: @18710
     /* 18710 */ GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(18721), // Rule ID 186 //
     /* 18715 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule142Enabled),
     /* 18718 */   // Combiner Rule #142: mulo_by_0; wip_match_opcode 'G_SMULO'
     /* 18718 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner85),
     /* 18721 */ // Label 337: @18721
     /* 18721 */ GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(18732), // Rule ID 318 //
     /* 18726 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 18729 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULO'
     /* 18729 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 18732 */ // Label 338: @18732
     /* 18732 */ GIM_Reject,
     /* 18733 */ // Label 51: @18733
     /* 18733 */ GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(18744), // Rule ID 261 //
     /* 18738 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule173Enabled),
     /* 18741 */   // Combiner Rule #173: mulh_to_lshr; wip_match_opcode 'G_UMULH'
     /* 18741 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner111),
     /* 18744 */ // Label 339: @18744
     /* 18744 */ GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(18755), // Rule ID 319 //
     /* 18749 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 18752 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULH'
     /* 18752 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 18755 */ // Label 340: @18755
     /* 18755 */ GIM_Reject,
     /* 18756 */ // Label 52: @18756
     /* 18756 */ GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(18767), // Rule ID 320 //
     /* 18761 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 18764 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULH'
     /* 18764 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 18767 */ // Label 341: @18767
     /* 18767 */ GIM_Reject,
     /* 18768 */ // Label 53: @18768
     /* 18768 */ GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(18779), // Rule ID 321 //
     /* 18773 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 18776 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_UADDSAT'
     /* 18776 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 18779 */ // Label 342: @18779
     /* 18779 */ GIM_Reject,
     /* 18780 */ // Label 54: @18780
     /* 18780 */ GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(18791), // Rule ID 322 //
     /* 18785 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 18788 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_SADDSAT'
     /* 18788 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 18791 */ // Label 343: @18791
     /* 18791 */ GIM_Reject,
     /* 18792 */ // Label 55: @18792
     /* 18792 */ GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(18803), // Rule ID 202 //
     /* 18797 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule148Enabled),
     /* 18800 */   // Combiner Rule #148: shift_immed_chain; wip_match_opcode 'G_USHLSAT'
     /* 18800 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner91),
     /* 18803 */ // Label 344: @18803
     /* 18803 */ GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(18814), // Rule ID 206 //
     /* 18808 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule149Enabled),
     /* 18811 */   // Combiner Rule #149: shift_of_shifted_logic_chain; wip_match_opcode 'G_USHLSAT'
     /* 18811 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 18814 */ // Label 345: @18814
     /* 18814 */ GIM_Reject,
     /* 18815 */ // Label 56: @18815
     /* 18815 */ GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(18826), // Rule ID 201 //
     /* 18820 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule148Enabled),
     /* 18823 */   // Combiner Rule #148: shift_immed_chain; wip_match_opcode 'G_SSHLSAT'
     /* 18823 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner91),
     /* 18826 */ // Label 346: @18826
     /* 18826 */ GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(18837), // Rule ID 207 //
     /* 18831 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule149Enabled),
     /* 18834 */   // Combiner Rule #149: shift_of_shifted_logic_chain; wip_match_opcode 'G_SSHLSAT'
     /* 18834 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 18837 */ // Label 347: @18837
     /* 18837 */ GIM_Reject,
     /* 18838 */ // Label 57: @18838
     /* 18838 */ GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(18849), // Rule ID 323 //
     /* 18843 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 18846 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULFIX'
     /* 18846 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 18849 */ // Label 348: @18849
     /* 18849 */ GIM_Reject,
     /* 18850 */ // Label 58: @18850
     /* 18850 */ GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(18861), // Rule ID 324 //
     /* 18855 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 18858 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULFIX'
     /* 18858 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 18861 */ // Label 349: @18861
     /* 18861 */ GIM_Reject,
     /* 18862 */ // Label 59: @18862
     /* 18862 */ GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(18873), // Rule ID 325 //
     /* 18867 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 18870 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULFIXSAT'
     /* 18870 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 18873 */ // Label 350: @18873
     /* 18873 */ GIM_Reject,
     /* 18874 */ // Label 60: @18874
     /* 18874 */ GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(18885), // Rule ID 326 //
     /* 18879 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 18882 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULFIXSAT'
     /* 18882 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 18885 */ // Label 351: @18885
     /* 18885 */ GIM_Reject,
     /* 18886 */ // Label 61: @18886
     /* 18886 */ GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(18897), // Rule ID 247 //
     /* 18891 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule165Enabled),
     /* 18894 */   // Combiner Rule #165: constant_fold_fp_binop; wip_match_opcode 'G_FADD'
     /* 18894 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 18897 */ // Label 352: @18897
     /* 18897 */ GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(18908), // Rule ID 262 //
     /* 18902 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule174Enabled),
     /* 18905 */   // Combiner Rule #174: redundant_neg_operands; wip_match_opcode 'G_FADD'
     /* 18905 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner112),
     /* 18908 */ // Label 353: @18908
     /* 18908 */ GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(18919), // Rule ID 269 //
     /* 18913 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 18916 */   // Combiner Rule #176: combine_fadd_fmul_to_fmad_or_fma; wip_match_opcode 'G_FADD'
     /* 18916 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner114),
     /* 18919 */ // Label 354: @18919
     /* 18919 */ GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(18930), // Rule ID 270 //
     /* 18924 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule177Enabled),
     /* 18927 */   // Combiner Rule #177: combine_fadd_fpext_fmul_to_fmad_or_fma; wip_match_opcode 'G_FADD'
     /* 18927 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner115),
     /* 18930 */ // Label 355: @18930
     /* 18930 */ GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(18941), // Rule ID 271 //
     /* 18935 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule178Enabled),
     /* 18938 */   // Combiner Rule #178: combine_fadd_fma_fmul_to_fmad_or_fma; wip_match_opcode 'G_FADD'
     /* 18938 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner116),
     /* 18941 */ // Label 356: @18941
     /* 18941 */ GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(18952), // Rule ID 272 //
     /* 18946 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule179Enabled),
     /* 18949 */   // Combiner Rule #179: combine_fadd_fpext_fma_fmul_to_fmad_or_fma; wip_match_opcode 'G_FADD'
     /* 18949 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner117),
     /* 18952 */ // Label 357: @18952
     /* 18952 */ GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(18963), // Rule ID 295 //
     /* 18957 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 18960 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_FADD'
     /* 18960 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 18963 */ // Label 358: @18963
     /* 18963 */ GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(18974), // Rule ID 327 //
     /* 18968 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule189Enabled),
     /* 18971 */   // Combiner Rule #189: commute_fp_constant_to_rhs; wip_match_opcode 'G_FADD'
     /* 18971 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 18974 */ // Label 359: @18974
     /* 18974 */ GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(18997), // Rule ID 137 //
     /* 18979 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule99Enabled),
     /* 18982 */   // MIs[0] dst
     /* 18982 */   // No operand predicates
     /* 18982 */   // MIs[0] x
     /* 18982 */   // No operand predicates
     /* 18982 */   // MIs[0] y
     /* 18982 */   // No operand predicates
     /* 18982 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner3),
     /* 18986 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 18991 */   // Combiner Rule #99: right_identity_neg_zero_fp
     /* 18991 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 18996 */   GIR_EraseRootFromParent_Done,
     /* 18997 */ // Label 360: @18997
     /* 18997 */ GIM_Reject,
     /* 18998 */ // Label 62: @18998
     /* 18998 */ GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(19009), // Rule ID 248 //
     /* 19003 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule165Enabled),
     /* 19006 */   // Combiner Rule #165: constant_fold_fp_binop; wip_match_opcode 'G_FSUB'
     /* 19006 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 19009 */ // Label 361: @19009
     /* 19009 */ GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(19020), // Rule ID 263 //
     /* 19014 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule174Enabled),
     /* 19017 */   // Combiner Rule #174: redundant_neg_operands; wip_match_opcode 'G_FSUB'
     /* 19017 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner112),
     /* 19020 */ // Label 362: @19020
     /* 19020 */ GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(19031), // Rule ID 273 //
     /* 19025 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule180Enabled),
     /* 19028 */   // Combiner Rule #180: combine_fsub_fmul_to_fmad_or_fma; wip_match_opcode 'G_FSUB'
     /* 19028 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner118),
     /* 19031 */ // Label 363: @19031
     /* 19031 */ GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(19042), // Rule ID 274 //
     /* 19036 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule181Enabled),
     /* 19039 */   // Combiner Rule #181: combine_fsub_fneg_fmul_to_fmad_or_fma; wip_match_opcode 'G_FSUB'
     /* 19039 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner119),
     /* 19042 */ // Label 364: @19042
     /* 19042 */ GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(19053), // Rule ID 275 //
     /* 19047 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule182Enabled),
     /* 19050 */   // Combiner Rule #182: combine_fsub_fpext_fmul_to_fmad_or_fma; wip_match_opcode 'G_FSUB'
     /* 19050 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner120),
     /* 19053 */ // Label 365: @19053
     /* 19053 */ GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(19064), // Rule ID 276 //
     /* 19058 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule183Enabled),
     /* 19061 */   // Combiner Rule #183: combine_fsub_fpext_fneg_fmul_to_fmad_or_fma; wip_match_opcode 'G_FSUB'
     /* 19061 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner121),
     /* 19064 */ // Label 366: @19064
     /* 19064 */ GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(19075), // Rule ID 296 //
     /* 19069 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 19072 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_FSUB'
     /* 19072 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 19075 */ // Label 367: @19075
     /* 19075 */ GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(19086), // Rule ID 305 //
     /* 19080 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule187Enabled),
     /* 19083 */   // Combiner Rule #187: fsub_to_fneg; wip_match_opcode 'G_FSUB'
     /* 19083 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner125),
     /* 19086 */ // Label 368: @19086
     /* 19086 */ GIM_Reject,
     /* 19087 */ // Label 63: @19087
     /* 19087 */ GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(19098), // Rule ID 249 //
     /* 19092 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule165Enabled),
     /* 19095 */   // Combiner Rule #165: constant_fold_fp_binop; wip_match_opcode 'G_FMUL'
     /* 19095 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 19098 */ // Label 369: @19098
     /* 19098 */ GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(19109), // Rule ID 264 //
     /* 19103 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule174Enabled),
     /* 19106 */   // Combiner Rule #174: redundant_neg_operands; wip_match_opcode 'G_FMUL'
     /* 19106 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner112),
     /* 19109 */ // Label 370: @19109
     /* 19109 */ GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(19120), // Rule ID 294 //
     /* 19114 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 19117 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_FMUL'
     /* 19117 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 19120 */ // Label 371: @19120
     /* 19120 */ GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(19131), // Rule ID 328 //
     /* 19125 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule189Enabled),
     /* 19128 */   // Combiner Rule #189: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMUL'
     /* 19128 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 19131 */ // Label 372: @19131
     /* 19131 */ GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(19152), // Rule ID 361 //
     /* 19136 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule214Enabled),
     /* 19139 */   // MIs[0] dst
     /* 19139 */   // No operand predicates
     /* 19139 */   // MIs[0] x
     /* 19139 */   // No operand predicates
     /* 19139 */   // MIs[0] select
     /* 19139 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 19143 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SELECT),
     /* 19147 */   // MIs[1] y
     /* 19147 */   // No operand predicates
     /* 19147 */   // MIs[1] A
     /* 19147 */   // No operand predicates
     /* 19147 */   // MIs[1] B
     /* 19147 */   // No operand predicates
     /* 19147 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 19149 */   // Combiner Rule #214: combine_fmul_with_select_to_fldexp
     /* 19149 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner152),
     /* 19152 */ // Label 373: @19152
     /* 19152 */ GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(19175), // Rule ID 128 //
     /* 19157 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule92Enabled),
     /* 19160 */   // MIs[0] dst
     /* 19160 */   // No operand predicates
     /* 19160 */   // MIs[0] x
     /* 19160 */   // No operand predicates
     /* 19160 */   // MIs[0] y
     /* 19160 */   // No operand predicates
     /* 19160 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner2),
     /* 19164 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 19169 */   // Combiner Rule #92: right_identity_one_fp
     /* 19169 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 19174 */   GIR_EraseRootFromParent_Done,
     /* 19175 */ // Label 374: @19175
     /* 19175 */ GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(19195), // Rule ID 138 //
     /* 19180 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule100Enabled),
     /* 19183 */   // MIs[0] dst
     /* 19183 */   // No operand predicates
     /* 19183 */   // MIs[0] x
     /* 19183 */   // No operand predicates
     /* 19183 */   // MIs[0] y
     /* 19183 */   // No operand predicates
     /* 19183 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner4),
     /* 19187 */   // Combiner Rule #100: right_identity_neg_one_fp
     /* 19187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 19190 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 19192 */   GIR_RootToRootCopy, /*OpIdx*/1, // x
     /* 19194 */   GIR_EraseRootFromParent_Done,
     /* 19195 */ // Label 375: @19195
     /* 19195 */ GIM_Reject,
     /* 19196 */ // Label 64: @19196
     /* 19196 */ GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(19207), // Rule ID 252 //
     /* 19201 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 19204 */   // Combiner Rule #166: constant_fold_fma; wip_match_opcode 'G_FMA'
     /* 19204 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner105),
     /* 19207 */ // Label 376: @19207
     /* 19207 */ GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(19218), // Rule ID 267 //
     /* 19212 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule174Enabled),
     /* 19215 */   // Combiner Rule #174: redundant_neg_operands; wip_match_opcode 'G_FMA'
     /* 19215 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner112),
     /* 19218 */ // Label 377: @19218
     /* 19218 */ GIM_Reject,
     /* 19219 */ // Label 65: @19219
     /* 19219 */ GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(19230), // Rule ID 251 //
     /* 19224 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 19227 */   // Combiner Rule #166: constant_fold_fma; wip_match_opcode 'G_FMAD'
     /* 19227 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner105),
     /* 19230 */ // Label 378: @19230
     /* 19230 */ GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(19241), // Rule ID 266 //
     /* 19235 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule174Enabled),
     /* 19238 */   // Combiner Rule #174: redundant_neg_operands; wip_match_opcode 'G_FMAD'
     /* 19238 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner112),
     /* 19241 */ // Label 379: @19241
     /* 19241 */ GIM_Reject,
     /* 19242 */ // Label 66: @19242
     /* 19242 */ GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(19253), // Rule ID 250 //
     /* 19247 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule165Enabled),
     /* 19250 */   // Combiner Rule #165: constant_fold_fp_binop; wip_match_opcode 'G_FDIV'
     /* 19250 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 19253 */ // Label 380: @19253
     /* 19253 */ GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(19264), // Rule ID 265 //
     /* 19258 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule174Enabled),
     /* 19261 */   // Combiner Rule #174: redundant_neg_operands; wip_match_opcode 'G_FDIV'
     /* 19261 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner112),
     /* 19264 */ // Label 381: @19264
     /* 19264 */ GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(19275), // Rule ID 297 //
     /* 19269 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 19272 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_FDIV'
     /* 19272 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 19275 */ // Label 382: @19275
     /* 19275 */ GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(19314), // Rule ID 372 //
     /* 19280 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule220Enabled),
     /* 19283 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 19286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 19289 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::FmContract),
     /* 19295 */   // MIs[0] y
     /* 19295 */   // No operand predicates
     /* 19295 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 19299 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSQRT),
     /* 19303 */   GIM_MIFlags, /*MI*/1, GIMT_Encode4(MachineInstr::FmContract),
     /* 19309 */   // MIs[1] x
     /* 19309 */   // No operand predicates
     /* 19309 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 19311 */   // Combiner Rule #220: fdiv_by_sqrt_to_rsq_f16
     /* 19311 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner158),
     /* 19314 */ // Label 383: @19314
     /* 19314 */ GIM_Reject,
     /* 19315 */ // Label 67: @19315
     /* 19315 */ GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(19326), // Rule ID 298 //
     /* 19320 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 19323 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_FREM'
     /* 19323 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 19326 */ // Label 384: @19326
     /* 19326 */ GIM_Reject,
     /* 19327 */ // Label 68: @19327
     /* 19327 */ GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(19348), // Rule ID 195 //
     /* 19332 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule145Enabled),
     /* 19335 */   // MIs[0] dst
     /* 19335 */   // No operand predicates
     /* 19335 */   // MIs[0] float
     /* 19335 */   // No operand predicates
     /* 19335 */   // MIs[0] int
     /* 19335 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 19339 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 19343 */   // MIs[1] imm
     /* 19343 */   // No operand predicates
     /* 19343 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 19345 */   // Combiner Rule #145: expand_const_fpowi
     /* 19345 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner88),
     /* 19348 */ // Label 385: @19348
     /* 19348 */ GIM_Reject,
     /* 19349 */ // Label 69: @19349
     /* 19349 */ GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(19370), // Rule ID 177 //
     /* 19354 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule135Enabled),
     /* 19357 */   // MIs[0] dst
     /* 19357 */   // No operand predicates
     /* 19357 */   // MIs[0] src0
     /* 19357 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 19361 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 19365 */   // MIs[1] cst
     /* 19365 */   // No operand predicates
     /* 19365 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 19367 */   // Combiner Rule #135: constant_fold_flog2
     /* 19367 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner80),
     /* 19370 */ // Label 386: @19370
     /* 19370 */ GIM_Reject,
     /* 19371 */ // Label 70: @19371
     /* 19371 */ GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(19382), // Rule ID 369 //
     /* 19376 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule218Enabled),
     /* 19379 */   // Combiner Rule #218: foldable_fneg; wip_match_opcode 'G_FNEG'
     /* 19379 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner156),
     /* 19382 */ // Label 387: @19382
     /* 19382 */ GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(19403), // Rule ID 174 //
     /* 19387 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule132Enabled),
     /* 19390 */   // MIs[0] dst
     /* 19390 */   // No operand predicates
     /* 19390 */   // MIs[0] src0
     /* 19390 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 19394 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 19398 */   // MIs[1] cst
     /* 19398 */   // No operand predicates
     /* 19398 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 19400 */   // Combiner Rule #132: constant_fold_fneg
     /* 19400 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner80),
     /* 19403 */ // Label 388: @19403
     /* 19403 */ GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(19432), // Rule ID 126 //
     /* 19408 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule90Enabled),
     /* 19411 */   // MIs[0] dst
     /* 19411 */   // No operand predicates
     /* 19411 */   // MIs[0] t
     /* 19411 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 19415 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 19419 */   // MIs[1] src
     /* 19419 */   // No operand predicates
     /* 19419 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 19424 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 19426 */   // Combiner Rule #90: fneg_fneg_fold
     /* 19426 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 19431 */   GIR_EraseRootFromParent_Done,
     /* 19432 */ // Label 389: @19432
     /* 19432 */ GIM_Reject,
     /* 19433 */ // Label 71: @19433
     /* 19433 */ GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(19457), // Rule ID 360 //
     /* 19438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Has16BitInsts_NotHasMed3_16),
     /* 19441 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule213Enabled),
     /* 19444 */   // MIs[0] fptrunc_dst
     /* 19444 */   // No operand predicates
     /* 19444 */   // MIs[0] fmed3_dst
     /* 19444 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 19448 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AMDGPU::G_AMDGPU_FMED3),
     /* 19452 */   // MIs[1] src0
     /* 19452 */   // No operand predicates
     /* 19452 */   // MIs[1] src1
     /* 19452 */   // No operand predicates
     /* 19452 */   // MIs[1] src2
     /* 19452 */   // No operand predicates
     /* 19452 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 19454 */   // Combiner Rule #213: expand_promoted_fmed3
     /* 19454 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner151),
     /* 19457 */ // Label 390: @19457
     /* 19457 */ GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(19478), // Rule ID 178 //
     /* 19462 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule136Enabled),
     /* 19465 */   // MIs[0] dst
     /* 19465 */   // No operand predicates
     /* 19465 */   // MIs[0] src0
     /* 19465 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 19469 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 19473 */   // MIs[1] cst
     /* 19473 */   // No operand predicates
     /* 19473 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 19475 */   // Combiner Rule #136: constant_fold_fptrunc
     /* 19475 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner80),
     /* 19478 */ // Label 391: @19478
     /* 19478 */ GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(19499), // Rule ID 136 //
     /* 19483 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule98Enabled),
     /* 19486 */   // MIs[0] dst
     /* 19486 */   // No operand predicates
     /* 19486 */   // MIs[0] src1
     /* 19486 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 19490 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPEXT),
     /* 19494 */   // MIs[1] src0
     /* 19494 */   // No operand predicates
     /* 19494 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 19496 */   // Combiner Rule #98: fptrunc_fpext_fold
     /* 19496 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner51),
     /* 19499 */ // Label 392: @19499
     /* 19499 */ GIM_Reject,
     /* 19500 */ // Label 72: @19500
     /* 19500 */ GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(19521), // Rule ID 91 //
     /* 19505 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule76Enabled),
     /* 19508 */   // MIs[0] dst
     /* 19508 */   // No operand predicates
     /* 19508 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 19508 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 19512 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 19516 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 19518 */   // Combiner Rule #76: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[5]]
     /* 19518 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner37),
     /* 19521 */ // Label 393: @19521
     /* 19521 */ GIM_Reject,
     /* 19522 */ // Label 73: @19522
     /* 19522 */ GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(19543), // Rule ID 92 //
     /* 19527 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule76Enabled),
     /* 19530 */   // MIs[0] dst
     /* 19530 */   // No operand predicates
     /* 19530 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 19530 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 19534 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 19538 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 19540 */   // Combiner Rule #76: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[6]]
     /* 19540 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner37),
     /* 19543 */ // Label 394: @19543
     /* 19543 */ GIM_Reject,
     /* 19544 */ // Label 74: @19544
     /* 19544 */ GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(19555), // Rule ID 75 //
     /* 19549 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule70Enabled),
     /* 19552 */   // Combiner Rule #70: undef_to_fp_zero; wip_match_opcode 'G_SITOFP'
     /* 19552 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner32),
     /* 19555 */ // Label 395: @19555
     /* 19555 */ GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(19566), // Rule ID 363 //
     /* 19560 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule215Enabled),
     /* 19563 */   // Combiner Rule #215: uchar_to_float; wip_match_opcode 'G_SITOFP'
     /* 19563 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner153),
     /* 19566 */ // Label 396: @19566
     /* 19566 */ GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(19581), // Rule ID 179 //
     /* 19571 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule137Enabled),
     /* 19574 */   // MIs[0] dst
     /* 19574 */   // No operand predicates
     /* 19574 */   // MIs[0] Operand 1
     /* 19574 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 19578 */   // Combiner Rule #137: itof_const_zero_fold_si
     /* 19578 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner81),
     /* 19581 */ // Label 397: @19581
     /* 19581 */ GIM_Reject,
     /* 19582 */ // Label 75: @19582
     /* 19582 */ GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(19593), // Rule ID 74 //
     /* 19587 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule70Enabled),
     /* 19590 */   // Combiner Rule #70: undef_to_fp_zero; wip_match_opcode 'G_UITOFP'
     /* 19590 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner32),
     /* 19593 */ // Label 398: @19593
     /* 19593 */ GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(19604), // Rule ID 362 //
     /* 19598 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule215Enabled),
     /* 19601 */   // Combiner Rule #215: uchar_to_float; wip_match_opcode 'G_UITOFP'
     /* 19601 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner153),
     /* 19604 */ // Label 399: @19604
     /* 19604 */ GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(19619), // Rule ID 180 //
     /* 19609 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule138Enabled),
     /* 19612 */   // MIs[0] dst
     /* 19612 */   // No operand predicates
     /* 19612 */   // MIs[0] Operand 1
     /* 19612 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 19616 */   // Combiner Rule #138: itof_const_zero_fold_ui
     /* 19616 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner81),
     /* 19619 */ // Label 400: @19619
     /* 19619 */ GIM_Reject,
     /* 19620 */ // Label 76: @19620
     /* 19620 */ GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(19649), // Rule ID 19 //
     /* 19625 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule18Enabled),
     /* 19628 */   // MIs[0] dst
     /* 19628 */   // No operand predicates
     /* 19628 */   // MIs[0] src
     /* 19628 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 19632 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 19636 */   // MIs[1] __idempotent_prop_match_0.x
     /* 19636 */   // No operand predicates
     /* 19636 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 19641 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 19643 */   // Combiner Rule #18: idempotent_prop @ [__idempotent_prop_match_0[1]]
     /* 19643 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 19648 */   GIR_EraseRootFromParent_Done,
     /* 19649 */ // Label 401: @19649
     /* 19649 */ GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(19670), // Rule ID 175 //
     /* 19654 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule133Enabled),
     /* 19657 */   // MIs[0] dst
     /* 19657 */   // No operand predicates
     /* 19657 */   // MIs[0] src0
     /* 19657 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 19661 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 19665 */   // MIs[1] cst
     /* 19665 */   // No operand predicates
     /* 19665 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 19667 */   // Combiner Rule #133: constant_fold_fabs
     /* 19667 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner80),
     /* 19670 */ // Label 402: @19670
     /* 19670 */ GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(19698), // Rule ID 256 //
     /* 19675 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule168Enabled),
     /* 19678 */   // MIs[0] dst
     /* 19678 */   // No operand predicates
     /* 19678 */   // MIs[0] tmp
     /* 19678 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 19682 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 19686 */   // MIs[1] x
     /* 19686 */   // No operand predicates
     /* 19686 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 19688 */   // Combiner Rule #168: fabs_fneg_fold
     /* 19688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_FABS),
     /* 19691 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 19693 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // x
     /* 19697 */   GIR_EraseRootFromParent_Done,
     /* 19698 */ // Label 403: @19698
     /* 19698 */ GIM_Reject,
     /* 19699 */ // Label 77: @19699
     /* 19699 */ GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(19710), // Rule ID 368 //
     /* 19704 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule217Enabled),
     /* 19707 */   // Combiner Rule #217: remove_fcanonicalize; wip_match_opcode 'G_FCANONICALIZE'
     /* 19707 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner155),
     /* 19710 */ // Label 404: @19710
     /* 19710 */ GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(19739), // Rule ID 20 //
     /* 19715 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule18Enabled),
     /* 19718 */   // MIs[0] dst
     /* 19718 */   // No operand predicates
     /* 19718 */   // MIs[0] src
     /* 19718 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 19722 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 19726 */   // MIs[1] __idempotent_prop_match_0.x
     /* 19726 */   // No operand predicates
     /* 19726 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 19731 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 19733 */   // Combiner Rule #18: idempotent_prop @ [__idempotent_prop_match_0[2]]
     /* 19733 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 19738 */   GIR_EraseRootFromParent_Done,
     /* 19739 */ // Label 405: @19739
     /* 19739 */ GIM_Reject,
     /* 19740 */ // Label 78: @19740
     /* 19740 */ GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(19751), // Rule ID 191 //
     /* 19745 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule144Enabled),
     /* 19748 */   // Combiner Rule #144: combine_minmax_nan; wip_match_opcode 'G_FMINNUM'
     /* 19748 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner87),
     /* 19751 */ // Label 406: @19751
     /* 19751 */ GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(19762), // Rule ID 299 //
     /* 19756 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 19759 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_FMINNUM'
     /* 19759 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 19762 */ // Label 407: @19762
     /* 19762 */ GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(19773), // Rule ID 329 //
     /* 19767 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule189Enabled),
     /* 19770 */   // Combiner Rule #189: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMINNUM'
     /* 19770 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 19773 */ // Label 408: @19773
     /* 19773 */ GIM_Reject,
     /* 19774 */ // Label 79: @19774
     /* 19774 */ GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(19785), // Rule ID 192 //
     /* 19779 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule144Enabled),
     /* 19782 */   // Combiner Rule #144: combine_minmax_nan; wip_match_opcode 'G_FMAXNUM'
     /* 19782 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner87),
     /* 19785 */ // Label 409: @19785
     /* 19785 */ GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(19796), // Rule ID 300 //
     /* 19790 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 19793 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_FMAXNUM'
     /* 19793 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 19796 */ // Label 410: @19796
     /* 19796 */ GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(19807), // Rule ID 330 //
     /* 19801 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule189Enabled),
     /* 19804 */   // Combiner Rule #189: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMAXNUM'
     /* 19804 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 19807 */ // Label 411: @19807
     /* 19807 */ GIM_Reject,
     /* 19808 */ // Label 80: @19808
     /* 19808 */ GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(19819), // Rule ID 331 //
     /* 19813 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule189Enabled),
     /* 19816 */   // Combiner Rule #189: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMINNUM_IEEE'
     /* 19816 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 19819 */ // Label 412: @19819
     /* 19819 */ GIM_Reject,
     /* 19820 */ // Label 81: @19820
     /* 19820 */ GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(19831), // Rule ID 332 //
     /* 19825 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule189Enabled),
     /* 19828 */   // Combiner Rule #189: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMAXNUM_IEEE'
     /* 19828 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 19831 */ // Label 413: @19831
     /* 19831 */ GIM_Reject,
     /* 19832 */ // Label 82: @19832
     /* 19832 */ GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(19843), // Rule ID 193 //
     /* 19837 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule144Enabled),
     /* 19840 */   // Combiner Rule #144: combine_minmax_nan; wip_match_opcode 'G_FMINIMUM'
     /* 19840 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner87),
     /* 19843 */ // Label 414: @19843
     /* 19843 */ GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(19854), // Rule ID 301 //
     /* 19848 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 19851 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_FMINIMUM'
     /* 19851 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 19854 */ // Label 415: @19854
     /* 19854 */ GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(19865), // Rule ID 333 //
     /* 19859 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule189Enabled),
     /* 19862 */   // Combiner Rule #189: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMINIMUM'
     /* 19862 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 19865 */ // Label 416: @19865
     /* 19865 */ GIM_Reject,
     /* 19866 */ // Label 83: @19866
     /* 19866 */ GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(19877), // Rule ID 194 //
     /* 19871 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule144Enabled),
     /* 19874 */   // Combiner Rule #144: combine_minmax_nan; wip_match_opcode 'G_FMAXIMUM'
     /* 19874 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner87),
     /* 19877 */ // Label 417: @19877
     /* 19877 */ GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(19888), // Rule ID 302 //
     /* 19882 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 19885 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_FMAXIMUM'
     /* 19885 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 19888 */ // Label 418: @19888
     /* 19888 */ GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(19899), // Rule ID 334 //
     /* 19893 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule189Enabled),
     /* 19896 */   // Combiner Rule #189: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMAXIMUM'
     /* 19896 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 19899 */ // Label 419: @19899
     /* 19899 */ GIM_Reject,
     /* 19900 */ // Label 84: @19900
     /* 19900 */ GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(19911), // Rule ID 147 //
     /* 19905 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule105Enabled),
     /* 19908 */   // Combiner Rule #105: reassoc_ptradd; wip_match_opcode 'G_PTR_ADD'
     /* 19908 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner56),
     /* 19911 */ // Label 420: @19911
     /* 19911 */ GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(19922), // Rule ID 149 //
     /* 19916 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule107Enabled),
     /* 19919 */   // Combiner Rule #107: ptr_add_immed_chain; wip_match_opcode 'G_PTR_ADD'
     /* 19919 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner58),
     /* 19922 */ // Label 421: @19922
     /* 19922 */ GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(19933), // Rule ID 181 //
     /* 19927 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule139Enabled),
     /* 19930 */   // Combiner Rule #139: const_ptradd_to_i2p; wip_match_opcode 'G_PTR_ADD'
     /* 19930 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner82),
     /* 19933 */ // Label 422: @19933
     /* 19933 */ GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(19944), // Rule ID 197 //
     /* 19938 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule147Enabled),
     /* 19941 */   // Combiner Rule #147: ptr_add_with_zero; wip_match_opcode 'G_PTR_ADD'
     /* 19941 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner90),
     /* 19944 */ // Label 423: @19944
     /* 19944 */ GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(19955), // Rule ID 230 //
     /* 19949 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 19952 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_PTR_ADD'
     /* 19952 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 19955 */ // Label 424: @19955
     /* 19955 */ GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(19966), // Rule ID 279 //
     /* 19960 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 19963 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_PTR_ADD'
     /* 19963 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 19966 */ // Label 425: @19966
     /* 19966 */ GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(19989), // Rule ID 110 //
     /* 19971 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule83Enabled),
     /* 19974 */   // MIs[0] dst
     /* 19974 */   // No operand predicates
     /* 19974 */   // MIs[0] lhs
     /* 19974 */   // No operand predicates
     /* 19974 */   // MIs[0] Operand 2
     /* 19974 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 19978 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 19983 */   // Combiner Rule #83: right_identity_zero @ [__right_identity_zero_match_0[7]]
     /* 19983 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 19988 */   GIR_EraseRootFromParent_Done,
     /* 19989 */ // Label 426: @19989
     /* 19989 */ GIM_Reject,
     /* 19990 */ // Label 85: @19990
     /* 19990 */ GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(20001), // Rule ID 243 //
     /* 19995 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 19998 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_SMIN'
     /* 19998 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 20001 */ // Label 427: @20001
     /* 20001 */ GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(20012), // Rule ID 290 //
     /* 20006 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 20009 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_SMIN'
     /* 20009 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 20012 */ // Label 428: @20012
     /* 20012 */ GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(20023), // Rule ID 311 //
     /* 20017 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 20020 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_SMIN'
     /* 20020 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 20023 */ // Label 429: @20023
     /* 20023 */ GIM_Reject,
     /* 20024 */ // Label 86: @20024
     /* 20024 */ GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(20035), // Rule ID 244 //
     /* 20029 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 20032 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_SMAX'
     /* 20032 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 20035 */ // Label 430: @20035
     /* 20035 */ GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(20046), // Rule ID 291 //
     /* 20040 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 20043 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_SMAX'
     /* 20043 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 20046 */ // Label 431: @20046
     /* 20046 */ GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(20057), // Rule ID 312 //
     /* 20051 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 20054 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_SMAX'
     /* 20054 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 20057 */ // Label 432: @20057
     /* 20057 */ GIM_Reject,
     /* 20058 */ // Label 87: @20058
     /* 20058 */ GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(20069), // Rule ID 245 //
     /* 20063 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 20066 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_UMIN'
     /* 20066 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 20069 */ // Label 433: @20069
     /* 20069 */ GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(20080), // Rule ID 292 //
     /* 20074 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 20077 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_UMIN'
     /* 20077 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 20080 */ // Label 434: @20080
     /* 20080 */ GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(20091), // Rule ID 313 //
     /* 20085 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 20088 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_UMIN'
     /* 20088 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 20091 */ // Label 435: @20091
     /* 20091 */ GIM_Reject,
     /* 20092 */ // Label 88: @20092
     /* 20092 */ GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(20103), // Rule ID 246 //
     /* 20097 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 20100 */   // Combiner Rule #164: constant_fold_binop; wip_match_opcode 'G_UMAX'
     /* 20100 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 20103 */ // Label 436: @20103
     /* 20103 */ GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(20114), // Rule ID 293 //
     /* 20108 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 20111 */   // Combiner Rule #184: fold_binop_into_select; wip_match_opcode 'G_UMAX'
     /* 20111 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 20114 */ // Label 437: @20114
     /* 20114 */ GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(20125), // Rule ID 314 //
     /* 20119 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 20122 */   // Combiner Rule #188: commute_int_constant_to_rhs; wip_match_opcode 'G_UMAX'
     /* 20122 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 20125 */ // Label 438: @20125
     /* 20125 */ GIM_Reject,
     /* 20126 */ // Label 89: @20126
     /* 20126 */ GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(20137), // Rule ID 85 //
     /* 20131 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule75Enabled),
     /* 20134 */   // Combiner Rule #75: unary_undef_to_zero; wip_match_opcode 'G_ABS'
     /* 20134 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner35),
     /* 20137 */ // Label 439: @20137
     /* 20137 */ GIM_Reject,
     /* 20138 */ // Label 90: @20138
     /* 20138 */ GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(20149), // Rule ID 173 //
     /* 20143 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule131Enabled),
     /* 20146 */   // Combiner Rule #131: opt_brcond_by_inverting_cond; wip_match_opcode 'G_BR'
     /* 20146 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner79),
     /* 20149 */ // Label 440: @20149
     /* 20149 */ GIM_Reject,
     /* 20150 */ // Label 91: @20150
     /* 20150 */ GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(20161), // Rule ID 26 //
     /* 20155 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule24Enabled),
     /* 20158 */   // Combiner Rule #24: insert_vector_elt_oob; wip_match_opcode 'G_INSERT_VECTOR_ELT'
     /* 20158 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner10),
     /* 20161 */ // Label 441: @20161
     /* 20161 */ GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(20172), // Rule ID 66 //
     /* 20166 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule64Enabled),
     /* 20169 */   // Combiner Rule #64: combine_insert_vec_elts_build_vector; wip_match_opcode 'G_INSERT_VECTOR_ELT'
     /* 20169 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner26),
     /* 20172 */ // Label 442: @20172
     /* 20172 */ GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(20183), // Rule ID 100 //
     /* 20177 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule81Enabled),
     /* 20180 */   // Combiner Rule #81: insert_extract_vec_elt_out_of_bounds; wip_match_opcode 'G_INSERT_VECTOR_ELT'
     /* 20180 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner42),
     /* 20183 */ // Label 443: @20183
     /* 20183 */ GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(20222), // Rule ID 38 //
     /* 20188 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule36Enabled),
     /* 20191 */   // MIs[0] root
     /* 20191 */   // No operand predicates
     /* 20191 */   // MIs[0] src
     /* 20191 */   // No operand predicates
     /* 20191 */   // MIs[0] elt
     /* 20191 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 20195 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 20199 */   // MIs[1] src
     /* 20199 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 20204 */   // MIs[1] idx
     /* 20204 */   // No operand predicates
     /* 20204 */   // MIs[0] idx
     /* 20204 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 20209 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 20214 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20216 */   // Combiner Rule #36: insert_vector_element_extract_vector_element
     /* 20216 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 20221 */   GIR_EraseRootFromParent_Done,
     /* 20222 */ // Label 444: @20222
     /* 20222 */ GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(20255), // Rule ID 24 //
     /* 20227 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule22Enabled),
     /* 20230 */   // MIs[0] root
     /* 20230 */   // No operand predicates
     /* 20230 */   // MIs[0] src
     /* 20230 */   // No operand predicates
     /* 20230 */   // MIs[0] elt
     /* 20230 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 20234 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 20238 */   // MIs[0] idx
     /* 20238 */   // No operand predicates
     /* 20238 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner0),
     /* 20242 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 20247 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20249 */   // Combiner Rule #22: insert_vector_element_elt_undef
     /* 20249 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 20254 */   GIR_EraseRootFromParent_Done,
     /* 20255 */ // Label 445: @20255
     /* 20255 */ GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(20279), // Rule ID 23 //
     /* 20260 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule21Enabled),
     /* 20263 */   // MIs[0] root
     /* 20263 */   // No operand predicates
     /* 20263 */   // MIs[0] src
     /* 20263 */   // No operand predicates
     /* 20263 */   // MIs[0] elt
     /* 20263 */   // No operand predicates
     /* 20263 */   // MIs[0] idx
     /* 20263 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 20267 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 20271 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20273 */   // Combiner Rule #21: insert_vector_element_idx_undef
     /* 20273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 20276 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 20278 */   GIR_EraseRootFromParent_Done,
     /* 20279 */ // Label 446: @20279
     /* 20279 */ GIM_Reject,
     /* 20280 */ // Label 92: @20280
     /* 20280 */ GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(20291), // Rule ID 25 //
     /* 20285 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule23Enabled),
     /* 20288 */   // Combiner Rule #23: match_extract_of_element; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 20288 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner9),
     /* 20291 */ // Label 447: @20291
     /* 20291 */ GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(20302), // Rule ID 67 //
     /* 20296 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule65Enabled),
     /* 20299 */   // Combiner Rule #65: extract_vec_elt_build_vec; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 20299 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner27),
     /* 20302 */ // Label 448: @20302
     /* 20302 */ GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(20313), // Rule ID 73 //
     /* 20307 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule69Enabled),
     /* 20310 */   // Combiner Rule #69: combine_extracted_vector_load; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 20310 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner31),
     /* 20313 */ // Label 449: @20313
     /* 20313 */ GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(20324), // Rule ID 101 //
     /* 20318 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule81Enabled),
     /* 20321 */   // Combiner Rule #81: insert_extract_vec_elt_out_of_bounds; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 20321 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner42),
     /* 20324 */ // Label 450: @20324
     /* 20324 */ GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(20348), // Rule ID 36 //
     /* 20329 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule34Enabled),
     /* 20332 */   // MIs[0] root
     /* 20332 */   // No operand predicates
     /* 20332 */   // MIs[0] src
     /* 20332 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 20336 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 20340 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/9,
     /* 20343 */   // MIs[1] x
     /* 20343 */   // No operand predicates
     /* 20343 */   // MIs[1] y
     /* 20343 */   // No operand predicates
     /* 20343 */   // MIs[1] z
     /* 20343 */   // No operand predicates
     /* 20343 */   // MIs[1] a
     /* 20343 */   // No operand predicates
     /* 20343 */   // MIs[1] b
     /* 20343 */   // No operand predicates
     /* 20343 */   // MIs[1] c
     /* 20343 */   // No operand predicates
     /* 20343 */   // MIs[1] d
     /* 20343 */   // No operand predicates
     /* 20343 */   // MIs[1] e
     /* 20343 */   // No operand predicates
     /* 20343 */   // MIs[0] idx
     /* 20343 */   // No operand predicates
     /* 20343 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20345 */   // Combiner Rule #34: extract_vector_element_build_vector_trunc8
     /* 20345 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 20348 */ // Label 451: @20348
     /* 20348 */ GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(20372), // Rule ID 35 //
     /* 20353 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule33Enabled),
     /* 20356 */   // MIs[0] root
     /* 20356 */   // No operand predicates
     /* 20356 */   // MIs[0] src
     /* 20356 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 20360 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 20364 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/8,
     /* 20367 */   // MIs[1] x
     /* 20367 */   // No operand predicates
     /* 20367 */   // MIs[1] y
     /* 20367 */   // No operand predicates
     /* 20367 */   // MIs[1] z
     /* 20367 */   // No operand predicates
     /* 20367 */   // MIs[1] a
     /* 20367 */   // No operand predicates
     /* 20367 */   // MIs[1] b
     /* 20367 */   // No operand predicates
     /* 20367 */   // MIs[1] c
     /* 20367 */   // No operand predicates
     /* 20367 */   // MIs[1] d
     /* 20367 */   // No operand predicates
     /* 20367 */   // MIs[0] idx
     /* 20367 */   // No operand predicates
     /* 20367 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20369 */   // Combiner Rule #33: extract_vector_element_build_vector_trunc7
     /* 20369 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 20372 */ // Label 452: @20372
     /* 20372 */ GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(20396), // Rule ID 34 //
     /* 20377 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule32Enabled),
     /* 20380 */   // MIs[0] root
     /* 20380 */   // No operand predicates
     /* 20380 */   // MIs[0] src
     /* 20380 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 20384 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 20388 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/7,
     /* 20391 */   // MIs[1] x
     /* 20391 */   // No operand predicates
     /* 20391 */   // MIs[1] y
     /* 20391 */   // No operand predicates
     /* 20391 */   // MIs[1] z
     /* 20391 */   // No operand predicates
     /* 20391 */   // MIs[1] a
     /* 20391 */   // No operand predicates
     /* 20391 */   // MIs[1] b
     /* 20391 */   // No operand predicates
     /* 20391 */   // MIs[1] c
     /* 20391 */   // No operand predicates
     /* 20391 */   // MIs[0] idx
     /* 20391 */   // No operand predicates
     /* 20391 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20393 */   // Combiner Rule #32: extract_vector_element_build_vector_trunc6
     /* 20393 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 20396 */ // Label 453: @20396
     /* 20396 */ GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(20420), // Rule ID 33 //
     /* 20401 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule31Enabled),
     /* 20404 */   // MIs[0] root
     /* 20404 */   // No operand predicates
     /* 20404 */   // MIs[0] src
     /* 20404 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 20408 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 20412 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/6,
     /* 20415 */   // MIs[1] x
     /* 20415 */   // No operand predicates
     /* 20415 */   // MIs[1] y
     /* 20415 */   // No operand predicates
     /* 20415 */   // MIs[1] z
     /* 20415 */   // No operand predicates
     /* 20415 */   // MIs[1] a
     /* 20415 */   // No operand predicates
     /* 20415 */   // MIs[1] b
     /* 20415 */   // No operand predicates
     /* 20415 */   // MIs[0] idx
     /* 20415 */   // No operand predicates
     /* 20415 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20417 */   // Combiner Rule #31: extract_vector_element_build_vector_trunc5
     /* 20417 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 20420 */ // Label 454: @20420
     /* 20420 */ GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(20444), // Rule ID 32 //
     /* 20425 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule30Enabled),
     /* 20428 */   // MIs[0] root
     /* 20428 */   // No operand predicates
     /* 20428 */   // MIs[0] src
     /* 20428 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 20432 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 20436 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/5,
     /* 20439 */   // MIs[1] x
     /* 20439 */   // No operand predicates
     /* 20439 */   // MIs[1] y
     /* 20439 */   // No operand predicates
     /* 20439 */   // MIs[1] z
     /* 20439 */   // No operand predicates
     /* 20439 */   // MIs[1] a
     /* 20439 */   // No operand predicates
     /* 20439 */   // MIs[0] idx
     /* 20439 */   // No operand predicates
     /* 20439 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20441 */   // Combiner Rule #30: extract_vector_element_build_vector_trunc4
     /* 20441 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 20444 */ // Label 455: @20444
     /* 20444 */ GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(20468), // Rule ID 31 //
     /* 20449 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule29Enabled),
     /* 20452 */   // MIs[0] root
     /* 20452 */   // No operand predicates
     /* 20452 */   // MIs[0] src
     /* 20452 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 20456 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 20460 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 20463 */   // MIs[1] x
     /* 20463 */   // No operand predicates
     /* 20463 */   // MIs[1] y
     /* 20463 */   // No operand predicates
     /* 20463 */   // MIs[1] z
     /* 20463 */   // No operand predicates
     /* 20463 */   // MIs[0] idx
     /* 20463 */   // No operand predicates
     /* 20463 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20465 */   // Combiner Rule #29: extract_vector_element_build_vector_trunc3
     /* 20465 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 20468 */ // Label 456: @20468
     /* 20468 */ GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(20502), // Rule ID 27 //
     /* 20473 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule25Enabled),
     /* 20476 */   // MIs[0] root
     /* 20476 */   // No operand predicates
     /* 20476 */   // MIs[0] src
     /* 20476 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 20480 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INSERT_VECTOR_ELT),
     /* 20484 */   // MIs[1] x
     /* 20484 */   // No operand predicates
     /* 20484 */   // MIs[1] value
     /* 20484 */   // No operand predicates
     /* 20484 */   // MIs[1] idx
     /* 20484 */   // No operand predicates
     /* 20484 */   // MIs[0] idx
     /* 20484 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/3,
     /* 20489 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/2,
     /* 20494 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20496 */   // Combiner Rule #25: extract_vector_element_not_const
     /* 20496 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/2,
     /* 20501 */   GIR_EraseRootFromParent_Done,
     /* 20502 */ // Label 457: @20502
     /* 20502 */ GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(20523), // Rule ID 28 //
     /* 20507 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule26Enabled),
     /* 20510 */   // MIs[0] root
     /* 20510 */   // No operand predicates
     /* 20510 */   // MIs[0] src
     /* 20510 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 20514 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INSERT_VECTOR_ELT),
     /* 20518 */   // MIs[1] x
     /* 20518 */   // No operand predicates
     /* 20518 */   // MIs[1] value
     /* 20518 */   // No operand predicates
     /* 20518 */   // MIs[1] idx2
     /* 20518 */   // No operand predicates
     /* 20518 */   // MIs[0] idx1
     /* 20518 */   // No operand predicates
     /* 20518 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20520 */   // Combiner Rule #26: extract_vector_element_different_indices
     /* 20520 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner11),
     /* 20523 */ // Label 458: @20523
     /* 20523 */ GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(20552), // Rule ID 37 //
     /* 20528 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule35Enabled),
     /* 20531 */   // MIs[0] root
     /* 20531 */   // No operand predicates
     /* 20531 */   // MIs[0] src
     /* 20531 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 20535 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHUFFLE_VECTOR),
     /* 20539 */   // MIs[1] src1
     /* 20539 */   // No operand predicates
     /* 20539 */   // MIs[1] src2
     /* 20539 */   // No operand predicates
     /* 20539 */   // MIs[1] mask
     /* 20539 */   // No operand predicates
     /* 20539 */   // MIs[0] idx
     /* 20539 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 20543 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 20547 */   // MIs[2] imm
     /* 20547 */   // No operand predicates
     /* 20547 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 20549 */   // Combiner Rule #35: extract_vector_element_shuffle_vector
     /* 20549 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner14),
     /* 20552 */ // Label 459: @20552
     /* 20552 */ GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(20576), // Rule ID 30 //
     /* 20557 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule28Enabled),
     /* 20560 */   // MIs[0] root
     /* 20560 */   // No operand predicates
     /* 20560 */   // MIs[0] src
     /* 20560 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 20564 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 20568 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 20571 */   // MIs[1] x
     /* 20571 */   // No operand predicates
     /* 20571 */   // MIs[1] y
     /* 20571 */   // No operand predicates
     /* 20571 */   // MIs[0] idx
     /* 20571 */   // No operand predicates
     /* 20571 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20573 */   // Combiner Rule #28: extract_vector_element_build_vector_trunc2
     /* 20573 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 20576 */ // Label 460: @20576
     /* 20576 */ GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(20608), // Rule ID 29 //
     /* 20581 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule27Enabled),
     /* 20584 */   // MIs[0] root
     /* 20584 */   // No operand predicates
     /* 20584 */   // MIs[0] src
     /* 20584 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 20588 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 20592 */   GIM_CheckNumOperandsGE, /*MI*/1, /*Expected*/2,
     /* 20595 */   // MIs[1] unused
     /* 20595 */   // No operand predicates
     /* 20595 */   // MIs[0] idx
     /* 20595 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 20599 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 20603 */   // MIs[2] imm
     /* 20603 */   // No operand predicates
     /* 20603 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 20605 */   // Combiner Rule #27: extract_vector_element_build_vector
     /* 20605 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner12),
     /* 20608 */ // Label 461: @20608
     /* 20608 */ GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(20632), // Rule ID 21 //
     /* 20613 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule19Enabled),
     /* 20616 */   // MIs[0] root
     /* 20616 */   // No operand predicates
     /* 20616 */   // MIs[0] vector
     /* 20616 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 20620 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 20624 */   // MIs[0] idx
     /* 20624 */   // No operand predicates
     /* 20624 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20626 */   // Combiner Rule #19: match_extract_of_element_undef_vector
     /* 20626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 20629 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 20631 */   GIR_EraseRootFromParent_Done,
     /* 20632 */ // Label 462: @20632
     /* 20632 */ GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(20656), // Rule ID 22 //
     /* 20637 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule20Enabled),
     /* 20640 */   // MIs[0] root
     /* 20640 */   // No operand predicates
     /* 20640 */   // MIs[0] vector
     /* 20640 */   // No operand predicates
     /* 20640 */   // MIs[0] idx
     /* 20640 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 20644 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 20648 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20650 */   // Combiner Rule #20: match_extract_of_element_undef_index
     /* 20650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 20653 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 20655 */   GIR_EraseRootFromParent_Done,
     /* 20656 */ // Label 463: @20656
     /* 20656 */ GIM_Reject,
     /* 20657 */ // Label 93: @20657
     /* 20657 */ GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(20668), // Rule ID 96 //
     /* 20662 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 20665 */   // Combiner Rule #78: propagate_undef_all_ops; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 20665 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 20668 */ // Label 464: @20668
     /* 20668 */ GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(20679), // Rule ID 98 //
     /* 20673 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule79Enabled),
     /* 20676 */   // Combiner Rule #79: propagate_undef_shuffle_mask; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 20676 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner40),
     /* 20679 */ // Label 465: @20679
     /* 20679 */ GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(20690), // Rule ID 342 //
     /* 20684 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule197Enabled),
     /* 20687 */   // Combiner Rule #197: combine_shuffle_concat; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 20687 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner135),
     /* 20690 */ // Label 466: @20690
     /* 20690 */ GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(20701), // Rule ID 344 //
     /* 20695 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule199Enabled),
     /* 20698 */   // Combiner Rule #199: combine_shuffle_disjoint_mask; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 20698 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner137),
     /* 20701 */ // Label 467: @20701
     /* 20701 */ GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(20722), // Rule ID 343 //
     /* 20706 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule198Enabled),
     /* 20709 */   // MIs[0] root
     /* 20709 */   // No operand predicates
     /* 20709 */   // MIs[0] src1
     /* 20709 */   // No operand predicates
     /* 20709 */   // MIs[0] undef
     /* 20709 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 20713 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 20717 */   // MIs[0] mask
     /* 20717 */   // No operand predicates
     /* 20717 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20719 */   // Combiner Rule #198: combine_shuffle_undef_rhs
     /* 20719 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner136),
     /* 20722 */ // Label 468: @20722
     /* 20722 */ GIM_Reject,
     /* 20723 */ // Label 94: @20723
     /* 20723 */ GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(20767), // Rule ID 221 //
     /* 20728 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule158Enabled),
     /* 20731 */   // MIs[0] d
     /* 20731 */   // No operand predicates
     /* 20731 */   // MIs[0] src
     /* 20731 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 20735 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 20739 */   // MIs[1] rev
     /* 20739 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 20743 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BITREVERSE),
     /* 20747 */   // MIs[2] val
     /* 20747 */   // No operand predicates
     /* 20747 */   // MIs[1] amt
     /* 20747 */   // No operand predicates
     /* 20747 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner8),
     /* 20751 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 20753 */   // Combiner Rule #158: bitreverse_lshr
     /* 20753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SHL),
     /* 20756 */   GIR_RootToRootCopy, /*OpIdx*/0, // d
     /* 20758 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 20762 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // amt
     /* 20766 */   GIR_EraseRootFromParent_Done,
     /* 20767 */ // Label 469: @20767
     /* 20767 */ GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(20811), // Rule ID 220 //
     /* 20772 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule157Enabled),
     /* 20775 */   // MIs[0] d
     /* 20775 */   // No operand predicates
     /* 20775 */   // MIs[0] src
     /* 20775 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 20779 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 20783 */   // MIs[1] rev
     /* 20783 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 20787 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BITREVERSE),
     /* 20791 */   // MIs[2] val
     /* 20791 */   // No operand predicates
     /* 20791 */   // MIs[1] amt
     /* 20791 */   // No operand predicates
     /* 20791 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner7),
     /* 20795 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 20797 */   // Combiner Rule #157: bitreverse_shl
     /* 20797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 20800 */   GIR_RootToRootCopy, /*OpIdx*/0, // d
     /* 20802 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 20806 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // amt
     /* 20810 */   GIR_EraseRootFromParent_Done,
     /* 20811 */ // Label 470: @20811
     /* 20811 */ GIM_Reject,
     /* 20812 */ // Label 95: @20812
     /* 20812 */ GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(20823), // Rule ID 371 //
     /* 20817 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule219Enabled),
     /* 20820 */   // Combiner Rule #219: rcp_sqrt_to_rsq; wip_match_opcode 'G_FSQRT'
     /* 20820 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner157),
     /* 20823 */ // Label 471: @20823
     /* 20823 */ GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(20844), // Rule ID 176 //
     /* 20828 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule134Enabled),
     /* 20831 */   // MIs[0] dst
     /* 20831 */   // No operand predicates
     /* 20831 */   // MIs[0] src0
     /* 20831 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 20835 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 20839 */   // MIs[1] cst
     /* 20839 */   // No operand predicates
     /* 20839 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 20841 */   // Combiner Rule #134: constant_fold_fsqrt
     /* 20841 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner80),
     /* 20844 */ // Label 472: @20844
     /* 20844 */ GIM_Reject,
     /* 20845 */ // Label 96: @20845
     /* 20845 */ GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(20856), // Rule ID 364 //
     /* 20850 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule216Enabled),
     /* 20853 */   // Combiner Rule #216: cvt_f32_ubyteN; wip_match_opcode 'G_AMDGPU_CVT_F32_UBYTE0'
     /* 20853 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner154),
     /* 20856 */ // Label 473: @20856
     /* 20856 */ GIM_Reject,
     /* 20857 */ // Label 97: @20857
     /* 20857 */ GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(20868), // Rule ID 365 //
     /* 20862 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule216Enabled),
     /* 20865 */   // Combiner Rule #216: cvt_f32_ubyteN; wip_match_opcode 'G_AMDGPU_CVT_F32_UBYTE1'
     /* 20865 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner154),
     /* 20868 */ // Label 474: @20868
     /* 20868 */ GIM_Reject,
     /* 20869 */ // Label 98: @20869
     /* 20869 */ GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(20880), // Rule ID 366 //
     /* 20874 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule216Enabled),
     /* 20877 */   // Combiner Rule #216: cvt_f32_ubyteN; wip_match_opcode 'G_AMDGPU_CVT_F32_UBYTE2'
     /* 20877 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner154),
     /* 20880 */ // Label 475: @20880
     /* 20880 */ GIM_Reject,
     /* 20881 */ // Label 99: @20881
     /* 20881 */ GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(20892), // Rule ID 367 //
     /* 20886 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule216Enabled),
     /* 20889 */   // Combiner Rule #216: cvt_f32_ubyteN; wip_match_opcode 'G_AMDGPU_CVT_F32_UBYTE3'
     /* 20889 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner154),
     /* 20892 */ // Label 476: @20892
     /* 20892 */ GIM_Reject,
     /* 20893 */ // Label 100: @20893
     /* 20893 */ GIM_Reject,
     /* 20894 */ }; // Size: 20894 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GICOMBINER_IMPL

#ifdef GET_GICOMBINER_CONSTRUCTOR_INITS
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GICOMBINER_CONSTRUCTOR_INITS
#ifdef GET_GICOMBINER_CONSTRUCTOR_INITS
, State(0),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GICOMBINER_CONSTRUCTOR_INITS

